/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs

#define yylval          cf_lval
#define yychar          cf_char

/* Copy the first part of user declarations.  */
#line 49 "conf/gen_parser.m4" /* yacc.c:339  */

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }


/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_dynamic_attr dyn)
{
  struct f_inst *e = f_new_inst(FI_EMPTY);

  switch (dyn.type & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      e->aux = T_PATH;
      break;
    case EAF_TYPE_INT_SET:
      e->aux = T_CLIST;
      break;
    case EAF_TYPE_EC_SET:
      e->aux = T_ECLIST;
      break;
    case EAF_TYPE_LC_SET:
      e->aux = T_LCLIST;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  struct f_inst *s = f_new_inst_da(FI_EA_SET, dyn);
  s->a1.p = e;
  return s;
}


static inline struct f_inst *
f_generate_dpair(struct f_inst *t1, struct f_inst *t2)
{
  struct f_inst *rv;

  if ((t1->fi_code == FI_CONSTANT) && (t2->fi_code == FI_CONSTANT)) {
    if ((t1->aux != T_INT) || (t2->aux != T_INT))
      cf_error( "Can't operate with value of non-integer type in pair constructor");

    check_u16(t1->a2.i);
    check_u16(t2->a2.i);

    rv = f_new_inst(FI_CONSTANT);
    rv->aux = T_PAIR;
    rv->a2.i = pair(t1->a2.i, t2->a2.i);
  }
  else {
    rv = f_new_inst(FI_PAIR_CONSTRUCT);
    rv->a1.p = t1;
    rv->a2.p = t2;
  }

  return rv;
}

static inline struct f_inst *
f_generate_ec(u16 kind, struct f_inst *tk, struct f_inst *tv)
{
  struct f_inst *rv;
  int c1 = 0, c2 = 0, ipv4_used = 0;
  u32 key = 0, val2 = 0;

  if (tk->fi_code == FI_CONSTANT) {
    c1 = 1;

    if (tk->aux == T_INT) {
      ipv4_used = 0; key = tk->a2.i;
    }
    else if (tk->aux == T_QUAD) {
      ipv4_used = 1; key = tk->a2.i;
    }
    else
      cf_error("Can't operate with key of non-integer/IPv4 type in EC constructor");
  }

  /* IP->Quad implicit conversion */
  else if (tk->fi_code == FI_CONSTANT_INDIRECT) {
    c1 = 1;
    struct f_val *val = tk->a1.p;

    if (val->type == T_INT) {
      ipv4_used = 0; key = val->val.i;
    }
    else if (val->type == T_QUAD) {
      ipv4_used = 1; key = val->val.i;
    }
    else if ((val->type == T_IP) && ipa_is_ip4(val->val.ip)) {
      ipv4_used = 1; key = ipa_to_u32(val->val.ip);
    }
    else
      cf_error("Can't operate with key of non-integer/IPv4 type in EC constructor");
  }

  if (tv->fi_code == FI_CONSTANT) {
    if (tv->aux != T_INT)
      cf_error("Can't operate with value of non-integer type in EC constructor");
    c2 = 1;
    val2 = tv->a2.i;
  }

  if (c1 && c2) {
    u64 ec;

    if (kind == EC_GENERIC) {
      ec = ec_generic(key, val2);
    }
    else if (ipv4_used) {
      check_u16(val2);
      ec = ec_ip4(kind, key, val2);
    }
    else if (key < 0x10000) {
      ec = ec_as2(kind, key, val2);
    }
    else {
      check_u16(val2);
      ec = ec_as4(kind, key, val2);
    }

    NEW_F_VAL;
    rv = f_new_inst(FI_CONSTANT_INDIRECT);
    rv->a1.p = val;
    val->type = T_EC;
    val->val.ec = ec;
  }
  else {
    rv = f_new_inst(FI_EC_CONSTRUCT);
    rv->aux = kind;
    rv->a1.p = tk;
    rv->a2.p = tv;
  }

  return rv;
}

static inline struct f_inst *
f_generate_lc(struct f_inst *t1, struct f_inst *t2, struct f_inst *t3)
{
  struct f_inst *rv;

  if ((t1->fi_code == FI_CONSTANT) && (t2->fi_code == FI_CONSTANT) && (t3->fi_code == FI_CONSTANT)) {
    if ((t1->aux != T_INT) || (t2->aux != T_INT) || (t3->aux != T_INT))
      cf_error( "LC - Can't operate with value of non-integer type in tuple constructor");

    rv = f_new_inst(FI_CONSTANT_INDIRECT);

    NEW_F_VAL;
    rv->a1.p = val;
    val->type = T_LC;
    val->val.lc = (lcomm) { t1->a2.i, t2->a2.i, t3->a2.i };
  }
  else
  {
    rv = f_new_inst(FI_LC_CONSTRUCT);
    rv->a1.p = t1;
    rv->a2.p = t2;
    rv->a3.p = t3;
  }

  return rv;
}

static inline struct f_inst *
f_generate_path_mask(struct f_path_mask *t)
{
  for (struct f_path_mask *tt = t; tt; tt = tt->next) {
    if (tt->kind == PM_ASN_EXPR) {
      struct f_inst *mrv = f_new_inst(FI_PATHMASK_CONSTRUCT);
      mrv->a1.p = t;
      return mrv;
    }
  }

  NEW_F_VAL;
  val->type = T_PATH_MASK;
  val->val.path_mask = t;

  struct f_inst *rv = f_new_inst(FI_CONSTANT_INDIRECT);
  rv->a1.p = val;

  return rv;
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *i;
  i = f_new_inst(FI_ASSERT);
  i->a1.p = expr;

  if (end >= start)
  {
    i->a2.p = assert_copy_expr(start, end - start + 1);
  }
  else
  {
    /* this is a break of lexer buffer */
    i->a2.p = "???";
  }

  return i;
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}


static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (EMPTY_LIST(this_proto->channels))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    log(L_WARN "Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 8 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */


#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst **this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 49 "conf/gen_parser.m4"

#line 929 "obj/conf/cf-parse.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "cf-parse.tab.h".  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    PO = 268,
    PC = 269,
    NUM = 270,
    ENUM = 271,
    IP4 = 272,
    IP6 = 273,
    VPN_RD = 274,
    SYM = 275,
    TEXT = 276,
    PREFIX_DUMMY = 277,
    NMA = 278,
    DEFINE = 279,
    ON = 280,
    OFF = 281,
    YES = 282,
    NO = 283,
    S = 284,
    MS = 285,
    US = 286,
    PORT = 287,
    VPN = 288,
    MPLS = 289,
    FROM = 290,
    FLOW4 = 291,
    FLOW6 = 292,
    DST = 293,
    SRC = 294,
    PROTO = 295,
    NEXT = 296,
    HEADER = 297,
    DPORT = 298,
    SPORT = 299,
    ICMP = 300,
    TYPE = 301,
    CODE = 302,
    TCP = 303,
    FLAGS = 304,
    LENGTH = 305,
    DSCP = 306,
    DONT_FRAGMENT = 307,
    IS_FRAGMENT = 308,
    FIRST_FRAGMENT = 309,
    LAST_FRAGMENT = 310,
    FRAGMENT = 311,
    LABEL = 312,
    OFFSET = 313,
    FUNCTION = 314,
    PRINT = 315,
    PRINTN = 316,
    UNSET = 317,
    RETURN = 318,
    ACCEPT = 319,
    REJECT = 320,
    ERROR = 321,
    QUITBIRD = 322,
    INT = 323,
    BOOL = 324,
    IP = 325,
    PREFIX = 326,
    RD = 327,
    PAIR = 328,
    QUAD = 329,
    EC = 330,
    LC = 331,
    SET = 332,
    STRING = 333,
    BGPMASK = 334,
    BGPPATH = 335,
    CLIST = 336,
    ECLIST = 337,
    LCLIST = 338,
    IF = 339,
    THEN = 340,
    ELSE = 341,
    CASE = 342,
    TRUE = 343,
    FALSE = 344,
    RT = 345,
    RO = 346,
    UNKNOWN = 347,
    GENERIC = 348,
    GW = 349,
    NET = 350,
    MASK = 351,
    SOURCE = 352,
    SCOPE = 353,
    DEST = 354,
    IFNAME = 355,
    IFINDEX = 356,
    PREFERENCE = 357,
    ROA_CHECK = 358,
    ASN = 359,
    IS_V4 = 360,
    IS_V6 = 361,
    LEN = 362,
    MAXLEN = 363,
    DEFINED = 364,
    ADD = 365,
    DELETE = 366,
    CONTAINS = 367,
    RESET = 368,
    PREPEND = 369,
    FIRST = 370,
    LAST = 371,
    LAST_NONAGGREGATED = 372,
    MATCH = 373,
    EMPTY = 374,
    FILTER = 375,
    WHERE = 376,
    EVAL = 377,
    ATTRIBUTE = 378,
    BT_ASSERT = 379,
    BT_TEST_SUITE = 380,
    FORMAT = 381,
    ROUTER = 382,
    ID = 383,
    PROTOCOL = 384,
    TEMPLATE = 385,
    DISABLED = 386,
    DEBUG = 387,
    ALL = 388,
    DIRECT = 389,
    INTERFACE = 390,
    IMPORT = 391,
    EXPORT = 392,
    NONE = 393,
    VRF = 394,
    TABLE = 395,
    STATES = 396,
    ROUTES = 397,
    FILTERS = 398,
    IPV4 = 399,
    IPV6 = 400,
    VPN4 = 401,
    VPN6 = 402,
    ROA4 = 403,
    ROA6 = 404,
    SADR = 405,
    RECEIVE = 406,
    LIMIT = 407,
    ACTION = 408,
    WARN = 409,
    BLOCK = 410,
    RESTART = 411,
    DISABLE = 412,
    KEEP = 413,
    FILTERED = 414,
    PASSWORD = 415,
    PASSIVE = 416,
    TO = 417,
    EVENTS = 418,
    PACKETS = 419,
    PROTOCOLS = 420,
    INTERFACES = 421,
    ALGORITHM = 422,
    KEYED = 423,
    HMAC = 424,
    MD5 = 425,
    SHA1 = 426,
    SHA256 = 427,
    SHA384 = 428,
    SHA512 = 429,
    PRIMARY = 430,
    STATS = 431,
    COUNT = 432,
    BY = 433,
    FOR = 434,
    COMMANDS = 435,
    PREEXPORT = 436,
    NOEXPORT = 437,
    GENERATE = 438,
    BGP = 439,
    PASSWORDS = 440,
    DESCRIPTION = 441,
    SORTED = 442,
    RELOAD = 443,
    IN = 444,
    OUT = 445,
    MRTDUMP = 446,
    MESSAGES = 447,
    RESTRICT = 448,
    MEMORY = 449,
    IGP_METRIC = 450,
    CLASS = 451,
    TIMEFORMAT = 452,
    ISO = 453,
    SHORT = 454,
    LONG = 455,
    ROUTE = 456,
    BASE = 457,
    LOG = 458,
    GRACEFUL = 459,
    WAIT = 460,
    MAX = 461,
    FLUSH = 462,
    AS = 463,
    IPV4_MC = 464,
    IPV4_MPLS = 465,
    IPV6_MC = 466,
    IPV6_MPLS = 467,
    IPV6_SADR = 468,
    VPN4_MC = 469,
    VPN4_MPLS = 470,
    VPN6_MC = 471,
    VPN6_MPLS = 472,
    PRI = 473,
    SEC = 474,
    SHOW = 475,
    STATUS = 476,
    SUMMARY = 477,
    SYMBOLS = 478,
    DUMP = 479,
    RESOURCES = 480,
    SOCKETS = 481,
    NEIGHBORS = 482,
    ATTRIBUTES = 483,
    ECHO = 484,
    ENABLE = 485,
    BFD = 486,
    MIN = 487,
    IDLE = 488,
    RX = 489,
    TX = 490,
    INTERVAL = 491,
    MULTIPLIER = 492,
    MULTIHOP = 493,
    NEIGHBOR = 494,
    DEV = 495,
    LOCAL = 496,
    AUTHENTICATION = 497,
    SIMPLE = 498,
    METICULOUS = 499,
    SESSIONS = 500,
    BABEL = 501,
    METRIC = 502,
    RXCOST = 503,
    HELLO = 504,
    UPDATE = 505,
    WIRED = 506,
    WIRELESS = 507,
    BUFFER = 508,
    PRIORITY = 509,
    CHECK = 510,
    LINK = 511,
    HOP = 512,
    BABEL_METRIC = 513,
    ENTRIES = 514,
    RANDOMIZE = 515,
    HOLD = 516,
    TIME = 517,
    CONNECT = 518,
    RETRY = 519,
    KEEPALIVE = 520,
    STARTUP = 521,
    VIA = 522,
    SELF = 523,
    DEFAULT = 524,
    PATH = 525,
    START = 526,
    DELAY = 527,
    FORGET = 528,
    AFTER = 529,
    BGP_PATH = 530,
    BGP_LOCAL_PREF = 531,
    BGP_MED = 532,
    BGP_ORIGIN = 533,
    BGP_NEXT_HOP = 534,
    BGP_ATOMIC_AGGR = 535,
    BGP_AGGREGATOR = 536,
    BGP_COMMUNITY = 537,
    BGP_EXT_COMMUNITY = 538,
    BGP_LARGE_COMMUNITY = 539,
    ADDRESS = 540,
    RR = 541,
    RS = 542,
    CLIENT = 543,
    CLUSTER = 544,
    AS4 = 545,
    ADVERTISE = 546,
    CAPABILITIES = 547,
    PREFER = 548,
    OLDER = 549,
    MISSING = 550,
    LLADDR = 551,
    DROP = 552,
    IGNORE = 553,
    REFRESH = 554,
    INTERPRET = 555,
    COMMUNITIES = 556,
    BGP_ORIGINATOR_ID = 557,
    BGP_CLUSTER_LIST = 558,
    IGP = 559,
    GATEWAY = 560,
    RECURSIVE = 561,
    MED = 562,
    TTL = 563,
    SECURITY = 564,
    DETERMINISTIC = 565,
    SECONDARY = 566,
    ALLOW = 567,
    PATHS = 568,
    AWARE = 569,
    EXTENDED = 570,
    SETKEY = 571,
    STRICT = 572,
    BIND = 573,
    CONFEDERATION = 574,
    MEMBER = 575,
    MULTICAST = 576,
    LIVED = 577,
    STALE = 578,
    IBGP = 579,
    EBGP = 580,
    CEASE = 581,
    HIT = 582,
    ADMINISTRATIVE = 583,
    SHUTDOWN = 584,
    PEER = 585,
    CONFIGURATION = 586,
    CHANGE = 587,
    DECONFIGURED = 588,
    CONNECTION = 589,
    REJECTED = 590,
    COLLISION = 591,
    OF = 592,
    MRT = 593,
    FILENAME = 594,
    PERIOD = 595,
    ALWAYS = 596,
    OSPF = 597,
    V2 = 598,
    V3 = 599,
    OSPF_METRIC1 = 600,
    OSPF_METRIC2 = 601,
    OSPF_TAG = 602,
    OSPF_ROUTER_ID = 603,
    AREA = 604,
    RFC1583COMPAT = 605,
    STUB = 606,
    TICK = 607,
    COST = 608,
    COST2 = 609,
    RETRANSMIT = 610,
    TRANSMIT = 611,
    DEAD = 612,
    BROADCAST = 613,
    BCAST = 614,
    NONBROADCAST = 615,
    NBMA = 616,
    POINTOPOINT = 617,
    PTP = 618,
    POINTOMULTIPOINT = 619,
    PTMP = 620,
    CRYPTOGRAPHIC = 621,
    ELIGIBLE = 622,
    POLL = 623,
    NETWORKS = 624,
    HIDDEN = 625,
    VIRTUAL = 626,
    ONLY = 627,
    LARGE = 628,
    NORMAL = 629,
    STUBNET = 630,
    TAG = 631,
    EXTERNAL = 632,
    LSADB = 633,
    ECMP = 634,
    WEIGHT = 635,
    NSSA = 636,
    TRANSLATOR = 637,
    STABILITY = 638,
    GLOBAL = 639,
    LSID = 640,
    INSTANCE = 641,
    REAL = 642,
    NETMASK = 643,
    MERGE = 644,
    LSA = 645,
    SUPPRESSION = 646,
    RFC5838 = 647,
    PE = 648,
    TOPOLOGY = 649,
    STATE = 650,
    PERF = 651,
    EXP = 652,
    REPEAT = 653,
    THRESHOLD = 654,
    MODE = 655,
    PIPE = 656,
    RADV = 657,
    RA = 658,
    MANAGED = 659,
    OTHER = 660,
    CONFIG = 661,
    LINGER = 662,
    MTU = 663,
    REACHABLE = 664,
    RETRANS = 665,
    TIMER = 666,
    CURRENT = 667,
    VALID = 668,
    PREFERRED = 669,
    MULT = 670,
    LIFETIME = 671,
    SKIP = 672,
    ONLINK = 673,
    AUTONOMOUS = 674,
    RDNSS = 675,
    DNSSL = 676,
    NS = 677,
    DOMAIN = 678,
    TRIGGER = 679,
    SENSITIVE = 680,
    LOW = 681,
    MEDIUM = 682,
    HIGH = 683,
    PROPAGATE = 684,
    RA_PREFERENCE = 685,
    RA_LIFETIME = 686,
    RIP = 687,
    NG = 688,
    INFINITY = 689,
    TIMEOUT = 690,
    GARBAGE = 691,
    VERSION = 692,
    SPLIT = 693,
    HORIZON = 694,
    POISON = 695,
    REVERSE = 696,
    ZERO = 697,
    PLAINTEXT = 698,
    RIP_METRIC = 699,
    RIP_TAG = 700,
    STATIC = 701,
    PROHIBIT = 702,
    BLACKHOLE = 703,
    UNREACHABLE = 704,
    KERNEL = 705,
    KRT_PREFSRC = 706,
    KRT_REALM = 707,
    KRT_SCOPE = 708,
    KRT_MTU = 709,
    KRT_WINDOW = 710,
    KRT_RTT = 711,
    KRT_RTTVAR = 712,
    KRT_SSTRESH = 713,
    KRT_CWND = 714,
    KRT_ADVMSS = 715,
    KRT_REORDERING = 716,
    KRT_HOPLIMIT = 717,
    KRT_INITCWND = 718,
    KRT_RTO_MIN = 719,
    KRT_INITRWND = 720,
    KRT_QUICKACK = 721,
    KRT_LOCK_MTU = 722,
    KRT_LOCK_WINDOW = 723,
    KRT_LOCK_RTT = 724,
    KRT_LOCK_RTTVAR = 725,
    KRT_LOCK_SSTRESH = 726,
    KRT_LOCK_CWND = 727,
    KRT_LOCK_ADVMSS = 728,
    KRT_LOCK_REORDERING = 729,
    KRT_LOCK_HOPLIMIT = 730,
    KRT_LOCK_RTO_MIN = 731,
    KRT_FEATURE_ECN = 732,
    KRT_FEATURE_ALLFRAG = 733,
    SYSLOG = 734,
    TRACE = 735,
    INFO = 736,
    REMOTE = 737,
    WARNING = 738,
    AUTH = 739,
    FATAL = 740,
    BUG = 741,
    STDERR = 742,
    SOFT = 743,
    NAME = 744,
    CONFIRM = 745,
    UNDO = 746,
    LATENCY = 747,
    WATCHDOG = 748,
    CONFIGURE = 749,
    DOWN = 750,
    PERSIST = 751,
    SCAN = 752,
    LEARN = 753,
    DEVICE = 754,
    KRT_SOURCE = 755,
    KRT_METRIC = 756
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 38 "conf/confbase.Y" /* yacc.c:355  */

  uint i;
  u32 i32;
  u64 i64;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct f_inst *x;
  struct f_dynamic_attr fda;
  struct f_static_attr fsa;
  struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct f_path_mask *h;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct mrt_dump_data *md;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat *tf;
  mpls_label_stack *mls;

#line 1507 "obj/conf/cf-parse.tab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1524 "obj/conf/cf-parse.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  69
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   4359

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  523
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  390
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1315
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2401

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   756

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    33,     2,     2,     2,    32,     2,     2,
     514,   515,    30,    28,   516,    29,    34,    31,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   519,   513,
      24,    23,    25,   520,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   521,     2,   522,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   517,     2,   518,    26,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    27,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   108,   108,   109,   112,   114,   117,   122,   125,   134,
     135,   136,   143,   144,   145,   151,   152,   153,   154,   155,
     156,   163,   164,   165,   172,   173,   180,   186,   196,   209,
     228,   234,   240,   248,   256,   262,   262,   263,   263,   264,
     264,   267,   268,   269,   270,   271,   272,   279,   280,   288,
     289,   297,   298,   306,   307,   308,   309,   310,   320,   328,
     329,   338,   346,   347,   354,   355,    37,    38,    39,    40,
      41,    42,    43,    44,    48,    49,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    64,    65,    66,    67,    70,
      71,    75,    79,    83,    84,    88,    92,   101,   102,   106,
     110,   114,   121,   122,   126,   127,   128,   129,   133,   136,
     139,   145,   149,   150,   151,   155,   159,   165,   166,   167,
     168,   171,   173,   176,   178,   182,   189,   190,   192,   198,
     204,   204,   442,   444,   444,   453,   455,   458,   459,   463,
     465,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   517,   528,   529,
     536,   537,   544,   553,   557,   561,   582,   583,   587,   598,
     600,   600,   616,   617,   620,   621,   625,   628,   637,   638,
     651,   652,   653,   654,   655,   659,   667,   668,   669,   670,
     674,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   691,   692,   693,   694,   698,   699,   700,   704,   705,
     706,   707,   708,   709,   710,   711,   716,   717,   718,   719,
     720,   724,   725,   726,   727,   728,   732,   733,   737,   738,
     742,   743,   744,   745,   753,   754,   757,   758,   765,   777,
     778,   782,   786,   787,   788,   789,   790,   791,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   808,   809,
     810,   811,   815,   819,   841,   861,   862,   863,   864,   865,
     866,   867,   868,   869,   873,   874,   875,   876,   877,   878,
     879,   880,   881,   882,   883,   884,   885,   886,   887,   888,
     889,   891,   892,   893,   895,   897,   899,   901,   902,   903,
     904,   905,   906,   907,   908,   909,   910,   911,   912,   922,
     923,   924,   925,   926,   927,   928,   929,   931,   932,   934,
     939,   961,   962,   963,   964,   965,   966,   970,   973,   974,
     975,   983,   989,   997,   998,  1002,  1007,  1015,  1027,  1032,
    1036,  1042,  1046,  1051,  1052,  1053,  1059,  1060,  1061,  1062,
    1063,  1064,  1068,   106,   109,   110,   114,   115,   116,   117,
     127,   129,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   152,   155,   156,   159,   169,   172,   173,   177,
     183,   187,   196,   205,   207,   208,   209,   210,   211,   212,
     216,   222,   227,   228,   229,   230,   231,   232,   233,   236,
     238,   241,   243,   247,   254,   258,   265,   266,   267,   268,
     272,   273,   274,   275,   276,   280,   281,   285,   288,   289,
     294,   297,   298,   299,   300,   304,   305,   306,   307,   308,
     309,   310,   311,   315,   322,   330,   331,   335,   336,   340,
     345,   346,   350,   352,   360,   364,   365,   370,   372,   379,
     380,   381,   382,   383,   387,   395,   401,   402,   403,   407,
     408,   412,   413,   414,   415,   416,   417,   423,   424,   425,
     429,   430,   434,   435,   441,   442,   445,   447,   451,   452,
     456,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     503,   503,   506,   506,   509,   509,   512,   512,   516,   517,
     520,   520,   523,   523,   527,   527,   531,   537,   542,   548,
     554,   561,   571,   576,   581,   585,   589,   593,   602,   612,
     620,   624,   631,   635,   636,   637,   638,   642,   646,   650,
     664,   665,   666,   667,   670,   671,   672,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   689,
     690,   691,   692,   693,   694,   695,   696,   700,   700,   704,
     707,   708,   709,   710,   711,   712,   717,   717,   719,   719,
     721,   721,   723,   723,   725,   725,   727,   727,   729,   729,
     731,   731,   734,   734,   738,   738,   744,   745,   746,   750,
     751,   757,   757,   759,   759,   761,   761,   763,   763,   765,
     765,   767,   767,   771,   771,   775,   775,   778,   778,   782,
     783,   784,   788,   789,   790,   793,    34,    36,    48,    49,
      50,    51,    54,    56,    60,    64,    78,    98,    99,   100,
     101,   102,   103,   104,   105,   109,   110,   111,   112,   113,
     114,   117,   119,   122,   124,   128,   131,   136,   137,   138,
     142,   143,   147,   148,   151,   170,   170,    32,    34,    42,
      43,    44,    45,    48,    50,    54,    58,    72,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   114,   116,   119,   121,   126,   128,   132,
     132,   135,   135,   138,   138,   141,   141,    45,    47,    75,
      77,    78,    81,    83,    84,    89,    90,    94,    95,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   111,   112,
     113,   114,   115,   119,   120,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   192,   217,   218,   219,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   253,
     255,   258,   260,   264,   271,   274,   276,   278,   280,   282,
     284,   286,   288,   290,   292,   294,   296,    26,    28,    34,
      35,    36,    37,    38,    39,    40,    41,    44,    46,    50,
      53,    53,    57,    58,    59,    60,    61,    62,   210,   213,
     214,   215,   218,   232,   233,   237,   238,   242,   252,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   269,   284,   287,   289,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   302,   303,   303,   304,   305,
     306,   310,   311,   315,   323,   325,   329,   330,   331,   335,
     336,   339,   341,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   357,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   416,   418,   421,   423,   431,   433,   434,
     437,   439,   443,   444,   447,   457,   478,   480,   484,   484,
     487,   489,   492,   494,   498,   501,   502,   503,   504,   507,
     507,   510,   510,   513,   513,   518,   518,   521,   521,   526,
     526,   529,   529,   533,   533,   537,   540,   541,   542,   543,
     544,   545,   546,   547,    24,    26,    39,    40,    41,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    23,    26,
      25,    40,    41,    42,    43,    42,    44,    55,    56,    57,
      58,    59,    59,    60,    60,    61,    62,    65,    67,    71,
      75,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   112,   116,   117,   118,   119,   120,   121,   121,   122,
     122,   123,   124,   128,   129,   130,   133,   171,   173,   176,
     178,   182,   185,   197,   198,   199,   200,   204,   211,   219,
     221,   224,   226,   230,   234,   244,   249,   250,   251,   255,
     267,   269,   273,   274,   278,   291,   296,   297,   298,   302,
     314,   316,   320,   321,   326,   327,   331,   332,   335,   336,
      45,    48,    49,    52,    66,    67,    68,    69,    70,    71,
      74,    76,    80,    84,   108,   138,   139,   140,   141,   142,
     143,   144,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     169,   170,   171,   172,   175,   177,   180,   182,   186,   189,
     190,   194,   194,   197,   197,    52,    54,    61,    62,    63,
      64,    65,    73,    77,    82,    87,    90,    93,    97,   103,
     104,   107,   118,   119,   123,   128,   129,   130,   131,   132,
     133,   137,   140,   142,   145,   147,   151,   151,    22,    25,
      26,    29,    30,    31,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    58,    59,    30,
      32,    34,    41,    42,    45,    47,    51,    58,    59,    63,
      64,    68,    69,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    85,    88,    89,    97,   100,   101,   102,   103,
     111,   111,   114,   114,   121,   121,   124,   124,   127,   127,
     130,   130,   134,   135,   139,   140,   141,    41,    43,    48,
      49,    52,    53,    57,    58,    59,    60,    64,    71,    72,
      83,    85,    88,    89,    92,    93,    94,   101,   108,   111,
     113,   116,   118,   122,   125,   126
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "PO", "PC", "NUM",
  "ENUM", "IP4", "IP6", "VPN_RD", "SYM", "TEXT", "PREFIX_DUMMY", "'='",
  "'<'", "'>'", "'~'", "NMA", "'+'", "'-'", "'*'", "'/'", "'%'", "'!'",
  "'.'", "DEFINE", "ON", "OFF", "YES", "NO", "S", "MS", "US", "PORT",
  "VPN", "MPLS", "FROM", "FLOW4", "FLOW6", "DST", "SRC", "PROTO", "NEXT",
  "HEADER", "DPORT", "SPORT", "ICMP", "TYPE", "CODE", "TCP", "FLAGS",
  "LENGTH", "DSCP", "DONT_FRAGMENT", "IS_FRAGMENT", "FIRST_FRAGMENT",
  "LAST_FRAGMENT", "FRAGMENT", "LABEL", "OFFSET", "FUNCTION", "PRINT",
  "PRINTN", "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "QUITBIRD",
  "INT", "BOOL", "IP", "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "SET",
  "STRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST", "LCLIST", "IF",
  "THEN", "ELSE", "CASE", "TRUE", "FALSE", "RT", "RO", "UNKNOWN",
  "GENERIC", "GW", "NET", "MASK", "SOURCE", "SCOPE", "DEST", "IFNAME",
  "IFINDEX", "PREFERENCE", "ROA_CHECK", "ASN", "IS_V4", "IS_V6", "LEN",
  "MAXLEN", "DEFINED", "ADD", "DELETE", "CONTAINS", "RESET", "PREPEND",
  "FIRST", "LAST", "LAST_NONAGGREGATED", "MATCH", "EMPTY", "FILTER",
  "WHERE", "EVAL", "ATTRIBUTE", "BT_ASSERT", "BT_TEST_SUITE", "FORMAT",
  "ROUTER", "ID", "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG", "ALL",
  "DIRECT", "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF", "TABLE",
  "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4",
  "ROA6", "SADR", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART",
  "DISABLE", "KEEP", "FILTERED", "PASSWORD", "PASSIVE", "TO", "EVENTS",
  "PACKETS", "PROTOCOLS", "INTERFACES", "ALGORITHM", "KEYED", "HMAC",
  "MD5", "SHA1", "SHA256", "SHA384", "SHA512", "PRIMARY", "STATS", "COUNT",
  "BY", "FOR", "COMMANDS", "PREEXPORT", "NOEXPORT", "GENERATE", "BGP",
  "PASSWORDS", "DESCRIPTION", "SORTED", "RELOAD", "IN", "OUT", "MRTDUMP",
  "MESSAGES", "RESTRICT", "MEMORY", "IGP_METRIC", "CLASS", "TIMEFORMAT",
  "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG", "GRACEFUL", "WAIT",
  "MAX", "FLUSH", "AS", "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS",
  "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI",
  "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES",
  "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "BFD", "MIN",
  "IDLE", "RX", "TX", "INTERVAL", "MULTIPLIER", "MULTIHOP", "NEIGHBOR",
  "DEV", "LOCAL", "AUTHENTICATION", "SIMPLE", "METICULOUS", "SESSIONS",
  "BABEL", "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS",
  "BUFFER", "PRIORITY", "CHECK", "LINK", "HOP", "BABEL_METRIC", "ENTRIES",
  "RANDOMIZE", "HOLD", "TIME", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP",
  "VIA", "SELF", "DEFAULT", "PATH", "START", "DELAY", "FORGET", "AFTER",
  "BGP_PATH", "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "REFRESH", "INTERPRET",
  "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY",
  "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY",
  "ALLOW", "PATHS", "AWARE", "EXTENDED", "SETKEY", "STRICT", "BIND",
  "CONFEDERATION", "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP",
  "CEASE", "HIT", "ADMINISTRATIVE", "SHUTDOWN", "PEER", "CONFIGURATION",
  "CHANGE", "DECONFIGURED", "CONNECTION", "REJECTED", "COLLISION", "OF",
  "MRT", "FILENAME", "PERIOD", "ALWAYS", "OSPF", "V2", "V3",
  "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID", "AREA",
  "RFC1583COMPAT", "STUB", "TICK", "COST", "COST2", "RETRANSMIT",
  "TRANSMIT", "DEAD", "BROADCAST", "BCAST", "NONBROADCAST", "NBMA",
  "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC",
  "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE",
  "NORMAL", "STUBNET", "TAG", "EXTERNAL", "LSADB", "ECMP", "WEIGHT",
  "NSSA", "TRANSLATOR", "STABILITY", "GLOBAL", "LSID", "INSTANCE", "REAL",
  "NETMASK", "MERGE", "LSA", "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY",
  "STATE", "PERF", "EXP", "REPEAT", "THRESHOLD", "MODE", "PIPE", "RADV",
  "RA", "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE",
  "RETRANS", "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME",
  "SKIP", "ONLINK", "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "DOMAIN",
  "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH", "PROPAGATE",
  "RA_PREFERENCE", "RA_LIFETIME", "RIP", "NG", "INFINITY", "TIMEOUT",
  "GARBAGE", "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE", "ZERO",
  "PLAINTEXT", "RIP_METRIC", "RIP_TAG", "STATIC", "PROHIBIT", "BLACKHOLE",
  "UNREACHABLE", "KERNEL", "KRT_PREFSRC", "KRT_REALM", "KRT_SCOPE",
  "KRT_MTU", "KRT_WINDOW", "KRT_RTT", "KRT_RTTVAR", "KRT_SSTRESH",
  "KRT_CWND", "KRT_ADVMSS", "KRT_REORDERING", "KRT_HOPLIMIT",
  "KRT_INITCWND", "KRT_RTO_MIN", "KRT_INITRWND", "KRT_QUICKACK",
  "KRT_LOCK_MTU", "KRT_LOCK_WINDOW", "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR",
  "KRT_LOCK_SSTRESH", "KRT_LOCK_CWND", "KRT_LOCK_ADVMSS",
  "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT", "KRT_LOCK_RTO_MIN",
  "KRT_FEATURE_ECN", "KRT_FEATURE_ALLFRAG", "SYSLOG", "TRACE", "INFO",
  "REMOTE", "WARNING", "AUTH", "FATAL", "BUG", "STDERR", "SOFT", "NAME",
  "CONFIRM", "UNDO", "LATENCY", "WATCHDOG", "CONFIGURE", "DOWN", "PERSIST",
  "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC", "';'", "'('",
  "')'", "','", "'{'", "'}'", "':'", "'?'", "'['", "']'", "$accept",
  "config", "conf_entries", "conf", "definition", "expr", "expr_us",
  "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_",
  "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_", "net_roa6_",
  "net_mpls_", "net_ip_", "net_vpn_", "net_roa_", "net_", "net_ip6",
  "net_ip", "net_any", "net_or_ipa", "label_stack_start", "label_stack",
  "time", "text", "opttext", "flow_num_op", "flow_logic_op",
  "flow_num_type_", "flow_num_type", "flow_flag_type", "flow_frag_type",
  "flow_label_type", "flow_srcdst", "flow_num_opts",
  "flow_num_opt_ext_expr", "flow_num_opt_ext", "flow_bmk_opts", "flow_neg",
  "flow_frag_val", "flow_frag_opts", "flow4_item", "flow6_item",
  "flow4_opts", "flow6_opts", "flow_builder_init", "flow_builder_set_ipv4",
  "flow_builder_set_ipv6", "net_flow4_", "net_flow6_", "net_flow_",
  "filter_def", "$@1", "filter_eval", "custom_attr", "bt_test_suite",
  "type", "one_decl", "decls", "declsn", "filter_body", "filter",
  "where_filter", "function_params", "function_body", "function_def",
  "$@2", "cmds", "cmds_int", "block", "fipa", "set_atom", "switch_atom",
  "cnum", "pair_item", "ec_kind", "ec_item", "lc_item", "set_item",
  "switch_item", "set_items", "switch_items", "fprefix", "fprefix_set",
  "switch_body", "bgp_path_expr", "bgp_path", "bgp_path_tail", "constant",
  "constructor", "rtadot", "function_call", "symbol", "static_attr",
  "term", "break_command", "print_one", "print_list", "var_listn",
  "var_list", "cmd", "get_cf_position", "rtrid", "idval", "gr_opts",
  "net_type", "table_sorted", "table", "proto_start", "proto_name",
  "proto_item", "channel_start", "channel_item", "channel_opts",
  "channel_opt_list", "channel_end", "proto_channel", "rtable", "imexport",
  "limit_action", "limit_spec", "debug_default", "timeformat_which",
  "timeformat_spec", "timeformat_base", "iface_patt_node_init",
  "iface_patt_node_body", "iface_negate", "iface_patt_node",
  "iface_patt_list", "iface_patt_list_nopx", "iface_patt_init",
  "iface_patt", "tos", "proto", "dev_proto_start", "dev_proto",
  "dev_iface_init", "dev_iface_patt", "debug_mask", "debug_list",
  "debug_flag", "mrtdump_mask", "mrtdump_list", "mrtdump_flag",
  "password_list", "password_items", "password_item",
  "password_item_begin", "password_item_params", "password_algorithm",
  "cli_cmd", "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optsym", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "r_args_channel", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_EVAL", "cmd_ECHO",
  "echo_mask", "echo_size", "cmd_DISABLE", "cmd_ENABLE", "cmd_RESTART",
  "cmd_RELOAD", "cmd_RELOAD_IN", "cmd_RELOAD_OUT", "cmd_DEBUG",
  "cmd_MRTDUMP", "cmd_RESTRICT", "proto_patt", "proto_patt2",
  "dynamic_attr", "bfd_proto_start", "bfd_proto_item", "bfd_proto_opts",
  "bfd_proto", "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item",
  "bfd_auth_type", "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface",
  "bfd_multihop", "bfd_neigh_iface", "bfd_neigh_local",
  "bfd_neigh_multihop", "bfd_neighbor", "cmd_SHOW_BFD_SESSIONS",
  "babel_proto_start", "babel_proto_item", "babel_proto_opts",
  "babel_proto", "babel_iface_start", "babel_iface_finish",
  "babel_iface_item", "babel_iface_opts", "babel_iface_opt_list",
  "babel_iface", "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start",
  "bgp_loc_opts", "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list",
  "bgp_cease_flag", "bgp_proto", "bgp_afi", "bgp_channel_start", "bgp_nh",
  "bgp_channel_item", "bgp_channel_opts", "bgp_channel_opt_list",
  "bgp_channel_end", "bgp_proto_channel", "mrt_proto_start",
  "mrt_proto_item", "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP",
  "mrt_dump_args", "ospf_variant", "ospf_proto_start", "ospf_proto",
  "ospf_af_mc", "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@3", "$@4", "ospf_stubnet", "ospf_stubnet_start", "ospf_stubnet_opts",
  "ospf_stubnet_item", "ospf_vlink", "ospf_vlink_opts", "ospf_vlink_item",
  "ospf_vlink_start", "ospf_iface_item", "pref_list", "pref_item",
  "pref_base", "pref_opt", "nbma_list", "nbma_eligible", "nbma_item",
  "ospf_iface_start", "ospf_instance_id", "ospf_iface_patt_list", "$@5",
  "ospf_iface_opts", "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@6", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@7", "$@8", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@9", "$@10", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS",
  "static_proto_start", "static_proto", "stat_nexthop", "stat_nexthops",
  "stat_route0", "stat_route", "stat_route_item", "stat_route_opts",
  "stat_route_opt_list", "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item",
  "log_begin", "log_config", "syslog_name", "log_limit", "log_file",
  "log_mask", "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_CHECK", "cmd_DOWN", "cfg_name",
  "cfg_timeout", "kern_proto_start", "kern_mp_limit", "kern_item",
  "kif_proto_start", "kif_proto", "kif_item", "kif_iface_start",
  "kif_iface_item", "kif_iface_opts", "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    61,    60,    62,   126,   278,    43,    45,
      42,    47,    37,    33,    46,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,    59,    40,    41,    44,   123,   125,    58,
      63,    91,    93
};
# endif

#define YYPACT_NINF -1887

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-1887)))

#define YYTABLE_NINF -334

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-334)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     112,  2011,    56,   166,  2406,   645,   645,   645,   852,   645,
     278,  3465,  1346,    -1,   645,   109,    19,   394, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887,   398, -1887, -1887, -1887,   442,   476,  2406,  4126,    39,
     458, -1887, -1887,    -2, -1887,   431, -1887, -1887, -1887, -1887,
     478,   796, -1887,   459,   150, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887,   487, -1887,  3277, -1887, -1887,
   -1887,   327,  3426,   327, -1887,   327, -1887,   327,  3530,   327,
   -1887,   327,  3057,   327,  3187,   171,  1180,   327, -1887,   327,
   -1887,   327,  3240,  3034, -1887, -1887, -1887,   327,   327,  1687,
     127, -1887, -1887,   624,   627,   813,   196, -1887,   602,   480,
    2406,   707,   224,   259, -1887, -1887, -1887,   272,   298,   342,
     346,   361,   364,   377,  1212,   223,   600,   703, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887,  3603, -1887,  4170, -1887, -1887,
   -1887,     0,   878,   878,   645,   645,   838,   108, -1887,   683,
      78,   937, -1887,   957, -1887,   697,   601,   667,    60,   958,
     978,  1008,  1020,  1024,  1048,  1051,  1063,  1068, -1887, -1887,
     568,  1075,   878, -1887, -1887,  1062,  1062,  1096,  1101,   666,
   -1887,  1120, -1887, -1887,  4238, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
     470,  1099,   187,     0,   445,   276, -1887, -1887, -1887,   108,
     640, -1887, -1887, -1887, -1887,   213,   651,   429,   960,   445,
     445,  1166, -1887, -1887, -1887, -1887, -1887,   497, -1887, -1887,
   -1887,   746, -1887, -1887, -1887, -1887, -1887,  1147,  1189,   700,
    1100,   946,     0, -1887,   866,   866,   108,   947, -1887, -1887,
     734,   747,   763,   777,   775,   786,   790, -1887, -1887,   384,
     984,   785,  1289,    24,    76,    91,   135,  1032,   866,   946,
     991,  1162,   595,   448,    89,   950,   950,  1071,  1084,   482,
    1086,  1093,   719,  1089,  1098,   731,  1073,   946,  1079,  1064,
    1135,  1140,  1103,  1107,   426,   946,  1110,   120, -1887,   929,
   -1887,   932,   949,   959,   965,  1070,   178,   946,  1326,   445,
     946,  1354,  1108,   946, -1887,  1170, -1887,   747, -1887,   992,
     989, -1887,   993,   946,   281,  1504,   309,   894, -1887,  1013,
   -1887,  1014, -1887,   445,  1312,  1248,  1517,  1375,  1389, -1887,
    1030,  1031,  1029,  1039,  1043,  1748,  1295,  1407, -1887,  1076,
    1078,   803,  1077,  1410,   445,  1264,  1442,   946,  1322,   946,
   -1887, -1887, -1887,  1085,  1087,  1088,  1091, -1887,  1328, -1887,
   -1887,  1097,    52, -1887,   127,  2406,   127,   127,  1588, -1887,
    1589, -1887,  1591,   624,  1581, -1887, -1887,   241,  1586,   665,
    1587,  1584, -1887, -1887, -1887,  1517,  2406,  2406,  2406,  2406,
    2406,  2406, -1887, -1887,  1600, -1887,  1105,   308, -1887, -1887,
    1581, -1887, -1887,   781, -1887, -1887,   155, -1887,  1630, -1887,
   -1887, -1887, -1887,   506, -1887,   528,  1604,  1623, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887,  2406,  2406,  2406,  2406,  2406,  2406,  2406,  2406,
    2406,  2406,  2406,  2406,  2406,  2406,  3898, -1887, -1887,  1399,
    1636, -1887,  1638,  1639,  1640,  1643, -1887, -1887, -1887,   381,
    1645, -1887, -1887,  1055,  1646, -1887,  1648, -1887,  4090, -1887,
    1168,   958,   958,   958,   958,   958, -1887,   958,   958, -1887,
     457,   484,  1650,   958,   958,  1653, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887,    95, -1887, -1887,  1654,  1655,   966,  1657,
     666, -1887, -1887,   445,  1662,  2406,  1153,  4126,  1167, -1887,
    1163, -1887, -1887, -1887, -1887,  2406,  1175, -1887, -1887, -1887,
    2406, -1887, -1887, -1887, -1887, -1887,   445, -1887, -1887,  1186,
   -1887,   445,   885, -1887,  1181, -1887,   445,   -69,   445,  1074,
   -1887, -1887,  1485, -1887, -1887,   327, -1887,  1666, -1887, -1887,
     178, -1887, -1887, -1887, -1887, -1887, -1887,   946, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887,  1428,  1431,   950, -1887,
    1198, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,   154,
    1199,  1203,   312,   185,  1395,   946,  1515,  1206,  1209, -1887,
    1217, -1887, -1887, -1887,  1693,    74,  1693,   139,   946,   445,
    1458,  1461,   445,  1462,   445,   445,   946,  1463,   946,  1598,
     946,  1226,   946,   946,   946,   946,   946,   946,  1521,   946,
    1229,   946,   946,  1230, -1887, -1887, -1887, -1887, -1887, -1887,
     946, -1887, -1887,   946, -1887,  1578,   445,   946, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887,  1731,  1733, -1887,   445,
     445, -1887, -1887, -1887, -1887, -1887,  3844,  2406, -1887, -1887,
     235,  1579, -1887, -1887,   235, -1887, -1887, -1887,   235,  1517,
   -1887, -1887, -1887, -1887, -1887,   627,   813, -1887, -1887, -1887,
     946,  1517, -1887, -1887, -1887,  1116, -1887,   950, -1887, -1887,
   -1887,   141,  1473, -1887,  1256,   946, -1887,   946,   445, -1887,
     445, -1887, -1887, -1887, -1887, -1887, -1887, -1887,   445, -1887,
    1739, -1887, -1887,  1505, -1887, -1887, -1887, -1887,  1710,  1756,
     552, -1887,  1257, -1887,  1644,  1744, -1887, -1887, -1887,   727,
    1964,   920,  1009,  1173,  1243,  2106, -1887,  2406, -1887,  2406,
    1268,    15,  1269,  2378, -1887, -1887,  1777,   260,   333, -1887,
     813, -1887,  1575,  1592,  3459,  3459,  3459,  4282,  4282,  3459,
    3459,  3459,  3459,  3459,   877,   877,  1584,  1584, -1887, -1887,
   -1887, -1887,  1284, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887,   182, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887,   592, -1887, -1887,  1811, -1887,
   -1887, -1887,  3844,  1795, -1887,  1667, -1887,   486, -1887, -1887,
   -1887, -1887,  1104, -1887, -1887, -1887, -1887,  1799, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887,  1818,   878,   878,   878,   878,
     878,   878,  1491,   958,   878,   958,   878, -1887,   878,   878,
   -1887,   568, -1887, -1887, -1887, -1887,  3844,  1258,   866, -1887,
   -1887,  1819, -1887, -1887,   964,  3029,  4126,   586,  1310,  1309,
   -1887, -1887, -1887,   866, -1887,  1314,  2432, -1887,  2473, -1887,
   -1887,  1821,  1241,  1245,   866, -1887,   866, -1887, -1887,   568,
    1319,  1330, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
    1810, -1887,  1333,  1337,   290, -1887,  1674,  3462,   445,   445,
    1340, -1887,   946,   179, -1887, -1887,  1685,  1583,   445,  1347,
    1348,   946,  1349,   946, -1887, -1887, -1887,  1843, -1887,   445,
     445, -1887, -1887,   445,   445, -1887,  1351,  1352,   445,   445,
    1355,   445,  1359,  1360,  1361,   445,  1362,   178,  1364, -1887,
    1367,  1368,  1372,  1377,  1391,  1392,   177,  1393, -1887,  1396,
    1397, -1887,  1239, -1887,  3151, -1887, -1887,   445, -1887, -1887,
   -1887,  3381, -1887, -1887, -1887, -1887, -1887, -1887, -1887,  4238,
   -1887,  1703, -1887,   946, -1887, -1887,  1400,  3114,  3320,  1403,
    1406, -1887,  1693,  1855,  1887,   946,   445,   946,   141,  1820,
   -1887, -1887,  1749, -1887, -1887,  1333,  1405, -1887,   127, -1887,
    1896, -1887,  2406, -1887,  1891,  1892, -1887, -1887, -1887,  2406,
   -1887,  2406,  2406,  2406,  2406, -1887,  1752,   401,  1387,  2406,
    1450,  2406, -1887,  1413, -1887, -1887,  2406, -1887, -1887, -1887,
    1915,  1916,  2406,  1399, -1887,   381, -1887, -1887, -1887, -1887,
    1912, -1887, -1887,   624,   462,  1279, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887,  1900, -1887,  1932,  1937,  1939,  1940,
    1941,  1942, -1887, -1887,  1921,   178, -1887, -1887,   178, -1887,
     178,   878,  1943,   878,  1944,  1945,  1948, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887,  1439,  1441, -1887, -1887,  4126,
    2242,  1443,  1333, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887,   706, -1887, -1887, -1887,  1936, -1887, -1887,
   -1887,  1452, -1887, -1887,   950, -1887, -1887,  1453, -1887,  1816,
   -1887, -1887, -1887,  1454,  1447,  1456, -1887,  1457,   660, -1887,
    1464,   612,   445,  1470, -1887, -1887,  1471, -1887,  1483, -1887,
     148, -1887, -1887,   303, -1887, -1887, -1887, -1887,  1484,  1486,
   -1887,  1499, -1887, -1887, -1887,  1500, -1887,  1501, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887,  1502, -1887, -1887, -1887,
    1750,  1695,  1448,  1689,  1856,  1717,  1874,   163,   946,  1974,
   -1887, -1887,  1514,  3844,  1285,   866,   445,  1908, -1887, -1887,
   -1887,  1522, -1887, -1887,   946,   473,   578, -1887,  1763,  1148,
   -1887, -1887,   709, -1887,  1524, -1887,  1642,  1401, -1887, -1887,
   -1887,  1216, -1887, -1887, -1887,  1216,  1888, -1887, -1887, -1887,
    1529, -1887,   946,   445, -1887, -1887, -1887,  1532, -1887, -1887,
   -1887,  1887, -1887, -1887,  2016, -1887, -1887, -1887,    10, -1887,
   -1887,  1534,  2406, -1887, -1887, -1887, -1887,  2406,  2406,  2026,
    1536, -1887,  3603,  1547,  1607, -1887, -1887,   445, -1887, -1887,
   -1887, -1887,  2030, -1887,  2033, -1887,  1095,  1641,  1779,  2530,
    2584,  2629,  2656,  2406, -1887,  2406,   805,    20,  4238,  1551,
     820,    14,  1553,  2048,  2378, -1887, -1887,  2683, -1887, -1887,
    2036,  2053,   624,  1581,  4129, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887,  2069, -1887,  2070, -1887, -1887,
   -1887,  4126, -1887, -1887,  1557,    77, -1887, -1887, -1887,  1155,
    1188, -1887, -1887, -1887, -1887, -1887,  1559, -1887,    33, -1887,
   -1887, -1887, -1887,  1938, -1887,   445, -1887, -1887,  1917,  1730,
   -1887,    35,  1737,  1741,   994,   732, -1887, -1887,  1572,  1573,
    1574, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887,   215,   229,   946,   339,   946,   512,  1517, -1887,
   -1887, -1887,  1823, -1887, -1887, -1887, -1887, -1887, -1887,  1807,
   -1887, -1887, -1887, -1887,   445,   445,   946,   445, -1887,  1585,
     178, -1887, -1887, -1887, -1887,  1594,  1595,   445, -1887, -1887,
     445,  1596, -1887, -1887, -1887, -1887, -1887, -1887, -1887,  1602,
   -1887, -1887, -1887,   159,     8, -1887,   946, -1887, -1887, -1887,
    1926, -1887, -1887,  2016,  2086,  2406,   241, -1887,  2952,  3401,
     103,  2406, -1887,  2080,   682, -1887,  4238,  1593,  1610, -1887,
    -215,  2089,  2079, -1887, -1887, -1887, -1887,  2073, -1887, -1887,
    1288,  2067, -1887, -1887, -1887, -1887, -1887,   834,  2105,  2105,
    1148,  1626, -1887, -1887,   834,  2105,  2105,  2105,  1216,  1628,
    2406, -1887, -1887, -1887, -1887,  2710,  2753, -1887,  2112,  2406,
   -1887,  2077, -1887,  2113,  2406,  2138,  2210,  2254,  1629, -1887,
    4129, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,   624,  1581,
   -1887, -1887, -1887, -1887,  1559, -1887, -1887,  2128,   866,  1897,
    1633,   946,  1649,  1814,  1919, -1887, -1887, -1887, -1887, -1887,
   -1887,   660, -1887, -1887, -1887, -1887,   350,   350,   950, -1887,
   -1887, -1887, -1887,  1986,  1884, -1887, -1887, -1887, -1887, -1887,
     946,   946,  1333,  1647, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887,  1651, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887,  1652,   445, -1887,
    2981,  1656,  3678, -1887,  1933, -1887,  3008,  2406,  2406,  2406,
    1010,  1607, -1887,   950, -1887,  1659, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
    2154,   445,  1339, -1887,  1658, -1887,    41,   445,  1612,    43,
   -1887, -1887,  1339,    41,    43,    41,  2094, -1887,  2780, -1887,
   -1887,  1660,  1665,   846,    40,  1668,   880,  1670,  1671,    50,
    1672,    54, -1887, -1887, -1887,  1041, -1887, -1887, -1887,   950,
    1924, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887,   946,   445, -1887, -1887,  1642, -1887,
   -1887,    81,    72,   105,   853,  1060, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887,  1673,  2242,  2068, -1887,
      71, -1887,  4238,  3038,  3066,  1675,  1679,  1680,  1669,  1682,
   -1887, -1887, -1887,   445, -1887, -1887,   445,  1404,   445, -1887,
    2105,  2105,  2135, -1887, -1887, -1887, -1887, -1887,  2105,  2105,
    2155, -1887, -1887, -1887, -1887,  2151,  2406, -1887, -1887, -1887,
    2170,  2406, -1887,  2406,  2178, -1887,  2406, -1887, -1887,   866,
     946,  1684,  1122,  1957,   445,   445,   792, -1887, -1887, -1887,
    1690,  1691, -1887,   946, -1887,  1192, -1887, -1887, -1887, -1887,
    3621, -1887, -1887, -1887,   571,   946,   445,   946, -1887,  1696,
   -1887,   445,    29,   445,   445,  1923,   267, -1887, -1887,  1698,
    1785,  1789,   946,   946,   946, -1887,  1704,  2943, -1887,   407,
     391,  2887, -1887,  1705,  1701,  1933,    90, -1887, -1887,   781,
   -1887, -1887,  2213, -1887, -1887, -1887, -1887,   244,  1706, -1887,
   -1887,  2406,  2406,  2406, -1887,  2406, -1887,  1658,   445, -1887,
     445,   445,   445,  1612,  1612, -1887,  1709,  1718,  1719,  1716,
    1721,  1727,  1729, -1887, -1887,  2074,  2001,  2003,  2006, -1887,
   -1887, -1887,  1228, -1887,  2075, -1887,  1200, -1887, -1887,   445,
    1988,  1156,   445,  1995,   329,   445,  2013,  2014,  1996, -1887,
    1764,  1683,   445,  1759,   946,  2015,   453,   258,   445,   445,
    2018,  1877,  1960,  1910,   946,   445,   445,  2005,   400,  1890,
     445,  1895,  1922, -1887, -1887,  1780, -1887,   445,  1781, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,   445,
     445, -1887, -1887,   445,   445, -1887, -1887, -1887, -1887,   138,
     -42,  1876,  -113,  1873,   -11,   946,  1879,  2024,  1878,  2035,
    2046,  2052, -1887,  1792,   362,   950, -1887,  1793,   362,  2286,
   -1887,  1798,   445,   946,   946,  2044,   659,   285,   445,  2039,
     -96,   950,  2002,  1930,  -106,  2054,  2055,   449,  1875,  1881,
   -1887, -1887,  1813, -1887, -1887, -1887, -1887,  2807,   212,   230,
      90,  1826,  2834,  2861,  2888,  2925, -1887,  2298,  2303, -1887,
   -1887, -1887, -1887, -1887, -1887,  2406, -1887,  2406, -1887,  1824,
    1830,   445,   445,   445, -1887, -1887,  1240,  2315,   436,   445,
    2315,  1251,   467,  1827, -1887,  1291, -1887, -1887, -1887,   445,
     445,   445,   445,   445, -1887, -1887,   445,   445,   946, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887,   399,   445,   445, -1887, -1887, -1887, -1887, -1887, -1887,
     946,  1946,   644,   946, -1887, -1887, -1887,   445,   445, -1887,
     946, -1887,   445,   946, -1887, -1887, -1887, -1887, -1887,  1913,
    1913,  2071, -1887,   722,  2078,   445,  2103,   445,  2110,   445,
     722,   445, -1887,   946,   445,   445,  2189,   946,   159,   946,
       8, -1887,   445, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887,   445,   445,   445, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887,   445,   946,   946, -1887,   767,
     445, -1887, -1887,   445,   445,   946, -1887,   946,   946, -1887,
   -1887,  2406, -1887, -1887, -1887, -1887,  1845,  1846,  1848,  1849,
     445,   445,  1850,  1847, -1887,  2074, -1887, -1887, -1887, -1887,
   -1887, -1887,  1851,  2315,  2315,  1853,  1857,  1449,  1488,  1858,
    2315,  2315, -1887,   950,   950, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887,   121, -1887, -1887, -1887, -1887, -1887, -1887,
     946,  1989, -1887, -1887, -1887, -1887, -1887, -1887, -1887,   946,
   -1887, -1887,   445, -1887, -1887, -1887, -1887,   445,  1913,   445,
   -1887,   445, -1887, -1887,  1913, -1887, -1887, -1887,   445, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
    1990, -1887, -1887, -1887, -1887, -1887, -1887, -1887,  2807, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887,  2406, -1887,  1200,  1865,
    1867,  1200,  1200, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887,  1200,  1868,  1869, -1887, -1887, -1887,  1991,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887,  1880, -1887,  1200,  1200, -1887, -1887, -1887,  1200,
    1200, -1887,  1870,  2406, -1887, -1887, -1887, -1887, -1887,  1883,
   -1887
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       4,     0,     0,     0,   262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1282,     0,     3,   500,
     502,   504,   506,   510,   512,   514,   567,   576,   578,   580,
     582,   584,   586,   588,   590,   592,   594,   601,   603,   605,
     607,   609,   611,   613,   615,   617,   665,   699,   701,   703,
     705,   850,   989,   991,   993,   995,   997,   999,  1001,  1003,
    1171,  1173,  1206,  1270,  1272,  1274,  1276,  1278,  1280,     1,
       2,     0,   371,   369,   370,     0,     0,   262,     0,     0,
       0,   377,   378,     0,   362,   363,   365,   366,   367,   368,
       0,     0,  1240,     0,     0,     6,     5,     7,   132,   135,
     137,   139,   169,   353,   360,     0,   372,     0,   417,   420,
     376,   379,   383,   379,   626,   379,   667,   379,   383,   379,
     837,   379,   383,   379,   383,     0,   383,   379,  1035,   379,
    1120,   379,   383,   383,  1239,  1262,  1265,   379,   379,   383,
     247,   248,   257,   178,   179,   253,   264,   251,     0,     0,
     262,     0,     0,     0,   249,   250,   294,     0,     0,     0,
       0,     0,     0,     0,   262,     0,    35,    36,    45,    37,
      38,    39,    40,    46,    41,    42,    43,   254,   130,   131,
      44,   252,   261,   292,   293,     0,   291,     0,   619,   621,
     620,     0,    65,    65,     0,     0,     0,     0,   618,   623,
       0,     0,   516,     0,   569,     0,     0,   509,     0,   509,
       0,     0,     0,     0,     0,     0,     0,     0,   597,   596,
       0,   599,    65,   852,  1283,  1282,  1282,     0,     0,  1284,
    1281,     0,   170,   133,   136,   141,   142,   143,   145,   144,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
       0,     0,     0,     0,     0,    20,   364,    63,    62,     0,
       0,   422,   421,   423,   424,     0,     0,     0,     0,     0,
       0,     0,   448,   708,   627,   668,   838,   859,  1015,  1029,
    1036,  1121,  1176,  1288,  1301,   862,  1123,   380,     0,     0,
       0,    20,     0,   454,     0,     0,     0,     0,   447,   390,
       0,   401,     0,     0,     0,     0,     0,   794,   795,     0,
       0,     0,     0,   784,   785,     0,     0,     0,     0,    20,
       0,     0,     0,    20,     0,   712,   709,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    20,     0,     0,
       0,     0,     0,     0,     0,    20,     0,     0,   707,     0,
     796,   821,     0,     0,     0,     0,     0,    20,     0,     0,
      20,     0,     0,    20,   858,   865,   869,   401,   870,     0,
       0,   880,     0,    20,     0,     0,     0,     0,  1014,     0,
    1019,     0,  1031,     0,     0,     0,     0,     0,     0,  1028,
       0,     0,     0,     0,     0,     0,     0,     0,  1175,     0,
       0,  1195,  1204,     0,     0,     0,     0,    20,     0,    20,
    1287,  1293,  1294,     0,     0,     0,     0,  1307,     0,  1300,
    1304,     0,   247,   264,   247,   262,   247,   247,     0,   239,
       0,    27,     0,     0,     0,    30,    31,   262,     0,     0,
       0,   289,    34,   125,   125,     0,   262,   262,   262,   262,
     262,   262,   201,   202,     0,   204,     0,     0,   180,   183,
     179,   182,   185,   262,    35,    36,   230,   181,   219,   216,
     217,   218,   226,     0,   234,     0,     0,     0,   265,   268,
     266,   267,   269,   270,   271,   272,   273,   625,   698,   826,
     829,   828,   825,   827,   830,   831,   832,   835,   836,   833,
     834,   985,   986,   987,   988,  1118,  1119,  1169,  1170,  1211,
    1212,  1213,  1214,  1215,  1216,  1217,  1218,  1219,  1220,  1221,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,  1229,  1230,  1231,
    1232,  1233,  1234,  1235,  1236,  1237,  1238,  1314,  1315,   295,
     296,   593,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,     0,   457,   456,     0,
       0,    64,     0,     0,     0,     0,   608,   468,   467,     0,
       0,   622,   624,   623,     0,   511,     0,   503,     0,   501,
       0,   509,   509,   509,   509,   509,   508,   509,   509,  1005,
     509,   509,     0,   509,   509,     0,   589,   581,   591,   583,
     577,   579,   585,   587,  1258,  1253,  1254,  1255,  1256,  1257,
    1259,  1260,  1261,     0,  1251,   600,     0,     0,     0,     0,
    1284,  1275,  1277,  1285,     0,   262,     0,   158,     0,   156,
       0,   356,   358,   359,   443,   262,     0,   418,     9,    11,
     262,   419,    16,    18,    17,    19,     0,    15,  1266,     0,
    1264,   425,     0,   433,  1243,  1248,  1244,     0,     0,     0,
    1269,  1268,   373,   860,   861,   379,  1122,     0,   381,   449,
       0,   384,   385,   434,   389,   388,   386,    20,   450,   399,
     403,   451,   452,   632,   673,   728,     0,     0,     0,   743,
       0,   788,   786,   789,   787,   790,   792,   791,   793,     0,
       0,     0,     0,    20,     0,    20,     0,     0,     0,   744,
       0,    21,    22,    23,    24,     0,    24,     0,    20,     0,
       0,     0,     0,     0,     0,     0,    20,     0,    20,     0,
      20,     0,    20,    20,    20,    20,    20,    20,     0,    20,
       0,    20,    20,     0,   729,   819,   823,   730,   847,   863,
      20,   881,   871,    20,   878,   875,     0,    20,   872,   866,
     867,   403,   864,   883,  1016,  1025,     0,     0,  1022,     0,
       0,  1026,  1027,  1018,  1017,   397,   158,   262,   408,   409,
       0,     0,   407,   392,     0,   393,   405,   391,     0,     0,
    1032,  1033,  1047,  1130,  1177,     0,     0,    52,    51,  1191,
      20,     0,  1178,  1179,  1197,     0,  1196,     0,  1200,  1198,
    1199,  1189,  1192,  1202,     0,    20,  1210,    20,     0,  1295,
       0,  1297,  1208,  1290,  1289,  1302,   434,  1305,     0,  1303,
       0,   242,   244,     0,   245,   246,   241,    26,    28,     0,
     331,   334,     0,   309,     0,     0,   310,   126,   127,     0,
       0,     0,     0,     0,     0,     0,   203,   262,   274,   262,
       0,     0,     0,   190,   231,   232,     0,     0,     0,   255,
       0,   256,     0,     0,   286,   284,   282,   279,   280,   281,
     283,   285,   287,   288,   275,   276,   277,   278,   304,   298,
     299,   300,     0,   303,   297,   301,   302,   306,   307,   308,
     461,   462,   463,   465,   466,   464,     0,   459,   614,   606,
     602,   610,   612,   472,   473,     0,   470,   616,     0,   505,
     513,   515,   158,     0,   524,     0,   545,     0,   526,   525,
     530,   531,     0,   544,   546,   517,   523,     0,   568,   575,
     571,   572,   573,   574,   570,     0,    65,    65,    65,    65,
      65,    65,     0,   509,    65,   509,    65,   990,    65,    65,
    1207,     0,   598,   595,   604,   851,   158,     0,     0,   856,
    1279,     0,  1286,  1271,     0,     0,   158,     0,     0,     0,
     134,   162,   138,     0,   434,     0,     0,   354,     0,  1267,
    1263,     0,   427,   430,     0,  1247,     0,  1246,  1249,     0,
       0,     0,    12,    13,    14,   374,   375,  1030,   382,   387,
     437,   440,   455,     0,     0,   404,   383,   383,     0,     0,
       0,   735,    20,    20,   767,   769,     0,     0,     0,     0,
       0,    20,     0,    20,   783,   782,   745,     0,   712,     0,
       0,   733,   709,     0,     0,   731,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   766,
       0,     0,     0,     0,     0,     0,     0,     0,   768,     0,
       0,   739,     0,   824,   383,   873,   874,     0,   879,   877,
     868,     0,  1020,  1021,  1024,  1023,   163,   164,   406,   165,
     416,   410,   395,    20,   396,   394,     0,   383,   383,     0,
       0,  1184,    24,  1193,     0,    20,     0,    20,  1190,   262,
    1182,  1298,  1291,  1209,  1296,   442,  1311,  1306,   247,   240,
       0,    28,   262,   320,     0,     0,   121,   123,   317,   262,
     290,   262,   262,   262,   262,   319,     0,     0,   262,   262,
     262,   262,   184,     0,   178,   179,   262,   220,   227,   235,
       0,     0,   262,     0,   458,     0,   469,   507,   522,   529,
       0,   519,   520,   542,   543,     0,   539,   540,   541,   535,
     533,   534,   518,   532,   527,   666,     0,     0,     0,     0,
       0,     0,  1004,  1013,     0,     0,  1008,  1011,     0,  1006,
       0,    65,     0,    65,     0,     0,     0,  1252,   855,   854,
     853,   857,  1273,     8,   167,   160,     0,   171,   157,   158,
     262,     0,   444,   355,   357,    10,   426,   428,   429,   431,
     432,  1242,  1245,     0,  1241,   361,   438,    65,   434,   453,
     402,     0,   635,   635,     0,   634,   628,     0,   676,     0,
     675,   669,   670,     0,     0,     0,   754,     0,     0,   715,
       0,    20,     0,     0,   775,   774,     0,   764,     0,    25,
       0,   713,   714,     0,   710,   711,   781,   741,     0,     0,
     758,     0,   753,   752,   747,     0,   737,     0,   738,   750,
     770,   749,   748,   780,   751,   771,     0,   773,   746,   740,
       0,     0,     0,     0,     0,     0,     0,     0,    20,     0,
     822,   800,     0,   158,     0,     0,     0,     0,   849,   843,
     839,     0,   876,   975,    20,     0,    20,   894,     0,     0,
     896,   886,    20,   882,     0,   900,   976,     0,   415,   398,
    1034,     0,  1050,  1041,  1043,     0,     0,  1049,  1037,  1038,
       0,  1133,    20,     0,  1132,  1124,  1125,     0,  1180,  1181,
    1183,     0,    58,    59,  1185,  1188,  1187,  1186,     0,   325,
     326,     0,   262,   322,   323,   324,   321,   262,   262,     0,
       0,  1205,     0,     0,   262,  1201,  1203,     0,  1299,  1309,
    1313,   243,     0,   332,     0,   311,     0,     0,     0,     0,
       0,     0,     0,   262,   258,   262,     0,     0,   190,     0,
       0,     0,     0,     0,     0,    32,    33,     0,   460,   471,
       0,     0,   536,   537,     0,   706,   700,   702,   704,   994,
     992,  1009,  1012,  1007,  1010,     0,   996,     0,  1000,  1172,
    1174,     0,   166,   159,     0,   262,   174,   140,  1250,   435,
       0,   439,   441,   400,   434,   629,   653,   630,   657,   631,
     633,   434,   671,     0,   674,     0,   759,   761,     0,     0,
     719,     0,     0,     0,     0,     0,   717,   762,     0,     0,
       0,   776,   763,   765,   734,   732,   757,   756,   742,   755,
     736,   772,     0,    20,    20,     0,    20,     0,     0,   807,
     808,   809,     0,   820,   842,   841,   840,   844,   845,     0,
     848,   434,   899,   887,     0,     0,    20,     0,   885,     0,
       0,    50,    49,   903,   898,   902,     0,     0,   892,   884,
       0,   910,   411,   412,   413,   414,    48,    47,  1082,  1091,
    1040,   434,  1039,     0,     0,  1045,    20,  1048,   434,  1129,
    1126,  1128,  1131,  1194,     0,   262,   262,   262,     0,     0,
       0,   262,   352,     0,     0,   344,   327,   329,     0,  1292,
       0,     0,     0,    78,    89,    90,    76,     0,    79,    80,
       0,     0,    83,    84,    87,   128,    85,     0,   102,   102,
       0,     0,    88,   129,     0,   102,   102,   102,     0,     0,
     262,   314,   315,   313,   316,     0,     0,   199,     0,   262,
     197,   262,   193,     0,   262,   191,   262,   262,     0,   305,
       0,   538,   564,   562,   563,   547,   550,   554,   557,   560,
     561,   548,   549,   551,   552,   553,   555,   556,   558,   559,
     565,   566,   528,   998,  1002,   161,   168,   175,    55,    56,
      57,    53,    54,   436,   653,   651,   636,     0,     0,   660,
     695,    20,     0,     0,     0,   723,   721,   722,   725,   724,
     726,     0,   716,   778,   777,   779,    20,    20,     0,   814,
     815,   816,   817,     0,     0,   810,   804,   805,   806,   818,
      20,    20,   978,   982,   889,   890,   888,   891,   963,   924,
     904,   963,   893,   977,   911,  1089,  1088,  1079,  1095,  1094,
    1102,  1042,  1104,  1105,  1112,  1044,  1046,  1166,     0,    60,
       0,     0,     0,   338,   262,   236,     0,   262,   262,   262,
       0,   262,   343,     0,  1312,     0,    29,   312,    77,    81,
      82,    86,    72,    70,    68,    67,    69,    71,    66,    73,
      95,     0,   112,    97,    93,   103,   113,     0,     0,   114,
     111,   122,   117,   118,   119,   120,   115,   124,     0,   259,
     260,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,   521,   636,     0,   656,   658,   659,     0,
     662,   693,   677,   672,   760,   720,   727,   718,   798,   799,
     797,   803,   802,   801,    20,     0,   813,   846,   976,   980,
     984,     0,     0,     0,   913,     0,  1093,  1077,  1076,  1100,
    1110,  1164,  1134,  1127,   337,   263,     0,   262,   335,   176,
       0,   341,   352,     0,     0,     0,     0,     0,     0,     0,
     330,  1308,  1310,     0,    91,    75,    74,     0,     0,    74,
     102,   102,     0,   104,   105,   106,   107,   108,   102,   102,
       0,   318,   214,   198,   196,     0,   262,   194,   212,   192,
       0,   262,   210,   262,   208,   207,   262,   205,   655,     0,
      20,     0,     0,     0,     0,     0,     0,   654,   644,   475,
     479,     0,   661,    20,   664,   678,   697,   811,   812,   979,
       0,   895,   966,   964,   967,    20,     0,    20,   901,     0,
     897,     0,     0,     0,     0,     0,     0,   909,   923,     0,
       0,     0,    20,    20,    20,  1092,     0,     0,  1081,  1096,
    1106,     0,  1168,     0,     0,   262,   262,   186,   189,   262,
     345,   188,   224,   221,   222,   223,   228,     0,     0,   340,
     339,   262,   262,   262,   346,   262,    96,    94,     0,    98,
       0,     0,     0,     0,     0,   116,     0,     0,     0,     0,
       0,     0,     0,   480,   642,   476,     0,     0,     0,   637,
     641,   645,     0,   646,     0,   643,   481,   652,   663,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   696,
       0,     0,     0,     0,    20,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    20,     0,     0,     0,     0,     0,
       0,     0,     0,   983,   962,     0,   968,     0,     0,   907,
     908,   906,   905,   917,   920,   921,   922,   914,   915,     0,
       0,   918,   912,     0,     0,  1083,  1084,  1085,  1090,     0,
       0,     0,     0,     0,     0,    20,     0,     0,     0,     0,
    1067,  1069,  1080,     0,     0,     0,  1099,     0,     0,     0,
    1109,     0,     0,    20,    20,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1167,  1159,     0,   342,   177,   336,   238,   190,     0,     0,
     262,     0,     0,     0,     0,     0,    92,     0,     0,    99,
     110,   109,   213,   195,   211,   262,   209,   262,   206,     0,
       0,     0,     0,     0,   647,   648,     0,     0,     0,     0,
       0,     0,     0,     0,   679,     0,   682,   683,   681,     0,
       0,     0,     0,     0,   688,   680,     0,     0,    20,   694,
     932,   933,   934,   935,   936,   937,   938,   939,   929,   970,
     961,     0,     0,     0,   956,   950,   951,   952,   926,   943,
      20,     0,    20,    20,   945,   925,   928,     0,     0,   930,
      20,   927,     0,    20,   981,   969,   965,   916,   919,  1116,
    1116,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1054,    20,     0,     0,     0,    20,     0,    20,
       0,  1078,     0,  1114,  1098,  1097,  1103,  1101,  1108,  1107,
    1113,  1111,  1140,  1138,  1157,     0,     0,     0,  1152,  1160,
    1163,  1162,  1161,  1158,  1135,     0,    20,    20,  1139,    20,
       0,  1136,  1137,     0,     0,    20,  1141,    20,    20,  1165,
     187,   262,   225,   229,   237,   351,     0,     0,     0,     0,
       0,     0,     0,     0,   474,   476,   638,   639,   640,   649,
     650,    61,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   478,     0,     0,   686,   687,   446,   445,   689,
     684,   685,   690,     0,   954,   953,   955,   958,   957,   946,
      20,     0,   959,   944,   942,   931,   941,   947,   940,    20,
    1086,  1087,     0,  1073,  1074,  1075,  1063,     0,  1116,     0,
    1053,     0,  1056,  1062,  1116,  1055,  1057,  1058,     0,  1071,
    1068,  1072,  1070,  1115,  1150,  1151,  1153,  1146,  1156,  1145,
       0,  1154,  1149,  1147,  1148,  1142,  1143,  1144,     0,   348,
     349,   347,   350,   101,   100,   200,   262,   477,   481,     0,
       0,   481,   481,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   481,     0,     0,   691,   692,   949,   972,
     971,   948,   960,  1117,  1064,  1065,  1061,  1052,  1051,  1060,
    1059,  1155,     0,   486,   481,   481,   488,   487,   489,   481,
     481,   973,     0,   262,   484,   485,   482,   483,   974,     0,
     215
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1887, -1887, -1887, -1887, -1887,  -151,  -267,   352,  -324,  -685,
   -1887,  -139,  -140,  1460,  1467,  1468, -1887, -1887, -1887,  -156,
   -1887, -1887,  -305, -1100, -1110,  1806, -1887, -1887,  1042, -1401,
    -260,  -179,   557,  -675, -1887,  1023,  1026,  1027, -1887,  1033,
     811,   573,   581,  -329,  -884,  -481,   832, -1887, -1887, -1887,
   -1887,  1984, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887,  2351,  -934,  1221,  1000,  1805,  -842,  -555, -1887,
    1469, -1887, -1887, -1598, -1887,   508,  -161,  1569,   349, -1128,
   -1729,  2274, -1633, -1600,  1580,   357, -1887, -1887,  1577, -1887,
   -1887, -1887, -1887,  -378, -1887, -1887, -1090, -1887,  -132,  1080,
      -4, -1887, -1887,   728,  1342,   919, -1092,   646, -1887,  -340,
   -1887,   520, -1887, -1887, -1887,   -53,   -94, -1887,  -808, -1887,
    2100,  1708,   -82,  -430,  2085, -1887,    31, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887,  1244,  -655,  -344, -1887, -1887, -1815,
   -1887, -1887, -1887, -1887, -1887,    18, -1887,  1318,   526, -1887,
    1320, -1237,   218, -1886, -1887, -1174, -1887, -1887, -1887, -1887,
   -1887, -1887,  -189, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
     864, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887,   744,  1903, -1272, -1887, -1887, -1887,
   -1887,  1247,   704, -1887, -1887, -1887,   833, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,  1444,
    1451, -1887, -1887,   826, -1887, -1887, -1887,   821, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887,   800, -1887, -1887, -1887, -1887, -1887, -1887, -1887,   694,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
     304, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
     454,   440, -1887, -1887, -1887, -1887,   310,   450, -1887, -1887,
   -1887, -1887,   311,   452, -1780, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887,  1711, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887,  1519,  1552, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887,  1266,  1901, -1887,
   -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887, -1887
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,    96,    97,   647,   660,  1790,  1699,  1038,
     431,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,  1528,  1892,   799,  1643,  1353,  1354,  2262,
     260,   562,  1741,  1841,  1576,  1577,  1578,  1579,  1587,  1580,
    1742,  1743,  1744,  1746,  1747,  1847,  1749,  1581,  1589,  1386,
    1387,   847,  1126,  1127,   178,   179,   180,    98,   627,    99,
     100,   101,   977,   978,   979,  1206,  1087,  1088,   782,   976,
     981,   102,   626,  1434,  1435,  1818,   181,   468,  1932,   861,
     469,   862,   470,   471,   472,  1936,   473,  1937,   474,   475,
    1820,   427,   182,   428,   183,   184,   185,  1373,   186,   539,
    1398,  1374,  1557,  1558,   841,   842,  1436,  1717,   103,   636,
     104,   299,  1006,   106,   107,   289,   300,   301,   391,  1014,
     680,  1015,   302,   787,   783,  1328,  1092,   108,   265,   266,
     109,  1010,  1441,  1227,  1011,  1115,  1116,   984,   985,  2134,
     110,   111,   112,   673,   303,   560,   906,   907,   570,   915,
     916,  1878,  2109,  1879,  1880,  2123,  2269,    18,    19,    20,
      21,    22,   592,    23,    24,    25,   578,  1172,  1173,   937,
    1632,    26,   580,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   221,   616,    37,    38,    39,    40,    41,
      42,    43,    44,    45,   191,   574,   540,   113,  1237,  1016,
     114,  1444,  1776,  1881,  1975,  1775,  1646,  1445,  1447,  1649,
    1780,  1884,  1449,    46,   115,  1243,  1017,   116,  1451,  1886,
    1990,  1885,  1782,  1452,    47,    48,    49,    50,   117,   717,
     715,  1250,  1465,  1466,   118,   350,   351,  1791,  1302,  1072,
     746,  1073,   352,   119,  1311,  1074,   120,    51,   618,   285,
     121,   122,   760,   367,   368,   369,   370,   371,  1081,  1324,
    1509,  1516,  1514,  1515,  1802,  1899,  1325,  1804,  1909,  1326,
    2015,  1801,  1893,  1894,  2018,  2283,  2392,  2370,  1501,  1521,
    1683,  1798,  1890,  1800,  1502,    52,    53,    54,    55,    56,
      57,    58,    59,   952,   123,   124,   381,   125,   665,   126,
     127,  1340,  1533,  1534,  1097,   128,  1531,  2053,  2198,  2200,
    2306,  1918,  1917,  1808,  1532,  1529,  1916,  1806,  1805,  1696,
    1530,  1700,  1809,  2057,  2206,  1919,  1701,  1704,  1810,  2061,
    2210,  1920,  1705,  2204,  2300,   286,   129,  1347,  1098,   130,
    1538,  1922,  2082,  2223,  1921,  1812,  1539,    60,    61,   131,
     132,   811,   812,   401,   402,  1376,  1109,   814,    62,   133,
     413,   267,   134,   995,   997,   657,  1000,   613,   614,   135,
     136,    63,    64,    65,    66,    67,    68,   229,   624,   137,
    1378,   414,   138,   139,   421,   826,  1725,  1560,  1380,   827
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     187,   714,   716,   661,   467,   436,   435,   656,   429,   466,
    1397,  1399,  1401,  1402,   563,   849,   751,  1375,  1012,  1372,
     595,  1604,  1139,   936,   349,   465,   464,  1599,   366,  1702,
     379,  1042,   390,  1545,   674,   675,   218,   557,   399,   411,
     224,  1205,   380,   617,   831,   420,   832,  1856,   834,   835,
     400,   412,  1835,  1839,  1835,  1839,    69,  1863,   700,   830,
     304,  1866,   305,   969,   306,  1647,   353,   422,   354,   691,
     372,  2183,   423,   234,   392,   998,   393,  1926,   394,  2110,
    1158,   575,   424,  -173,   415,   416,  1927,  1928,  1144,  1145,
     798,  1933,  -173,  -173,  -173,  -173,  -172,  1358,   433,   434,
    1554,  1511,  2190,   641,   638,  -172,  -172,  -172,  -172,   639,
    1358,   542,   543,   544,   545,   546,     1,  1039,   659,   659,
    1372,   693,   433,   434,  1198,  1511,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   638,   695,   556,   711,   712,
     639,   713,   422,   219,   558,   567,   441,   423,  1359,  1360,
    1361,  1362,  1363,  1364,  1365,  1366,   434,   424,  1526,  1655,
     457,  1359,  1360,  1361,  1362,  1363,  1364,  1365,  1366,    70,
    2187,  2226,  1367,   710,   253,  1368,   711,   712,  2024,   713,
     697,  2154,  1043,   864,   865,  1367,  1104,  1934,  1368,   254,
    1369,  1039,   638,   631,   638,   632,   743,   639,   633,   639,
     638,    71,   631,  1369,   632,   639,  1231,   633,   754,  1513,
    1723,    72,  1370,    73,    74,   642,   643,   644,   645,  1924,
    1935,   642,   643,   644,   645,  1370,  2231,  1927,  1928,  1144,
    1145,  1022,   775,   634,   651,  1535,    75,   593,   458,   459,
     143,   460,   461,   462,   638,  1927,  1928,  1144,  1145,   639,
     638,  2218,   568,   816,   140,   639,   141,   142,   143,   144,
     145,   146,   147,  2232,  1301,   642,   643,   644,   645,   148,
     149,   637,  1090,   798,   150,   458,   459,  1144,  1145,   461,
     462,   198,   638,  2025,  1648,   225,   151,   639,   152,   153,
     429,   638,   429,  1040,   429,   429,   639,    76,   594,    77,
      78,  2188,    79,  1724,    80,  1895,    81,    82,  1489,    83,
     672,   576,   642,   643,   644,   645,   542,   543,   544,   545,
     546,    84,    85,    86,    87,    88,    89,   766,  2086,  1212,
    1009,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     154,   155,   556,  1637,   223,  1372,  1043,   287,   458,   459,
    1144,  1145,   461,   462,   156,   157,   692,  2227,  1044,  1096,
    1933,   158,   159,   160,  1020,   638,   161,  1040,    90,  2110,
     639,  1100,   162,   288,    91,  1656,  2184,   638,   163,   989,
      92,    93,   639,  1105,  1666,  2185,   642,   643,   644,   645,
    2130,  2131,   945,   946,   947,   948,   949,   230,   950,   951,
    2301,   954,   956,   383,   958,   959,  2026,  2155,   694,   542,
     543,   544,   545,   546,   638,   638,  2191,  1350,   231,   639,
     639,   833,   652,   696,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   840,  2219,   556,  1896,   384,   385,   646,
    1816,   386,   850,   851,   852,   853,   854,   855,   999,   257,
     258,   742,   387,  1897,   767,  2030,  1934,  1712,  1028,   863,
     638,  1494,   232,   638,   638,   639,  2220,   698,   639,   639,
    1750,  1762,   972,  1764,  1669,  1670,  1766,   586,  1769,  1771,
    1490,  1102,  2263,  1103,   642,   643,   644,   645,  1756,  1935,
     628,  1023,  2244,   432,  1667,   659,   233,  1205,   257,   258,
     991,   255,  1084,  1085,   586,   996,  1161,  1001,  1411,   439,
    1029,  1668,  2156,  2270,  2152,  2131,   220,   559,   226,  1309,
     227,   228,  1044,   105,  1546,  1703,   769,  1026,  2376,  1605,
    1606,  1140,  1106,   913,  2379,  1600,  2132,  1200,   874,   875,
     876,   877,   878,   879,   880,   881,   882,   883,   884,   885,
     886,   887,   770,   251,  1673,  1857,  2181,  1840,   629,  1848,
     542,   543,   544,   545,   546,  1864,   425,  1908,  1047,  1867,
    1107,  1050,   426,  1052,  1053,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   914,  1929,   556,  1041,  2168,  1930,
    1898,  -173,   256,   638,  2133,  -173,   269,   252,   639,  1891,
     686,   953,   709,   640,  -172,  1078,  1208,   648,  -172,  2264,
     440,   961,  1007,   962,   642,   643,   644,   645,   659,   659,
    1715,   974,  1819,  1900,  1372,   569,   268,   638,   955,  1091,
    1162,   986,   639,  1091,   640,  2157,   988,  1091,   271,  2368,
    2271,   425,   365,   671,   270,   604,  1027,   426,   642,   643,
     644,   645,  1045,  2014,   259,   430,   436,   435,   432,   638,
    2132,  1474,  2221,   707,   639,   188,   189,  1113,   687,  1114,
      94,   701,   866,  1674,   629,   708,  1698,  1117,   738,    95,
     642,   643,   644,   645,  2081,  1788,  1789,   586,   382,   731,
    1285,   640,   635,   640,   844,  1748,  1248,   740,  1153,   640,
    1154,   635,  1748,   571,   572,  1719,   467,   467,  1201,   752,
     437,   605,   755,   739,   466,   758,  1720,  1277,  2153,  2266,
    2216,  2131,   442,  1211,   638,   765,  2241,  1372,  1957,   639,
     465,   464,   438,  1959,  1221,  1960,  1222,   463,  1962,  2222,
    1381,   443,  1458,   640,  1929,   642,   643,   644,   645,   640,
     192,   193,   196,   197,   582,   164,  -333,   720,   222,   819,
    2089,   821,   165,  2090,  1191,   721,  1193,  1176,  1177,  1178,
    1179,  1180,  1181,  1089,  1146,  1192,   444,  1194,   583,  1195,
    1196,   640,   638,  2284,  2285,   649,   445,   639,  2202,   190,
     640,  1676,  1168,  1167,   140,   845,   141,   142,   143,   144,
     145,   146,   147,   642,   643,   644,   645,   704,  1230,   148,
     149,   860,   446,   587,   150,  1094,  1475,   476,  2058,  1095,
    1677,  1678,   676,   858,   859,  2059,   151,   573,   152,   153,
     433,   434,  2235,  1819,  2054,  1372,  1372,  1504,  1505,   584,
    2055,   566,  1732,  1733,  1734,  1422,  1682,   463,  1423,   638,
    1424,   663,   664,  1136,   639,  1137,   447,  1735,  1736,  1737,
     448,  1459,  2349,  2350,   640,  1506,  2132,  1244,  1245,  2364,
    2365,   585,   188,   189,  1496,   449,   640,  1253,   450,   804,
     154,   155,   452,   453,   454,   455,   257,   258,  1261,  1262,
    2291,   451,  1264,  1265,   156,   157,   705,  1268,  1269,   561,
    1271,   158,   159,   160,  1275,   588,   161,   554,   555,  2060,
    1448,   556,   162,   640,   640,  1286,  1394,  1395,   163,   654,
     477,   706,  1236,  1241,  2217,  2056,  1312,   655,   542,   543,
     544,   545,   546,  1738,  1739,  1242,   261,  1468,   564,   565,
     577,  1971,  1507,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  2016,   581,   556,  1356,  1950,  1951,  2017,   640,
     579,   638,   640,   640,  1953,  1954,   639,   711,   712,   965,
     713,  1972,   542,   543,   544,   545,   546,  2252,   586,  2253,
    1310,   596,   642,   643,   644,   645,   429,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   190,  1460,   556,  1461,
    1372,  1462,  1463,  1338,  1345,  1464,   724,   725,   262,   263,
     264,   597,  1425,  2330,  1427,  1339,  1346,   542,   543,   544,
     545,   546,   868,   598,  1869,   436,   435,   599,   869,  1013,
     728,   729,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   771,   772,   556,   870,  1497,  1973,  1974,  1440,  1871,
     871,   600,   194,   195,   601,  1030,   589,  1032,  1679,   606,
     607,   608,   609,   610,   611,   612,   602,  1837,  1122,  1901,
    1046,   603,   590,   591,  1849,   571,   572,  1837,  1054,  1849,
    1056,   805,  1058,   224,  1060,  1061,  1062,  1063,  1064,  1065,
     615,  1067,   640,  1069,  1070,   992,   993,   966,   777,   621,
    1644,  1470,  1075,  1517,   622,  1076,  1902,  1650,  1155,  1079,
    1156,   806,   623,  1903,  1002,  1003,  1004,   967,   840,   630,
     807,  1163,  1164,  1165,  1166,  1388,   640,  1389,  1390,  1391,
    1392,  1825,  1826,   711,   712,  1827,   713,  1101,  1563,   968,
    1828,  1829,  1404,   625,  1564,  1565,  1566,  1567,  1407,  1568,
    1569,  1570,  1099,   650,  1571,  1498,  1572,  1573,   640,  2303,
    2304,  2305,  1574,  1512,   653,   433,   434,  1111,  1511,  1112,
    1689,   938,   -64,   -64,  2383,   -64,   658,  2386,  2387,   465,
     464,   542,   543,   544,   545,   546,   662,  1697,   939,  2388,
     666,  1527,  1541,   667,  1707,  1527,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1638,  1639,   556,  1640,   668,
    2394,  2395,  1869,  1870,   677,  2396,  2397,   669,  2382,  1904,
    1905,  1906,   961,   640,  1438,   140,  1559,   141,   142,   143,
     144,   145,   146,   147,   434,  1979,  1526,  1871,   940,   670,
     148,   149,  1128,  1129,  1980,   150,  2117,   678,  1661,  1981,
    1662,   542,   543,   544,   545,   546,  1753,   151,  1755,   152,
     153,   808,   809,   810,   679,  2399,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  2118,   681,   556,   786,  1199,
     688,   640,  1217,  1218,  1872,  1873,  1219,  1220,  1874,  1875,
     682,  1290,   683,   383,  1876,   164,  1412,  1413,   689,   941,
    1642,  1641,   165,   684,  1652,   786,  1495,   685,   942,   943,
     690,   154,   155,   452,   453,   454,   455,   699,   290,   944,
    1597,  1598,   291,   292,   702,   156,   157,   384,   385,   703,
     294,   386,   158,   159,   160,  1602,  1603,   161,   718,  2119,
    1659,  1660,   387,   162,  1793,  1729,  1730,   726,   640,   163,
    1835,  1836,   383,  1684,  1685,  1982,  1687,   719,  1548,   722,
    1291,  1854,  1855,  1549,  1550,   723,  1692,  1966,  1967,  1693,
    1556,  1907,   730,  2120,  1247,  1249,   733,   295,  2121,   776,
     777,   727,   296,  1256,   732,  1258,  1292,   385,  1778,  1595,
     386,  1596,   778,   734,  2122,  1859,  1860,   779,   735,  1831,
     140,   387,   141,   142,   143,   144,   145,   146,   147,  2114,
    2115,   784,  1732,  1733,  1734,   148,   149,  1396,  2126,  2127,
     150,  2259,  2260,   736,  1512,   737,  1740,  1735,  1736,  1737,
    2267,  2268,   151,  1740,   152,   153,  1131,  1983,  1984,   741,
     465,   464,   744,   776,   777,  1329,  2273,  2274,  1527,   745,
    1293,  1985,  1986,  1987,  1294,  1882,   778,  1355,  1988,  1357,
     640,   779,   747,   140,   753,   141,   142,   143,   144,   145,
     146,   147,  2100,  2101,   750,   780,   748,  1203,   148,   149,
    1400,   781,   749,   150,  1910,  1911,   154,   155,  1912,  1913,
    1914,   619,   620,   756,  1182,   151,   757,   152,   153,   210,
     156,   157,   759,  1738,  1739,   762,   763,   158,   159,   160,
     764,  1183,   161,   542,   543,   544,   545,   546,   162,   768,
     211,   388,   212,   213,   163,  1132,   773,   774,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   786,   788,   556,
     789,  1710,   840,   790,   791,  1295,   792,  1716,  1184,   154,
     155,   900,   901,   902,  1296,  1297,   793,  1813,   801,  1877,
     794,  1298,   800,   156,   157,  1299,  1522,  1523,  1524,  1525,
     158,   159,   160,   903,   904,   161,   905,   815,  1915,   776,
     777,   162,   214,   215,   216,   217,  1758,   163,   817,   802,
    1834,   803,   778,   818,   813,   820,  1842,   779,   822,  1484,
     823,   828,   836,  1469,   837,   824,   838,  1969,   825,  1963,
     829,   780,   839,  1575,   843,   856,   846,   781,   556,   872,
     140,   857,   141,   142,   143,   144,   145,   146,   147,  1185,
    2353,  2354,  2355,  2356,  2357,   148,   149,   867,   873,   908,
     150,   909,   910,   911,  1888,  1512,   912,  1512,   917,   919,
    1491,   920,   151,   957,   152,   153,   960,   963,   964,  1931,
     970,   465,   464,   465,   464,   973,  1503,   975,  1508,  2358,
    2359,  2360,  2361,  2362,  1518,  1843,  1844,  1845,  1846,   983,
     982,   994,  1946,  1005,  1563,  1740,  1008,  1740,   987,  1133,
    1564,  1565,  1566,  1567,  1540,  1568,  1569,  1570,   389,   990,
    1571,  1018,  1572,  1573,  1019,  1031,   154,   155,  1574,  1582,
    1989,  1021,  1024,  1822,  1823,  1824,  1025,  1556,  1033,  1034,
     156,   157,  1035,   659,  1970,  1037,   164,   158,   159,   160,
    1036,  1048,   161,   165,  1049,  1051,  1055,  1057,   162,  1059,
    1066,  1077,  1068,  1071,   163,  2020,  1082,  2228,  1083,  1093,
    2023,   805,  2027,  2028,  1118,  2031,  1120,  1300,  1186,  1134,
     542,   543,   544,   545,   546,   433,   795,   796,   797,  1110,
    1187,  1121,  1123,  1125,  1124,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1138,  1141,   556,   542,   543,   544,
     545,   546,  1143,   151,  1150,   152,   153,  2096,  1152,  2097,
    2098,  2099,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1151,   290,   556,  1157,  1159,   291,   292,  1160,  1174,
    1232,  1175,  1202,  1209,   294,   290,  1210,  1213,  2124,   291,
     292,  2128,  1224,   417,  2135,  1671,  1672,   294,  1675,  1226,
    1358,  2148,  1216,  1225,  2256,  2257,  2258,  2158,  2159,  1228,
    1229,  1188,  1251,  1246,  2165,  2166,  1252,  2169,  1686,  2171,
    1254,  1255,  1257,  1259,  1266,  1267,  2175,  1327,  1270,  2280,
    2281,   295,  1272,  1273,  1274,  1276,   296,  1278,  2177,  2178,
    1279,  1280,  2179,  2180,   295,  1281,  1189,  1190,  1706,   296,
    1282,  1359,  1360,  1361,  1362,  1363,  1364,  1365,  1366,  1527,
    1351,   164,  1352,  2203,  1283,  1284,  1287,  2203,   165,  1288,
    1289,  2212,  1377,  1330,  1382,  1367,  1348,  2224,  1368,  1349,
    1384,  1385,  1379,  1233,  1234,  2087,  2236,  1931,  1931,  1403,
    1405,  1406,  1410,  1369,  1414,  1415,  1421,  2092,  2093,  2094,
    1416,  2095,  1417,  1418,  1419,  1420,  1426,  1428,  1429,  2366,
    2367,  1430,  1431,  1358,  1453,  1370,  1432,  1439,  1437,  2369,
     659,   659,   659,  1455,   164,  1443,  1450,  1454,  2265,  1456,
    1457,   165,   542,   543,   544,   545,   546,  1467,  2275,  2276,
    2277,  2278,  2279,  1471,  1472,   659,   659,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1473,  1476,   556,  1477,
    2286,  2287,  2288,  1783,  1359,  1360,  1361,  1362,  1363,  1364,
    1365,  1366,  1478,  1479,  1480,  1481,  2294,  2295,  1482,  1483,
    1119,  2297,  1485,  1486,  1487,  1488,  1492,  1493,  1367,  1499,
    1510,  1368,  1796,  1797,  2308,  1500,  2310,  1519,  2312,  1520,
    2314,  1536,  1537,  2316,  2317,  1542,  1369,  1544,  1547,  1551,
    1552,  2323,  2140,  2141,  2142,  2143,  2144,  2145,  2146,  2147,
    1555,  1561,  1562,  1608,  2324,  2325,  2326,  1601,  1370,  1607,
    1610,  1611,  1633,  1634,  2327,  1636,  1645,  1651,  1654,  2332,
    1653,  1657,  2333,  2334,  1658,  1663,  1664,  1665,  1681,  1708,
     140,  1680,   141,   142,   143,   144,   145,   146,   147,  2343,
    2344,  1709,  1688,  1718,  1726,   148,   149,  1763,  1727,  1721,
     150,  1690,  1691,  1694,   542,   543,   544,   545,   546,  1695,
    -328,   164,   151,  1722,   152,   153,  1728,  1731,   165,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1745,  1751,
     556,  1757,  1761,  1765,     4,  1767,  1887,  1772,  1777,  1779,
    1781,  2374,  1785,  1794,     5,  1786,  2375,  1795,  2377,  1583,
    2378,  1833,  1784,  1850,  1799,  1925,  1952,  2380,  1807,  1811,
    1955,  1815,  1832,  1883,  1838,  1852,   154,   155,     6,     7,
    1853,  1956,  1944,  1858,  1861,  1961,  1862,  1865,  1923,  1941,
     156,   157,  1235,  1942,  1943,   418,  1945,   158,   159,   160,
    1958,  1965,   161,  1968,  1977,   419,  2029,  1976,   162,  2022,
       8,  2032,  2033,     9,   163,    10,  2034,  2038,  2083,  2084,
    2088,  2091,  1964,   140,  2102,   141,   142,   143,   144,   145,
     146,   147,  2105,  2103,  2104,  1978,  2106,  2338,   148,   149,
    1768,  2107,    11,   150,  2108,  1869,    12,  2019,  2111,  2021,
    2112,    13,    14,  2113,  2116,   151,  2125,   152,   153,  2129,
    2136,  2137,  1358,  2138,  2035,  2036,  2037,   140,  1393,   141,
     142,   143,   144,   145,   146,   147,  2149,  2139,  2161,  2151,
    2162,  2163,   148,   149,  1770,  2160,  2172,   150,  2167,  2170,
    2186,  2173,  2189,  2174,  2176,  1590,  2193,  2194,  2197,   151,
    2195,   152,   153,  2196,  2199,  2201,  2207,  1702,  2215,   154,
     155,  2211,  2225,  1359,  1360,  1361,  1362,  1363,  1364,  1365,
    1366,  2230,  2229,   156,   157,  2237,  2239,  2233,  2234,  2250,
     158,   159,   160,  2238,  2251,   161,  2261,  1367,  1371,  2245,
    1368,   162,  2254,  2255,  2302,  2272,  2150,   163,  2290,  2299,
    2309,  2307,  2318,   154,   155,  1369,  2164,  2311,  2339,  2340,
      15,  2341,  2342,  2346,  2348,  2345,  2351,   156,   157,  2391,
    2352,  2363,  2372,  2381,   158,   159,   160,  1370,  2384,   161,
    2385,  2389,  2390,  2398,   935,   162,   542,   543,   544,   545,
     546,   163,  1169,  1543,  1948,  1752,  2393,  2192,  2400,  1170,
    1171,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1584,  1949,   556,  1585,  1586,  2213,  2214,  1947,  1754,   140,
    1588,   141,   142,   143,   144,   145,   146,   147,   848,   250,
    1433,  1635,   980,  2085,   148,   149,  1147,  2242,   456,   150,
     542,   543,   544,   545,   546,  1207,  2243,  1149,  1148,  1830,
    1817,   151,  1553,   152,   153,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1383,  1711,   556,   761,  1938,  1080,
     785,  1408,  1442,  2347,  1773,  1409,   918,  1774,  1868,  1130,
    1446,   542,   543,   544,   545,   546,  1263,  1787,  1792,  1260,
    2282,  1803,  1889,  2182,  2313,  2205,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   154,   155,   556,  2320,  2209,
    2208,  2322,  2289,  1197,  2292,  2293,    16,    17,  1223,   156,
     157,   971,  2296,  1108,     0,  2298,   158,   159,   160,     0,
       0,   161,     0,     0,     0,     0,     0,   162,   542,   543,
     544,   545,   546,   163,     0,  2315,     0,     0,     0,  2319,
       0,  2321,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   555,     0,     0,   556,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2328,  2329,
       0,  2331,     0,     0,     0,     0,     0,  2335,     0,  2336,
    2337,   164,   542,   543,   544,   545,   546,     0,   165,     0,
       0,     0,     0,     0,     0,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   555,     0,     0,   556,     0,
       0,  1135,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   542,   543,   544,
     545,   546,  2371,     0,     0,     0,     0,     0,     0,     0,
       0,  2373,   547,   548,   549,   550,   551,   552,   553,   554,
     555,     0,     0,   556,   542,   543,   544,   545,   546,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   555,     0,     0,
     556,   542,   543,   544,   545,   546,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   555,     0,     0,   556,   542,   543,
     544,   545,   546,     0,   164,     0,     0,     0,     0,     0,
       0,   165,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   555,     0,     0,   556,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    -172,   542,   543,   544,   545,   546,     0,     0,   164,     0,
       0,     0,     0,     0,     0,   165,   547,   548,   549,   550,
     551,   552,   553,   554,   555,     0,     0,   556,   542,   543,
     544,   545,   546,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   555,     0,     0,   556,   542,   543,   544,   545,   546,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   555,     0,
       0,   556,   542,   543,   544,   545,   546,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   555,     0,     0,   556,   542,
     543,   544,   545,   546,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1142,     0,   556,   542,   543,   544,   545,
     546,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     164,     0,   556,     0,     0,     0,     0,   165,     0,     0,
    2062,     0,     0,   542,   543,   544,   545,   546,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1214,   547,   548,
     549,   550,   551,   552,   553,   554,   555,     0,     0,   556,
     542,   543,   544,   545,   546,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   555,     0,     0,   556,     0,  1215,   542,
     543,   544,   545,   546,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   555,     0,     0,   556,   542,   543,   544,   545,
     546,     0,     0,     0,     0,  2039,     0,     0,     0,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   555,
       0,     0,   556,     0,     0,  1591,   542,   543,   544,   545,
     546,     0,     0,     0,     0,     0,     0,     0,  1869,  2063,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   555,
       0,     0,   556,     0,   542,   543,   544,   545,   546,    72,
       0,    73,    74,  1871,     0,     0,     0,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   555,     0,  1592,
     556,   355,    72,     0,    73,    74,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,     0,     0,     0,  2064,
       0,     0,  2065,  2066,     0,     0,     0,     0,     0,     0,
    2067,     0,     0,     0,  1593,  2068,     0,     0,  2069,     0,
       0,     0,     0,  2070,     0,  2040,     0,     0,     0,    72,
    2041,    73,    74,     0,     0,     0,     0,     0,     0,     0,
       0,  1594,   290,     0,     0,     0,   291,   292,     0,     0,
       0,     0,     0,  2071,   294,     0,  2042,     0,     0,    84,
      85,    86,    87,    88,    89,   290,  1331,     0,  1609,   291,
     292,     0,     0,     0,     0,     0,  2072,   294,     0,     0,
    2043,     0,    84,    85,    86,    87,    88,    89,     0,     0,
       0,     0,     0,  2044,     0,  1759,     0,     0,     0,     0,
       0,   295,    72,     0,    73,    74,   296,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   403,
       0,     0,   290,     0,   295,     0,   291,   292,     0,   296,
    1332,     0,     0,     0,   294,     0,     0,     0,  1760,    84,
      85,    86,    87,    88,    89,     0,     0,  2073,     0,     0,
       0,     0,  1303,   777,     0,    72,     0,    73,    74,   290,
       0,     0,   404,   291,   292,  1851,     0,     0,  2074,     0,
       0,   294,  1304,     0,     0,     0,     0,     0,     0,     0,
       0,   295,     0,     0,     0,     0,   296,     0,     0,     0,
       0,     0,  2240,     0,     0,   290,     0,     0,     0,   291,
     292,     0,     0,  2075,  2076,  2077,  2078,   294,  2079,     0,
       0,     0,    84,    85,    86,    87,    88,    89,   295,  2246,
       0,     0,     0,   296,     0,     0,   373,     0,  2045,  2046,
       0,     0,     0,  2047,  2048,    72,  2049,    73,    74,     0,
       0,     0,     0,     0,  2050,  2051,  2247,     0,   290,     0,
       0,     0,   291,   292,   295,     0,     0,     0,     0,   296,
     294,     0,     0,     0,     0,    84,    85,    86,    87,    88,
      89,     0,     0,  2248,     0,  2080,     0,     0,     0,   542,
     543,   544,   545,   546,     0,     0,     0,   356,   357,   358,
     359,     0,   272,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   555,     0,   405,   556,     0,   295,     0,     0,
    2249,     0,   296,     0,     0,     0,     0,   360,     0,     0,
       0,     0,   395,     0,   361,     0,     0,   362,   290,     0,
     363,  2052,   291,   292,     0,  1713,  1341,  -334,  -334,  -334,
     294,    72,   273,    73,    74,    84,    85,    86,    87,    88,
      89,     0,  -334,  -334,  -334,  -334,  -334,   552,   553,   554,
     555,     0,     0,   556,  1814,   406,     0,  1714,     0,     0,
       0,  1305,  1306,  1307,     0,     0,   396,    72,     0,    73,
      74,     0,     0,     0,     0,     0,     0,   295,     0,   274,
       0,  1821,   296,     0,     0,     0,     0,  1313,     0,     0,
       0,     0,     0,     0,   275,     0,     0,     0,     0,     0,
       0,   407,   408,   409,  1204,  1333,  1334,     0,     0,  1335,
       0,  1939,   410,     0,  1336,   397,     0,     0,     0,     0,
       0,     0,     0,     0,   290,     0,     0,     0,   291,   292,
       0,     0,   293,     0,     0,   364,   294,   307,   308,  1940,
       0,    84,    85,    86,    87,    88,    89,     0,     0,     0,
       0,     0,     0,     0,     0,   374,   375,   376,   377,     0,
     290,     0,     0,     0,   291,   292,     0,   309,  1238,     0,
       0,     0,   294,     0,  1314,     0,     0,    84,    85,    86,
      87,    88,    89,   295,     0,     0,   276,     0,   296,     0,
     277,     0,  1337,     0,     0,     0,     0,     0,   310,     0,
       0,   199,   200,     0,     0,     0,     0,     0,     0,   478,
       0,     0,     0,     0,   479,     0,     0,     0,     0,   295,
       0,  1315,     0,     0,   296,     0,     0,     0,   290,  1308,
     201,     0,   291,   292,     0,   311,   312,   202,  1991,     0,
     294,     0,     0,     0,   278,   313,   314,   315,   316,   279,
     280,     0,   297,     0,     0,     0,     0,   203,   317,   204,
       0,   318,   319,     0,     0,   378,     0,   205,   480,   481,
    1342,   482,   483,   484,   485,   486,     0,     0,     0,     0,
     281,     0,   206,     0,     0,     0,     0,   295,     0,     0,
       0,     0,   296,  1239,   282,     0,     0,     0,   283,     0,
       0,   320,     0,  1316,     0,   321,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   398,     0,
       0,  1317,     0,  1318,     0,  1343,     0,  1319,     0,  1320,
       0,   322,   323,  1321,  1322,     0,     0,     0,     0,   324,
     325,     0,   326,     0,     0,     0,     0,   284,     0,     0,
       0,     0,  1869,     0,     0,     0,   327,     0,     0,     0,
       0,     0,   328,     0,   329,     0,   330,   331,     0,   487,
     332,   333,   334,     0,     0,     0,     0,  1871,   207,     0,
       0,     0,     0,     0,     0,     0,     0,   335,   336,     0,
       0,     0,     0,   337,   338,     0,     0,  1992,  1344,     0,
       0,   339,     0,     0,     0,   340,     0,     0,   341,   342,
       0,   343,     0,   344,     0,     0,     0,   345,   346,  1993,
     347,     0,     0,  1994,  1086,     0,  1995,  1996,     0,     0,
       0,     0,   488,     0,  1997,     0,     0,     0,     0,     0,
       0,  1998,     0,     0,   487,     0,  1999,  2000,  2001,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,  1323,
       0,     0,     0,     0,     0,     0,     0,     0,   208,     0,
       0,     0,     0,     0,     0,     0,   499,   500,     0,     0,
       0,     0,   209,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
    2002,     0,     0,     0,   298,     0,     0,   488,   888,  2003,
       0,     0,     0,     0,     0,   889,     0,     0,     0,   501,
     502,   503,   504,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,     0,     0,     0,     0,     0,   890,
    1240,   891,     0,  2004,     0,  2005,     0,  2006,  2007,  2008,
       0,   499,   500,     0,     0,  2009,     0,     0,     0,     0,
    2010,     0,     0,     0,     0,   892,     0,     0,     0,     0,
       0,  2011,     0,   893,   894,     0,   895,   896,     0,  2012,
       0,     0,     0,     0,   897,   898,   899,     0,     0,     0,
       0,     0,     0,     0,   501,   502,   503,   504,     0,     0,
       0,     0,     0,     0,   505,   506,     0,     0,   348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   507,   508,
       0,     0,     0,     0,     0,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   921,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   433,   795,   796,
     797,     0,     0,     0,   537,   538,     0,     0,     0,   505,
     506,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   507,   508,   151,     0,   152,   153,  2013,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,     0,
       0,     0,     0,   541,  1612,     0,  1613,  1614,   542,   543,
     544,   545,   546,     0,     0,     0,     0,     0,     0,   537,
     538,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   555,     0,     0,   556,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
     249,   922,   777,     0,     0,     0,     0,     0,     0,     0,
     923,     0,     0,     0,   924,     0,     0,   925,   926,     0,
       0,   927,     0,     0,     0,     0,   542,   543,   544,   545,
     546,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     928,   547,   548,   549,   550,   551,   552,   553,   554,   555,
       0,     0,   556,     0,     0,     0,   929,   930,   931,     0,
     932,     0,   933,   934,  1615,  1616,  1617,  1618,  1619,  1620,
     542,   543,   544,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   555,     0,     0,   556,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1621,
    1622,  1623,  1624,  1625,  1626,  1627,  1628,  1629,  1630,  1631
};

static const yytype_int16 yycheck[] =
{
       4,   325,   326,   270,   165,   145,   145,   267,   140,   165,
    1138,  1139,  1140,  1141,   193,   445,   356,  1109,   673,  1109,
     209,     7,     7,   578,   118,   165,   165,     7,   122,    21,
     124,   716,   126,    23,   294,   295,    37,    37,   132,   133,
      21,   975,   124,   222,   422,   139,   424,     7,   426,   427,
     132,   133,    11,    12,    11,    12,     0,     7,   318,     7,
     113,     7,   115,   618,   117,    32,   119,    15,   121,    45,
     123,   113,    20,    77,   127,   144,   129,     6,   131,  1965,
     922,     3,    30,     6,   137,   138,    15,    16,    17,    18,
     395,  1820,    15,    16,    17,    18,     6,    20,    17,    18,
    1372,    20,   113,   254,    15,    15,    16,    17,    18,    20,
      20,     8,     9,    10,    11,    12,     4,    43,   269,   270,
    1210,    45,    17,    18,   966,    20,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    15,    45,    34,    17,    18,
      20,    20,    15,   144,   144,    37,   150,    20,    71,    72,
      73,    74,    75,    76,    77,    78,    18,    30,    20,   124,
     164,    71,    72,    73,    74,    75,    76,    77,    78,     3,
     283,   267,    95,   324,   176,    98,    17,    18,   149,    20,
      45,  1996,    43,    28,    29,    95,    45,  1820,    98,   191,
     113,    43,    15,    15,    15,    17,   347,    20,    20,    20,
      15,    35,    15,   113,    17,    20,  1014,    20,   359,  1319,
     425,    45,   135,    47,    48,    36,    37,    38,    39,  1817,
    1820,    36,    37,    38,    39,   135,   332,    15,    16,    17,
      18,    77,   383,    46,    21,  1335,    70,   177,    15,    16,
      17,    18,    19,    20,    15,    15,    16,    17,    18,    20,
      15,  2066,   144,   404,    13,    20,    15,    16,    17,    18,
      19,    20,    21,   369,  1072,    36,    37,    38,    39,    28,
      29,   253,    37,   578,    33,    15,    16,    17,    18,    19,
      20,     3,    15,   254,   251,   266,    45,    20,    47,    48,
     422,    15,   424,   219,   426,   427,    20,   131,   238,   133,
     134,   414,   136,   518,   138,   233,   140,   141,   145,   143,
     292,   233,    36,    37,    38,    39,     8,     9,    10,    11,
      12,   155,   156,   157,   158,   159,   160,    46,  1926,   984,
     670,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      99,   100,    34,  1435,   235,  1435,    43,    20,    15,    16,
      17,    18,    19,    20,   113,   114,   332,   453,   219,   789,
    2089,   120,   121,   122,   688,    15,   125,   219,   202,  2255,
      20,   801,   131,    46,   208,   340,   418,    15,   137,   646,
     214,   215,    20,   242,   169,   427,    36,    37,    38,    39,
      61,    62,   581,   582,   583,   584,   585,     3,   587,   588,
    2180,   590,   591,   113,   593,   594,   377,   149,   332,     8,
       9,    10,    11,    12,    15,    15,   427,  1102,    20,    20,
      20,   425,   209,   332,    23,    24,    25,    26,    27,    28,
      29,    30,    31,   437,   149,    34,   364,   147,   148,   163,
    1712,   151,   446,   447,   448,   449,   450,   451,   517,    20,
      21,   331,   162,   381,   173,   188,  2089,  1547,   273,   463,
      15,  1303,    20,    15,    15,    20,   181,   332,    20,    20,
    1580,  1599,   623,  1601,   245,   246,  1604,    20,  1606,  1607,
     317,   805,    46,   807,    36,    37,    38,    39,  1588,  2089,
      20,   337,  2090,    31,   279,   646,    20,  1431,    20,    21,
     651,   503,   769,   770,    20,   656,    20,   658,    46,    29,
     325,   296,   254,    46,    61,    62,   517,   517,   499,  1074,
     501,   502,   219,     3,   514,   517,   217,   215,  2308,   515,
     516,   516,   391,   152,  2314,   515,   207,   967,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   243,   514,   215,   515,   418,   516,    88,   516,
       8,     9,    10,    11,    12,   515,   514,  1804,   719,   515,
     429,   722,   520,   724,   725,    23,    24,    25,    26,    27,
      28,    29,    30,    31,   203,   514,    34,   513,   188,   518,
     518,   514,   161,    15,   265,   518,   446,   139,    20,   518,
     216,   144,   513,   514,   514,   756,    20,   255,   518,   173,
     130,   516,   665,   518,    36,    37,    38,    39,   769,   770,
     517,   625,  1714,   518,  1714,   517,   167,    15,   144,   780,
     144,   635,    20,   784,   514,   377,   640,   788,   151,   518,
     173,   514,   122,   291,   494,    77,   334,   520,    36,    37,
      38,    39,   513,  1890,   176,    31,   796,   796,    31,    15,
     207,   513,   377,   215,    20,    20,    21,   818,   284,   820,
     504,   319,   517,   334,    88,   323,   517,   828,   252,   513,
      36,    37,    38,    39,  1921,   335,   336,    20,   517,   337,
     513,   514,   514,   514,    29,  1579,   517,   345,   516,   514,
     518,   514,  1586,    20,    21,    23,   867,   868,   968,   357,
     514,   143,   360,   287,   870,   363,    34,  1057,   265,  2120,
      61,    62,    15,   983,    15,   373,   514,  1817,  1856,    20,
     870,   870,   130,  1861,   994,  1863,   996,   514,  1866,   454,
    1118,   517,    82,   514,   514,    36,    37,    38,    39,   514,
       6,     7,     8,     9,   153,   514,   515,   275,    14,   407,
     516,   409,   521,   519,   953,   283,   955,   946,   947,   948,
     949,   950,   951,   777,   514,   954,   517,   956,   177,   958,
     959,   514,    15,   384,   385,   259,   514,    20,   426,   144,
     514,   279,   932,   932,    13,   130,    15,    16,    17,    18,
      19,    20,    21,    36,    37,    38,    39,   212,   518,    28,
      29,    30,   514,   146,    33,   784,   513,   217,   427,   788,
     308,   309,   296,   515,   516,   434,    45,   144,    47,    48,
      17,    18,   383,  1925,   427,  1925,  1926,   364,   365,   238,
     433,     3,     8,     9,    10,  1185,  1501,   514,  1188,    15,
    1190,   354,   355,   857,    20,   859,   514,    23,    24,    25,
     514,   201,  2263,  2264,   514,   392,   207,  1018,  1019,  2270,
    2271,   270,    20,    21,  1304,   514,   514,  1028,   514,    76,
      99,   100,   101,   102,   103,   104,    20,    21,  1039,  1040,
     246,   514,  1043,  1044,   113,   114,   301,  1048,  1049,    21,
    1051,   120,   121,   122,  1055,   238,   125,    30,    31,   518,
    1234,    34,   131,   514,   514,  1066,   515,   516,   137,   490,
     217,   326,  1016,  1017,   265,   518,  1077,   498,     8,     9,
      10,    11,    12,    99,   100,  1017,   140,   325,   194,   195,
       3,   149,   364,    23,    24,    25,    26,    27,    28,    29,
      30,    31,   381,   256,    34,  1106,  1840,  1841,   387,   514,
       3,    15,   514,   514,  1848,  1849,    20,    17,    18,     3,
      20,   179,     8,     9,    10,    11,    12,  2105,    20,  2107,
    1074,     3,    36,    37,    38,    39,  1118,    23,    24,    25,
      26,    27,    28,    29,    30,    31,   144,   337,    34,   339,
    2090,   341,   342,  1097,  1098,   345,   287,   288,   212,   213,
     214,     3,  1191,   246,  1193,  1097,  1098,     8,     9,    10,
      11,    12,   516,     3,   171,  1165,  1165,     3,   522,   677,
     299,   300,    23,    24,    25,    26,    27,    28,    29,    30,
      31,   147,   148,    34,   516,  1305,   254,   255,  1227,   196,
     522,     3,   200,   201,     3,   703,   389,   705,  1488,   491,
     492,   493,   494,   495,   496,   497,     3,  1742,   516,   216,
     718,     3,   405,   406,  1749,    20,    21,  1752,   726,  1754,
     728,   278,   730,    21,   732,   733,   734,   735,   736,   737,
      15,   739,   514,   741,   742,   210,   211,   131,   132,     3,
    1444,  1252,   750,   394,     3,   753,   253,  1451,   516,   757,
     518,   308,   446,   260,    40,    41,    42,   151,  1122,    20,
     317,    17,    18,    19,    20,  1129,   514,  1131,  1132,  1133,
    1134,   121,   122,    17,    18,   125,    20,    21,    43,   173,
     130,   131,  1146,    23,    49,    50,    51,    52,  1152,    54,
      55,    56,   800,   513,    59,  1306,    61,    62,   514,   437,
     438,   439,    67,  1319,   513,    17,    18,   815,    20,   817,
    1510,     3,    17,    18,  2348,    20,   216,  2351,  2352,  1319,
    1319,     8,     9,    10,    11,    12,    20,  1531,    20,  2363,
     444,  1331,  1343,    46,  1538,  1335,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    17,    18,    34,    20,    20,
    2384,  2385,   171,   172,   267,  2389,  2390,   517,  2346,   366,
     367,   368,   516,   514,   518,    13,  1377,    15,    16,    17,
      18,    19,    20,    21,    18,    43,    20,   196,    70,   139,
      28,    29,   515,   516,    52,    33,    46,   513,   516,    57,
     518,     8,     9,    10,    11,    12,  1585,    45,  1587,    47,
      48,   458,   459,   460,   517,  2393,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    75,   513,    34,    20,    21,
     296,   514,    41,    42,   243,   244,    41,    42,   247,   248,
     513,    52,   517,   113,   253,   514,    17,    18,   513,   131,
    1440,  1440,   521,   517,  1455,    20,    21,   517,   140,   141,
      21,    99,   100,   101,   102,   103,   104,   285,   138,   151,
     515,   516,   142,   143,   333,   113,   114,   147,   148,   167,
     150,   151,   120,   121,   122,   515,   516,   125,   267,   139,
     346,   347,   162,   131,  1668,    57,    58,   258,   514,   137,
      11,    12,   113,  1504,  1505,   163,  1507,   273,  1362,   273,
     121,   515,   516,  1367,  1368,   272,  1517,   245,   246,  1520,
    1374,   518,   299,   173,  1022,  1023,   312,   197,   178,   131,
     132,   283,   202,  1031,   305,  1033,   147,   148,  1648,  1393,
     151,  1395,   144,   258,   194,   515,   516,   149,   258,  1723,
      13,   162,    15,    16,    17,    18,    19,    20,    21,   181,
     182,   163,     8,     9,    10,    28,    29,    30,   262,   263,
      33,   181,   182,   320,  1580,   318,  1577,    23,    24,    25,
     179,   180,    45,  1584,    47,    48,   516,   245,   246,   329,
    1580,  1580,   513,   131,   132,  1093,   155,   156,  1588,   517,
     211,   259,   260,   261,   215,  1779,   144,  1105,   266,  1107,
     514,   149,   513,    13,   138,    15,    16,    17,    18,    19,
      20,    21,  1953,  1954,   404,   163,   517,   513,    28,    29,
      30,   169,   517,    33,   424,   425,    99,   100,   428,   429,
     430,   225,   226,   139,     3,    45,   388,    47,    48,   153,
     113,   114,   332,    99,   100,   513,   517,   120,   121,   122,
     517,    20,   125,     8,     9,    10,    11,    12,   131,    15,
     174,   341,   176,   177,   137,   516,   513,   513,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    20,   163,    34,
     151,  1545,  1546,   513,   513,   306,   517,  1551,    57,    99,
     100,   152,   153,   154,   315,   316,   517,  1708,   151,   518,
     517,   322,   267,   113,   114,   326,   165,   166,   167,   168,
     120,   121,   122,   174,   175,   125,   177,   167,   518,   131,
     132,   131,   236,   237,   238,   239,  1590,   137,   324,   513,
    1741,   513,   144,   151,   517,   273,  1747,   149,   513,   151,
     513,   273,    14,  1251,    15,   517,    15,  1874,   517,  1869,
     513,   163,    31,   518,    28,    15,    29,   169,    34,    15,
      13,   516,    15,    16,    17,    18,    19,    20,    21,   138,
     181,   182,   183,   184,   185,    28,    29,     7,    15,     3,
      33,     3,     3,     3,  1795,  1801,     3,  1803,     3,     3,
    1298,     3,    45,     3,    47,    48,     3,     3,     3,  1820,
       3,  1801,  1801,  1803,  1803,     3,  1314,   514,  1316,   181,
     182,   183,   184,   185,  1322,    63,    64,    65,    66,   516,
     513,   500,  1833,   198,    43,  1836,    20,  1838,   513,   516,
      49,    50,    51,    52,  1342,    54,    55,    56,   518,   513,
      59,   273,    61,    62,   273,   310,    99,   100,    67,    68,
     518,   513,   513,  1717,  1718,  1719,   513,  1721,   203,   513,
     113,   114,   513,  1874,  1875,    32,   514,   120,   121,   122,
     513,   273,   125,   521,   273,   273,   273,   139,   131,   513,
     219,   163,   513,   513,   137,  1896,    15,  2071,    15,   170,
    1901,   278,  1903,  1904,    15,  1906,    46,   518,   267,   516,
       8,     9,    10,    11,    12,    17,    18,    19,    20,   513,
     279,    15,   515,    29,   130,    23,    24,    25,    26,    27,
      28,    29,    30,    31,   516,   516,    34,     8,     9,    10,
      11,    12,    15,    45,   219,    47,    48,  1948,   514,  1950,
    1951,  1952,    23,    24,    25,    26,    27,    28,    29,    30,
      31,   219,   138,    34,     3,    20,   142,   143,   151,    20,
     146,     3,     3,   513,   150,   138,   517,   513,  1979,   142,
     143,  1982,   513,   146,  1985,  1483,  1484,   150,  1486,    29,
      20,  1992,    21,   513,  2111,  2112,  2113,  1998,  1999,   516,
     513,   360,   167,   513,  2005,  2006,   273,  2008,  1506,  2010,
     513,   513,   513,    20,   513,   513,  2017,   164,   513,  2136,
    2137,   197,   513,   513,   513,   513,   202,   513,  2029,  2030,
     513,   513,  2033,  2034,   197,   513,   395,   396,  1536,   202,
     513,    71,    72,    73,    74,    75,    76,    77,    78,  2039,
      45,   514,    15,  2054,   513,   513,   513,  2058,   521,   513,
     513,  2062,   163,   513,    18,    95,   513,  2068,    98,   513,
      29,    29,   517,   249,   250,  1929,  2077,  2088,  2089,   516,
      15,    15,    20,   113,    34,     3,    15,  1941,  1942,  1943,
       3,  1945,     3,     3,     3,     3,     3,     3,     3,  2273,
    2274,     3,   513,    20,   138,   135,   515,    21,   515,  2283,
    2111,  2112,  2113,   516,   514,   513,   513,   513,  2119,   513,
     513,   521,     8,     9,    10,    11,    12,   513,  2129,  2130,
    2131,  2132,  2133,   513,   513,  2136,  2137,    23,    24,    25,
      26,    27,    28,    29,    30,    31,   513,   513,    34,   513,
    2151,  2152,  2153,  1651,    71,    72,    73,    74,    75,    76,
      77,    78,   513,   513,   513,   513,  2167,  2168,   268,   324,
     515,  2172,   333,   167,   307,   151,    52,   513,    95,   121,
     267,    98,  1680,  1681,  2185,   513,  2187,   513,  2189,   397,
    2191,   153,   513,  2194,  2195,   513,   113,    31,   514,    23,
     514,  2202,   369,   370,   371,   372,   373,   374,   375,   376,
     513,    31,    29,    15,  2215,  2216,  2217,   516,   135,   516,
      34,    18,     3,     3,  2225,   518,   517,   139,   348,  2230,
     163,   344,  2233,  2234,   343,   513,   513,   513,   281,   163,
      13,   268,    15,    16,    17,    18,    19,    20,    21,  2250,
    2251,    15,   517,    23,    15,    28,    29,    30,    29,   516,
      33,   517,   517,   517,     8,     9,    10,    11,    12,   517,
     513,   514,    45,   513,    47,    48,    53,    60,   521,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    33,   513,
      34,   513,    30,    30,   133,     7,  1794,   518,    20,   252,
     517,  2302,   338,   167,   143,   236,  2307,   273,  2309,   518,
    2311,     7,   513,    69,   517,    97,    31,  2318,   517,   517,
      15,   515,   513,   249,   516,   515,    99,   100,   167,   168,
     515,    30,   513,   515,   514,     7,   515,   515,   515,   514,
     113,   114,   518,   514,   514,   508,   514,   120,   121,   122,
      30,   517,   125,   246,   513,   518,   283,   517,   131,   513,
     199,   513,   427,   202,   137,   204,   427,   513,   513,   518,
       7,   515,  1870,    13,   515,    15,    16,    17,    18,    19,
      20,    21,   516,   515,   515,  1883,   515,  2241,    28,    29,
      30,   514,   231,    33,   515,   171,   235,  1895,   247,  1897,
     247,   240,   241,   247,   179,    45,   268,    47,    48,   264,
     247,   247,    20,   267,  1912,  1913,  1914,    13,   516,    15,
      16,    17,    18,    19,    20,    21,   517,   513,   401,   264,
     320,   371,    28,    29,    30,   267,   391,    33,   283,   399,
     414,   369,   419,   513,   513,   516,   417,   273,   252,    45,
     422,    47,    48,   268,   252,   513,   513,    21,   264,    99,
     100,   513,   273,    71,    72,    73,    74,    75,    76,    77,
      78,   391,   320,   113,   114,   450,   513,   273,   273,    31,
     120,   121,   122,   452,    31,   125,    21,    95,   518,   513,
      98,   131,   518,   513,   273,   518,  1994,   137,   402,   436,
     247,   273,   163,    99,   100,   113,  2004,   247,   513,   513,
     349,   513,   513,   516,   513,   515,   513,   113,   114,   378,
     513,   513,   383,   383,   120,   121,   122,   135,   513,   125,
     513,   513,   513,   513,   578,   131,     8,     9,    10,    11,
      12,   137,   932,  1351,  1837,  1584,   516,  2045,   515,   932,
     932,    23,    24,    25,    26,    27,    28,    29,    30,    31,
    1387,  1838,    34,  1387,  1387,  2063,  2064,  1836,  1586,    13,
    1387,    15,    16,    17,    18,    19,    20,    21,   444,    78,
    1209,  1431,   627,  1925,    28,    29,   867,  2088,   164,    33,
       8,     9,    10,    11,    12,   976,  2089,   870,   868,  1721,
     517,    45,  1372,    47,    48,    23,    24,    25,    26,    27,
      28,    29,    30,    31,  1122,  1546,    34,   367,  1822,   761,
     385,  1153,  1228,  2255,  1610,  1155,   573,  1644,  1774,   515,
    1233,     8,     9,    10,    11,    12,  1042,  1661,  1667,  1038,
    2138,  1691,  1798,  2039,  2190,  2055,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    99,   100,    34,  2198,  2059,
    2058,  2200,  2160,   961,  2162,  2163,   505,   506,   999,   113,
     114,   620,  2170,   812,    -1,  2173,   120,   121,   122,    -1,
      -1,   125,    -1,    -1,    -1,    -1,    -1,   131,     8,     9,
      10,    11,    12,   137,    -1,  2193,    -1,    -1,    -1,  2197,
      -1,  2199,    -1,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2226,  2227,
      -1,  2229,    -1,    -1,    -1,    -1,    -1,  2235,    -1,  2237,
    2238,   514,     8,     9,    10,    11,    12,    -1,   521,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    34,    -1,
      -1,   515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,     9,    10,
      11,    12,  2290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2299,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    34,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      34,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    34,     8,     9,
      10,    11,    12,    -1,   514,    -1,    -1,    -1,    -1,    -1,
      -1,   521,    -1,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     518,     8,     9,    10,    11,    12,    -1,    -1,   514,    -1,
      -1,    -1,    -1,    -1,    -1,   521,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    34,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    34,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
      -1,    34,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    34,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,    24,    25,    26,    27,    28,
      29,    30,    31,   515,    -1,    34,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    23,    24,    25,    26,    27,    28,    29,    30,    31,
     514,    -1,    34,    -1,    -1,    -1,    -1,   521,    -1,    -1,
      43,    -1,    -1,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    34,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    34,    -1,   515,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    -1,    -1,    34,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    34,    -1,    -1,   515,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
      -1,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    34,    -1,     8,     9,    10,    11,    12,    45,
      -1,    47,    48,   196,    -1,    -1,    -1,    -1,    -1,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,   515,
      34,    44,    45,    -1,    47,    48,    -1,    -1,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,   242,
      -1,    -1,   245,   246,    -1,    -1,    -1,    -1,    -1,    -1,
     253,    -1,    -1,    -1,   515,   258,    -1,    -1,   261,    -1,
      -1,    -1,    -1,   266,    -1,   212,    -1,    -1,    -1,    45,
     217,    47,    48,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   515,   138,    -1,    -1,    -1,   142,   143,    -1,    -1,
      -1,    -1,    -1,   296,   150,    -1,   243,    -1,    -1,   155,
     156,   157,   158,   159,   160,   138,    82,    -1,   515,   142,
     143,    -1,    -1,    -1,    -1,    -1,   319,   150,    -1,    -1,
     267,    -1,   155,   156,   157,   158,   159,   160,    -1,    -1,
      -1,    -1,    -1,   280,    -1,   515,    -1,    -1,    -1,    -1,
      -1,   197,    45,    -1,    47,    48,   202,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   215,
      -1,    -1,   138,    -1,   197,    -1,   142,   143,    -1,   202,
     146,    -1,    -1,    -1,   150,    -1,    -1,    -1,   515,   155,
     156,   157,   158,   159,   160,    -1,    -1,   390,    -1,    -1,
      -1,    -1,   131,   132,    -1,    45,    -1,    47,    48,   138,
      -1,    -1,   258,   142,   143,   515,    -1,    -1,   411,    -1,
      -1,   150,   151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   197,    -1,    -1,    -1,    -1,   202,    -1,    -1,    -1,
      -1,    -1,   515,    -1,    -1,   138,    -1,    -1,    -1,   142,
     143,    -1,    -1,   446,   447,   448,   449,   150,   451,    -1,
      -1,    -1,   155,   156,   157,   158,   159,   160,   197,   515,
      -1,    -1,    -1,   202,    -1,    -1,   169,    -1,   415,   416,
      -1,    -1,    -1,   420,   421,    45,   423,    47,    48,    -1,
      -1,    -1,    -1,    -1,   431,   432,   515,    -1,   138,    -1,
      -1,    -1,   142,   143,   197,    -1,    -1,    -1,    -1,   202,
     150,    -1,    -1,    -1,    -1,   155,   156,   157,   158,   159,
     160,    -1,    -1,   515,    -1,   518,    -1,    -1,    -1,     8,
       9,    10,    11,    12,    -1,    -1,    -1,   360,   361,   362,
     363,    -1,   145,    -1,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    -1,   400,    34,    -1,   197,    -1,    -1,
     515,    -1,   202,    -1,    -1,    -1,    -1,   390,    -1,    -1,
      -1,    -1,   212,    -1,   397,    -1,    -1,   400,   138,    -1,
     403,   518,   142,   143,    -1,   513,   146,     8,     9,    10,
     150,    45,   195,    47,    48,   155,   156,   157,   158,   159,
     160,    -1,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    34,   513,   461,    -1,    96,    -1,    -1,
      -1,   350,   351,   352,    -1,    -1,   266,    45,    -1,    47,
      48,    -1,    -1,    -1,    -1,    -1,    -1,   197,    -1,   242,
      -1,   513,   202,    -1,    -1,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,   509,   515,   431,   432,    -1,    -1,   435,
      -1,   513,   518,    -1,   440,   315,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,   142,   143,
      -1,    -1,   146,    -1,    -1,   518,   150,    47,    48,   513,
      -1,   155,   156,   157,   158,   159,   160,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   408,   409,   410,   411,    -1,
     138,    -1,    -1,    -1,   142,   143,    -1,    77,   146,    -1,
      -1,    -1,   150,    -1,   233,    -1,    -1,   155,   156,   157,
     158,   159,   160,   197,    -1,    -1,   349,    -1,   202,    -1,
     353,    -1,   518,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,   176,   177,    -1,    -1,    -1,    -1,    -1,    -1,    46,
      -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,   197,
      -1,   280,    -1,    -1,   202,    -1,    -1,    -1,   138,   518,
     205,    -1,   142,   143,    -1,   145,   146,   212,    57,    -1,
     150,    -1,    -1,    -1,   407,   155,   156,   157,   158,   412,
     413,    -1,   266,    -1,    -1,    -1,    -1,   232,   168,   234,
      -1,   171,   172,    -1,    -1,   518,    -1,   242,   105,   106,
     390,   108,   109,   110,   111,   112,    -1,    -1,    -1,    -1,
     443,    -1,   257,    -1,    -1,    -1,    -1,   197,    -1,    -1,
      -1,    -1,   202,   271,   457,    -1,    -1,    -1,   461,    -1,
      -1,   211,    -1,   362,    -1,   215,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,    -1,
      -1,   380,    -1,   382,    -1,   445,    -1,   386,    -1,   388,
      -1,   241,   242,   392,   393,    -1,    -1,    -1,    -1,   249,
     250,    -1,   252,    -1,    -1,    -1,    -1,   510,    -1,    -1,
      -1,    -1,   171,    -1,    -1,    -1,   266,    -1,    -1,    -1,
      -1,    -1,   272,    -1,   274,    -1,   276,   277,    -1,   206,
     280,   281,   282,    -1,    -1,    -1,    -1,   196,   353,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,   298,    -1,
      -1,    -1,    -1,   303,   304,    -1,    -1,   216,   518,    -1,
      -1,   311,    -1,    -1,    -1,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,   323,    -1,    -1,    -1,   327,   328,   238,
     330,    -1,    -1,   242,    20,    -1,   245,   246,    -1,    -1,
      -1,    -1,   269,    -1,   253,    -1,    -1,    -1,    -1,    -1,
      -1,   260,    -1,    -1,   206,    -1,   265,   266,   267,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   518,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   313,   314,    -1,    -1,
      -1,    -1,   457,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    -1,
     319,    -1,    -1,    -1,   518,    -1,    -1,   269,    50,   328,
      -1,    -1,    -1,    -1,    -1,    57,    -1,    -1,    -1,   356,
     357,   358,   359,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,    -1,    -1,    -1,    -1,    81,
     518,    83,    -1,   362,    -1,   364,    -1,   366,   367,   368,
      -1,   313,   314,    -1,    -1,   374,    -1,    -1,    -1,    -1,
     379,    -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,    -1,
      -1,   390,    -1,   115,   116,    -1,   118,   119,    -1,   398,
      -1,    -1,    -1,    -1,   126,   127,   128,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
      -1,    -1,    -1,    -1,   441,   442,    -1,    -1,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,
      -1,    -1,    -1,    -1,    -1,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    -1,    -1,    -1,   511,   512,    -1,    -1,    -1,   441,
     442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   455,   456,    45,    -1,    47,    48,   518,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,    -1,    -1,
      -1,    -1,    -1,     3,    45,    -1,    47,    48,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,   511,
     512,    -1,    -1,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    34,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    93,
      94,   131,   132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     140,    -1,    -1,    -1,   144,    -1,    -1,   147,   148,    -1,
      -1,   151,    -1,    -1,    -1,    -1,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     170,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    34,    -1,    -1,    -1,   186,   187,   188,    -1,
     190,    -1,   192,   193,   155,   156,   157,   158,   159,   160,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    34,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   524,   525,   133,   143,   167,   168,   199,   202,
     204,   231,   235,   240,   241,   349,   505,   506,   680,   681,
     682,   683,   684,   686,   687,   688,   694,   696,   697,   698,
     699,   700,   701,   702,   703,   704,   705,   708,   709,   710,
     711,   712,   713,   714,   715,   716,   736,   747,   748,   749,
     750,   770,   808,   809,   810,   811,   812,   813,   814,   815,
     870,   871,   881,   894,   895,   896,   897,   898,   899,     0,
       3,    35,    45,    47,    48,    70,   131,   133,   134,   136,
     138,   140,   141,   143,   155,   156,   157,   158,   159,   160,
     202,   208,   214,   215,   504,   513,   526,   527,   580,   582,
     583,   584,   594,   631,   633,   634,   636,   637,   650,   653,
     663,   664,   665,   720,   723,   737,   740,   751,   757,   766,
     769,   773,   774,   817,   818,   820,   822,   823,   828,   859,
     862,   872,   873,   882,   885,   892,   893,   902,   905,   906,
      13,    15,    16,    17,    18,    19,    20,    21,    28,    29,
      33,    45,    47,    48,    99,   100,   113,   114,   120,   121,
     122,   125,   131,   137,   514,   521,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   577,   578,
     579,   599,   615,   617,   618,   619,   621,   623,    20,    21,
     144,   717,   717,   717,   200,   201,   717,   717,     3,   176,
     177,   205,   212,   232,   234,   242,   257,   353,   443,   457,
     153,   174,   176,   177,   236,   237,   238,   239,    37,   144,
     517,   706,   717,   235,    21,   266,   499,   501,   502,   900,
       3,    20,    20,    20,   623,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    89,    90,    91,    92,    93,    94,
     585,   514,   139,   176,   191,   503,   161,    20,    21,   176,
     553,   140,   212,   213,   214,   651,   652,   884,   167,   446,
     494,   151,   145,   195,   242,   257,   349,   353,   407,   412,
     413,   443,   457,   461,   510,   772,   858,    20,    46,   638,
     138,   142,   143,   146,   150,   197,   202,   266,   518,   634,
     639,   640,   645,   667,   638,   638,   638,    47,    48,    77,
     108,   145,   146,   155,   156,   157,   158,   168,   171,   172,
     211,   215,   241,   242,   249,   250,   252,   266,   272,   274,
     276,   277,   280,   281,   282,   297,   298,   303,   304,   311,
     315,   318,   319,   321,   323,   327,   328,   330,   518,   639,
     758,   759,   765,   638,   638,    44,   360,   361,   362,   363,
     390,   397,   400,   403,   518,   634,   639,   776,   777,   778,
     779,   780,   638,   169,   408,   409,   410,   411,   518,   639,
     645,   819,   517,   113,   147,   148,   151,   162,   341,   518,
     639,   641,   638,   638,   638,   212,   266,   315,   518,   639,
     645,   876,   877,   215,   258,   400,   461,   507,   508,   509,
     518,   639,   645,   883,   904,   638,   638,   146,   508,   518,
     639,   907,    15,    20,    30,   514,   520,   614,   616,   621,
      31,   533,    31,    17,    18,   534,   535,   514,   130,    29,
     130,   623,    15,   517,   517,   514,   514,   514,   514,   514,
     514,   514,   101,   102,   103,   104,   604,   623,    15,    16,
      18,    19,    20,   514,   534,   535,   542,   599,   600,   603,
     605,   606,   607,   609,   611,   612,   217,   217,    46,    51,
     105,   106,   108,   109,   110,   111,   112,   206,   269,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   313,
     314,   356,   357,   358,   359,   441,   442,   455,   456,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   511,   512,   622,
     719,     3,     8,     9,    10,    11,    12,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    34,    37,   144,   517,
     668,    21,   554,   554,   717,   717,     3,    37,   144,   517,
     671,    20,    21,   144,   718,     3,   233,     3,   689,     3,
     695,   256,   153,   177,   238,   270,    20,   146,   238,   389,
     405,   406,   685,   177,   238,   685,     3,     3,     3,     3,
       3,     3,     3,     3,    77,   143,   491,   492,   493,   494,
     495,   496,   497,   890,   891,    15,   707,   554,   771,   900,
     900,     3,     3,   446,   901,    23,   595,   581,    20,    88,
      20,    15,    17,    20,    46,   514,   632,   668,    15,    20,
     514,   528,    36,    37,    38,    39,   163,   528,   530,   671,
     513,    21,   209,   513,   490,   498,   553,   888,   216,   528,
     529,   529,    20,   354,   355,   821,   444,    46,    20,   517,
     139,   530,   668,   666,   553,   553,   671,   267,   513,   517,
     643,   513,   513,   517,   517,   517,   216,   284,   296,   513,
      21,    45,   332,    45,   332,    45,   332,    45,   332,   285,
     553,   530,   333,   167,   212,   301,   326,   215,   530,   513,
     528,    17,    18,    20,   531,   753,   531,   752,   267,   273,
     275,   283,   273,   272,   287,   288,   258,   283,   299,   300,
     299,   530,   305,   312,   258,   258,   320,   318,   252,   287,
     530,   329,   331,   528,   513,   517,   763,   513,   517,   517,
     404,   632,   530,   138,   528,   530,   139,   388,   530,   332,
     775,   643,   513,   517,   517,   530,    46,   173,    15,   217,
     243,   147,   148,   513,   513,   528,   131,   132,   144,   149,
     163,   169,   591,   647,   163,   647,    20,   646,   163,   151,
     513,   513,   517,   517,   517,    18,    19,    20,   545,   548,
     267,   151,   513,   513,    76,   278,   308,   317,   458,   459,
     460,   874,   875,   517,   880,   167,   528,   324,   151,   530,
     273,   530,   513,   513,   517,   517,   908,   912,   273,   513,
       7,   616,   616,   623,   616,   616,    14,    15,    15,    31,
     623,   627,   628,    28,    29,   130,    29,   574,   574,   646,
     623,   623,   623,   623,   623,   623,    15,   516,   515,   516,
      30,   602,   604,   623,    28,    29,   517,     7,   516,   522,
     516,   522,    15,    15,   623,   623,   623,   623,   623,   623,
     623,   623,   623,   623,   623,   623,   623,   623,    50,    57,
      81,    83,   107,   115,   116,   118,   119,   126,   127,   128,
     152,   153,   154,   174,   175,   177,   669,   670,     3,     3,
       3,     3,     3,   152,   203,   672,   673,     3,   718,     3,
       3,     3,   131,   140,   144,   147,   148,   151,   170,   186,
     187,   188,   190,   192,   193,   548,   591,   692,     3,    20,
      70,   131,   140,   141,   151,   685,   685,   685,   685,   685,
     685,   685,   816,   144,   685,   144,   685,     3,   685,   685,
       3,   516,   518,     3,     3,     3,   131,   151,   173,   591,
       3,   901,   528,     3,   623,   514,   592,   585,   586,   587,
     589,   593,   513,   516,   660,   661,   623,   513,   623,   529,
     513,   528,   210,   211,   500,   886,   528,   887,   144,   517,
     889,   528,    40,    41,    42,   198,   635,   638,    20,   632,
     654,   657,   658,   530,   642,   644,   722,   739,   273,   273,
     531,   513,    77,   337,   513,   513,   215,   334,   273,   325,
     530,   310,   530,   203,   513,   513,   513,    32,   532,    43,
     219,   513,   532,    43,   219,   513,   530,   528,   273,   273,
     528,   273,   528,   528,   530,   273,   530,   139,   530,   513,
     530,   530,   530,   530,   530,   530,   219,   530,   513,   530,
     530,   513,   762,   764,   768,   530,   530,   163,   528,   530,
     644,   781,    15,    15,   529,   529,    20,   589,   590,   623,
      37,   528,   649,   170,   649,   649,   646,   827,   861,   530,
     646,    21,   531,   531,    45,   242,   391,   429,   874,   879,
     513,   530,   530,   528,   528,   658,   659,   528,    15,   515,
      46,    15,   516,   515,   130,    29,   575,   576,   515,   516,
     515,   516,   516,   516,   516,   515,   623,   623,   516,     7,
     516,   516,   515,    15,    17,    18,   514,   600,   607,   611,
     219,   219,   514,   516,   518,   516,   518,     3,   590,    20,
     151,    20,   144,    17,    18,    19,    20,   534,   535,   536,
     537,   538,   690,   691,    20,     3,   554,   554,   554,   554,
     554,   554,     3,    20,    57,   138,   267,   279,   360,   395,
     396,   685,   554,   685,   554,   554,   554,   891,   590,    21,
     646,   553,     3,   513,   515,   586,   588,   593,    20,   513,
     517,   553,   658,   513,   515,   515,    21,    41,    42,    41,
      42,   553,   553,   890,   513,   513,    29,   656,   516,   513,
     518,   641,   146,   249,   250,   518,   639,   721,   146,   271,
     518,   639,   645,   738,   528,   528,   513,   530,   517,   530,
     754,   167,   273,   528,   513,   513,   530,   513,   530,    20,
     753,   528,   528,   752,   528,   528,   513,   513,   528,   528,
     513,   528,   513,   513,   513,   528,   513,   632,   513,   513,
     513,   513,   513,   513,   513,   513,   528,   513,   513,   513,
      52,   121,   147,   211,   215,   306,   315,   316,   322,   326,
     518,   641,   761,   131,   151,   350,   351,   352,   518,   591,
     639,   767,   528,   146,   233,   280,   362,   380,   382,   386,
     388,   392,   393,   518,   782,   789,   792,   164,   648,   530,
     513,    82,   146,   431,   432,   435,   440,   518,   639,   645,
     824,   146,   390,   445,   518,   639,   645,   860,   513,   513,
     532,    45,    15,   550,   551,   530,   528,   530,    20,    71,
      72,    73,    74,    75,    76,    77,    78,    95,    98,   113,
     135,   518,   619,   620,   624,   629,   878,   163,   903,   517,
     911,   616,    18,   627,    29,    29,   572,   573,   623,   623,
     623,   623,   623,   516,   515,   516,    30,   602,   623,   602,
      30,   602,   602,   516,   623,    15,    15,   623,   670,   673,
      20,    46,    17,    18,    34,     3,     3,     3,     3,     3,
       3,    15,   632,   632,   632,   554,     3,   554,     3,     3,
       3,   513,   515,   587,   596,   597,   629,   515,   518,    21,
     554,   655,   657,   513,   724,   730,   724,   731,   531,   735,
     513,   741,   746,   138,   513,   516,   513,   513,    82,   201,
     337,   339,   341,   342,   345,   755,   756,   513,   325,   530,
     528,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   268,   324,   151,   333,   167,   307,   151,   145,
     317,   530,    52,   513,   590,    21,   646,   553,   528,   121,
     513,   801,   807,   530,   364,   365,   392,   364,   530,   783,
     267,    20,   542,   547,   785,   786,   784,   394,   530,   513,
     397,   802,   165,   166,   167,   168,    20,   535,   546,   838,
     843,   829,   837,   825,   826,   546,   153,   513,   863,   869,
     530,   528,   513,   551,    31,    23,   514,   514,   623,   623,
     623,    23,   514,   622,   719,   513,   623,   625,   626,   528,
     910,    31,    29,    43,    49,    50,    51,    52,    54,    55,
      56,    59,    61,    62,    67,   518,   557,   558,   559,   560,
     562,   570,    68,   518,   558,   559,   560,   561,   562,   571,
     516,   515,   515,   515,   515,   623,   623,   515,   516,     7,
     515,   516,   515,   516,     7,   515,   516,   516,    15,   515,
      34,    18,    45,    47,    48,   155,   156,   157,   158,   159,
     160,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   693,     3,     3,   588,   518,   629,    17,    18,
      20,   534,   535,   549,   659,   517,   729,    32,   251,   732,
     659,   139,   528,   163,   348,   124,   340,   344,   343,   346,
     347,   516,   518,   513,   513,   513,   169,   279,   296,   245,
     246,   530,   530,   215,   334,   530,   279,   308,   309,   646,
     268,   281,   658,   803,   528,   528,   530,   528,   517,   632,
     517,   517,   528,   528,   517,   517,   842,   659,   517,   531,
     844,   849,    21,   517,   850,   855,   530,   659,   163,    15,
     623,   628,   619,   513,    96,   517,   623,   630,    23,    23,
      34,   516,   513,   425,   518,   909,    15,    29,    53,    57,
      58,    60,     8,     9,    10,    23,    24,    25,    99,   100,
     528,   555,   563,   564,   565,    33,   566,   567,   567,   569,
     547,   513,   563,   566,   569,   566,   546,   513,   623,   515,
     515,    30,   602,    30,   602,    30,   602,     7,    30,   602,
      30,   602,   518,   693,   729,   728,   725,    20,   553,   252,
     733,   517,   745,   530,   513,   338,   236,   756,   335,   336,
     530,   760,   760,   531,   167,   273,   530,   530,   804,   517,
     806,   794,   787,   794,   790,   841,   840,   517,   836,   845,
     851,   517,   868,   528,   513,   515,   719,   517,   598,   629,
     613,   513,   623,   623,   623,   121,   122,   125,   130,   131,
     626,   531,   513,     7,   528,    11,    12,   556,   516,    12,
     516,   556,   528,    63,    64,    65,    66,   568,   516,   556,
      69,   515,   515,   515,   515,   516,     7,   515,   515,   515,
     516,   514,   515,     7,   515,   515,     7,   515,   725,   171,
     172,   196,   243,   244,   247,   248,   253,   518,   674,   676,
     677,   726,   531,   249,   734,   744,   742,   530,   528,   802,
     805,   518,   547,   795,   796,   233,   364,   381,   518,   788,
     518,   216,   253,   260,   366,   367,   368,   518,   674,   791,
     424,   425,   428,   429,   430,   518,   839,   835,   834,   848,
     854,   867,   864,   515,   596,    97,     6,    15,    16,   514,
     518,   599,   601,   603,   605,   606,   608,   610,   630,   513,
     513,   514,   514,   514,   513,   514,   528,   565,   555,   564,
     567,   567,    31,   567,   567,    15,    30,   602,    30,   602,
     602,     7,   602,   553,   530,   517,   245,   246,   246,   529,
     528,   149,   179,   254,   255,   727,   517,   513,   530,    43,
      52,    57,   163,   245,   246,   259,   260,   261,   266,   518,
     743,    57,   216,   238,   242,   245,   246,   253,   260,   265,
     266,   267,   319,   328,   362,   364,   366,   367,   368,   374,
     379,   390,   398,   518,   674,   793,   381,   387,   797,   530,
     528,   530,   513,   528,   149,   254,   377,   528,   528,   283,
     188,   528,   513,   427,   427,   530,   530,   530,   513,    82,
     212,   217,   243,   267,   280,   415,   416,   420,   421,   423,
     431,   432,   518,   830,   427,   433,   518,   846,   427,   434,
     518,   852,    43,   172,   242,   245,   246,   253,   258,   261,
     266,   296,   319,   390,   411,   446,   447,   448,   449,   451,
     518,   674,   865,   513,   518,   598,   596,   623,     7,   516,
     519,   515,   623,   623,   623,   623,   528,   528,   528,   528,
     568,   568,   515,   515,   515,   516,   515,   514,   515,   675,
     676,   247,   247,   247,   181,   182,   179,    46,    75,   139,
     173,   178,   194,   678,   528,   268,   262,   263,   528,   264,
      61,    62,   207,   265,   662,   528,   247,   247,   267,   513,
     369,   370,   371,   372,   373,   374,   375,   376,   528,   517,
     530,   264,    61,   265,   662,   149,   254,   377,   528,   528,
     267,   401,   320,   371,   530,   528,   528,   283,   188,   528,
     399,   528,   391,   369,   513,   528,   513,   528,   528,   528,
     528,   418,   843,   113,   418,   427,   414,   283,   414,   419,
     113,   427,   530,   417,   273,   422,   268,   252,   831,   252,
     832,   513,   426,   528,   856,   844,   847,   513,   856,   850,
     853,   513,   528,   530,   530,   264,    61,   265,   662,   149,
     181,   377,   454,   866,   528,   273,   267,   453,   531,   320,
     391,   332,   369,   273,   273,   383,   528,   450,   452,   513,
     515,   514,   601,   608,   596,   513,   515,   515,   515,   515,
      31,    31,   602,   602,   518,   513,   529,   529,   529,   181,
     182,    21,   552,    46,   173,   528,   552,   179,   180,   679,
      46,   173,   518,   155,   156,   528,   528,   528,   528,   528,
     529,   529,   530,   798,   384,   385,   528,   528,   528,   530,
     402,   246,   530,   530,   528,   528,   530,   528,   530,   436,
     857,   857,   273,   437,   438,   439,   833,   273,   528,   247,
     528,   247,   528,   833,   528,   530,   528,   528,   163,   530,
     849,   530,   855,   528,   528,   528,   528,   528,   530,   530,
     246,   530,   528,   528,   528,   530,   530,   530,   623,   513,
     513,   513,   513,   528,   528,   515,   516,   675,   513,   552,
     552,   513,   513,   181,   182,   183,   184,   185,   181,   182,
     183,   184,   185,   513,   552,   552,   531,   531,   518,   531,
     800,   530,   383,   530,   528,   528,   857,   528,   528,   857,
     528,   383,   602,   678,   513,   513,   678,   678,   678,   513,
     513,   378,   799,   516,   678,   678,   678,   678,   513,   602,
     515
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   523,   524,   524,   525,   525,   526,   526,   527,   528,
     528,   528,   529,   529,   529,   530,   530,   530,   530,   530,
     530,   531,   531,   531,   532,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   542,   543,   543,   544,
     544,   545,   545,   545,   545,   545,   545,   546,   546,   547,
     547,   548,   548,   549,   549,   549,   549,   549,   550,   551,
     551,   552,   553,   553,   554,   554,   555,   555,   555,   555,
     555,   555,   555,   555,   556,   556,   557,   557,   557,   557,
     557,   557,   557,   557,   557,   558,   559,   560,   561,   562,
     562,   563,   563,   563,   563,   564,   564,   565,   565,   566,
     566,   566,   567,   567,   568,   568,   568,   568,   569,   569,
     569,   570,   570,   570,   570,   571,   571,   571,   571,   571,
     571,   572,   572,   573,   573,   574,   575,   576,   577,   578,
     579,   579,   526,   581,   580,   526,   582,   526,   583,   526,
     584,   585,   585,   585,   585,   585,   585,   585,   585,   585,
     585,   585,   585,   585,   585,   585,   585,   586,   587,   587,
     588,   588,   589,   590,   590,   591,   592,   592,   593,   526,
     595,   594,   596,   596,   597,   597,   598,   598,   599,   599,
     600,   600,   600,   600,   600,   600,   601,   601,   601,   601,
     602,   603,   603,   603,   603,   603,   603,   603,   603,   603,
     603,   604,   604,   604,   604,   605,   605,   605,   606,   606,
     606,   606,   606,   606,   606,   606,   607,   607,   607,   607,
     607,   608,   608,   608,   608,   608,   609,   609,   610,   610,
     611,   611,   611,   611,   612,   612,   613,   613,   613,   614,
     614,   615,   616,   616,   616,   616,   616,   616,   617,   617,
     617,   617,   617,   617,   617,   617,   617,   617,   618,   618,
     618,   618,   619,   620,   621,   622,   622,   622,   622,   622,
     622,   622,   622,   622,   623,   623,   623,   623,   623,   623,
     623,   623,   623,   623,   623,   623,   623,   623,   623,   623,
     623,   623,   623,   623,   623,   623,   623,   623,   623,   623,
     623,   623,   623,   623,   623,   623,   623,   623,   623,   623,
     623,   623,   623,   623,   623,   623,   623,   623,   623,   623,
     623,   624,   624,   624,   624,   624,   624,   625,   626,   626,
     626,   627,   627,   628,   628,   629,   629,   629,   629,   629,
     629,   629,   629,   629,   629,   629,   629,   629,   629,   629,
     629,   629,   630,   526,   631,   631,   632,   632,   632,   632,
     526,   633,   634,   634,   634,   634,   634,   634,   634,   634,
     634,   634,   526,   635,   635,   636,   526,   637,   637,   638,
     638,   638,   638,   639,   639,   639,   639,   639,   639,   639,
     640,   641,   641,   641,   641,   641,   641,   641,   641,   642,
     642,   643,   643,   644,   645,   646,   647,   647,   647,   647,
     648,   648,   648,   648,   648,   649,   649,   526,   650,   650,
     526,   651,   651,   651,   651,   652,   652,   652,   652,   652,
     652,   652,   652,   653,   654,   655,   655,   656,   656,   657,
     658,   658,   659,   660,   661,   662,   662,   663,   664,   665,
     665,   665,   665,   665,   666,   667,   668,   668,   668,   669,
     669,   670,   670,   670,   670,   670,   670,   671,   671,   671,
     672,   672,   673,   673,   674,   674,   675,   675,   676,   676,
     677,   678,   678,   678,   678,   678,   678,   678,   678,   678,
     679,   679,   679,   679,   679,   679,   679,   679,   679,   679,
     680,   681,   680,   682,   680,   683,   680,   684,   685,   685,
     680,   686,   680,   687,   680,   688,   689,   689,   689,   689,
     689,   689,   689,   689,   689,   689,   689,   689,   689,   689,
     689,   689,   690,   690,   690,   690,   690,   690,   690,   690,
     691,   691,   691,   691,   692,   692,   692,   693,   693,   693,
     693,   693,   693,   693,   693,   693,   693,   693,   693,   693,
     693,   693,   693,   693,   693,   693,   693,   680,   694,   695,
     695,   695,   695,   695,   695,   695,   680,   696,   680,   697,
     680,   698,   680,   699,   680,   700,   680,   701,   680,   702,
     680,   703,   680,   704,   680,   705,   706,   706,   706,   707,
     707,   680,   708,   680,   709,   680,   710,   680,   711,   680,
     712,   680,   713,   680,   714,   680,   715,   680,   716,   717,
     717,   717,   718,   718,   718,   719,   663,   720,   721,   721,
     721,   721,   722,   722,   723,   724,   725,   726,   726,   726,
     726,   726,   726,   726,   726,   727,   727,   727,   727,   727,
     727,   728,   728,   729,   729,   730,   731,   732,   732,   732,
     733,   733,   734,   734,   735,   680,   736,   663,   737,   738,
     738,   738,   738,   739,   739,   740,   741,   742,   743,   743,
     743,   743,   743,   743,   743,   743,   743,   743,   743,   743,
     743,   743,   743,   744,   744,   745,   745,   746,   719,   680,
     747,   680,   748,   680,   749,   680,   750,   663,   751,   752,
     752,   752,   753,   753,   753,   754,   754,   755,   755,   756,
     756,   756,   756,   756,   756,   756,   756,   756,   757,   757,
     757,   757,   757,   757,   757,   757,   757,   757,   757,   757,
     757,   757,   757,   757,   757,   757,   757,   757,   757,   757,
     757,   757,   757,   757,   757,   757,   757,   757,   757,   757,
     757,   757,   757,   757,   757,   757,   757,   757,   757,   757,
     757,   757,   757,   757,   757,   757,   757,   757,   757,   757,
     757,   757,   757,   757,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   759,   760,   760,   760,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   762,
     762,   763,   763,   764,   765,   719,   719,   719,   719,   719,
     719,   719,   719,   719,   719,   719,   719,   663,   766,   767,
     767,   767,   767,   767,   767,   767,   767,   768,   768,   769,
     680,   770,   771,   771,   771,   771,   771,   771,   663,   772,
     772,   772,   773,   774,   774,   775,   775,   776,   777,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   779,   780,   781,   781,   782,   782,   782,   782,   782,
     782,   782,   782,   782,   783,   782,   784,   782,   782,   782,
     782,   785,   785,   786,   787,   787,   788,   788,   788,   789,
     789,   790,   790,   791,   791,   791,   791,   791,   791,   791,
     791,   791,   791,   791,   792,   793,   793,   793,   793,   793,
     793,   793,   793,   793,   793,   793,   793,   793,   793,   793,
     793,   793,   793,   793,   793,   793,   793,   793,   793,   793,
     793,   793,   793,   793,   793,   793,   793,   793,   793,   793,
     793,   793,   793,   794,   794,   795,   796,   797,   797,   797,
     798,   798,   799,   799,   800,   801,   802,   802,   804,   803,
     805,   805,   806,   806,   807,   719,   719,   719,   719,   680,
     808,   680,   809,   680,   810,   680,   811,   680,   812,   680,
     813,   680,   814,   680,   815,   816,   816,   816,   816,   816,
     816,   816,   816,   816,   663,   817,   818,   818,   818,   819,
     819,   819,   819,   819,   819,   819,   819,   819,   663,   821,
     820,   822,   822,   822,   822,   663,   823,   824,   824,   824,
     824,   825,   824,   826,   824,   824,   824,   827,   827,   828,
     829,   830,   830,   830,   830,   830,   830,   830,   830,   830,
     830,   830,   830,   830,   830,   830,   830,   831,   830,   832,
     830,   830,   830,   833,   833,   833,   834,   835,   835,   836,
     836,   837,   838,   839,   839,   839,   839,   839,   840,   841,
     841,   842,   842,   843,   844,   845,   846,   846,   846,   847,
     848,   848,   849,   849,   850,   851,   852,   852,   852,   853,
     854,   854,   855,   855,   856,   856,   857,   857,   719,   719,
     663,   858,   858,   859,   860,   860,   860,   860,   860,   860,
     861,   861,   862,   863,   864,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     866,   866,   866,   866,   867,   867,   868,   868,   869,   719,
     719,   680,   870,   680,   871,   663,   872,   873,   873,   873,
     873,   873,   873,   874,   874,   874,   874,   874,   874,   875,
     875,   876,   877,   877,   877,   877,   877,   877,   877,   877,
     877,   878,   879,   879,   880,   880,   680,   881,   882,   883,
     883,   719,   719,   719,   719,   719,   719,   719,   719,   719,
     719,   719,   719,   719,   719,   719,   719,   719,   719,   719,
     719,   719,   719,   719,   719,   719,   719,   719,   719,   526,
     884,   885,   886,   886,   887,   887,   888,   888,   888,   889,
     889,   890,   890,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   526,   892,   892,   526,   893,   893,   893,   893,
     680,   894,   680,   895,   680,   896,   680,   897,   680,   898,
     680,   899,   900,   900,   901,   901,   901,   663,   902,   882,
     882,   903,   903,   904,   904,   904,   904,   904,   904,   904,
     663,   905,   906,   906,   907,   907,   907,   908,   909,   910,
     910,   911,   911,   912,   719,   719
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     0,     2,     2,     2,     3,     7,
       2,     2,     5,     5,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     2,     2,     1,     1,     1,     2,     1,     1,     1,
       1,     2,     4,     1,     3,     1,     3,     1,     3,     4,
       6,     6,     0,     1,     1,     1,     1,     1,     2,     4,
       4,     2,     2,     2,     2,     2,     4,     2,     2,     2,
       2,     0,     3,     0,     3,     0,     0,     0,     6,     6,
       1,     1,     1,     0,     4,     1,     2,     1,     4,     1,
       6,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     0,     3,
       1,     3,     1,     1,     1,     2,     3,     2,     4,     1,
       0,     5,     0,     1,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     3,     1,     1,
       1,     5,     7,     5,     7,     9,     7,     5,     7,     5,
      11,     1,     1,     2,     1,     7,     9,     7,     7,     9,
       7,     9,     7,     9,     7,    15,     1,     1,     1,     1,
       3,     1,     1,     1,     1,     3,     1,     3,     1,     3,
       1,     2,     2,     6,     1,     3,     0,     4,     3,     1,
       3,     3,     2,     4,     2,     2,     2,     0,     1,     1,
       1,     1,     1,     1,     1,     3,     3,     1,     5,     7,
       7,     1,     0,     4,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       4,     1,     1,     1,     1,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     6,     3,     3,     3,     3,
       3,     5,     7,     6,     6,     6,     6,     4,     8,     4,
       4,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       3,     1,     3,     0,     1,     4,     6,     4,     3,     5,
       5,     4,     6,     3,     2,     5,     5,     8,     8,     8,
       8,     7,     0,     1,     4,     5,     1,     3,     1,     1,
       1,     5,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     4,     1,     1,     1,     0,
       1,     2,     3,     0,     2,     2,     2,     3,     2,     2,
       1,     2,     2,     2,     3,     3,     3,     2,     4,     0,
       3,     0,     3,     0,     3,     1,     2,     1,     1,     1,
       0,     2,     2,     2,     2,     2,     1,     1,     3,     3,
       1,     1,     1,     1,     1,     2,     4,     3,     4,     4,
       3,     4,     4,     3,     0,     1,     2,     0,     1,     3,
       1,     3,     1,     0,     2,     2,     2,     2,     2,     3,
       3,     3,     3,     5,     0,     3,     1,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     3,     1,     1,     4,     1,     0,     3,     4,     1,
       2,     0,     5,     5,     5,     5,     4,     4,     4,     4,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       1,     3,     1,     3,     1,     4,     1,     5,     1,     0,
       1,     3,     1,     4,     1,     4,     0,     2,     3,     3,
       3,     6,     3,     2,     2,     2,     2,     3,     5,     3,
       2,     2,     1,     1,     1,     1,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     0,
       2,     2,     2,     2,     2,     2,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     4,     1,     1,     3,     0,
       1,     1,     4,     1,     4,     1,     4,     1,     3,     1,
       4,     1,     4,     1,     4,     1,     4,     1,     2,     1,
       1,     1,     1,     0,     1,     1,     1,     2,     1,     2,
       2,     2,     0,     3,     5,     0,     0,     2,     4,     4,
       4,     2,     2,     2,     1,     1,     1,     2,     2,     3,
       3,     0,     3,     0,     3,     4,     3,     0,     2,     2,
       0,     2,     0,     2,     4,     1,     5,     1,     2,     1,
       1,     2,     4,     0,     3,     5,     0,     0,     0,     2,
       2,     2,     2,     2,     3,     3,     3,     3,     2,     3,
       3,     4,     4,     0,     3,     0,     3,     4,     1,     1,
       6,     1,     6,     1,     6,     1,     6,     2,     2,     0,
       3,     3,     0,     3,     3,     1,     3,     1,     3,     1,
       3,     2,     2,     2,     2,     2,     2,     3,     3,     3,
       3,     4,     6,     4,     6,     4,     6,     5,     5,     4,
       5,     5,     6,     3,     3,     4,     5,     5,     5,     5,
       5,     5,     5,     5,     5,     6,     6,     6,     5,     6,
       8,     6,     6,     6,     5,     6,     4,     4,     4,     4,
       5,     5,     6,     5,     5,     5,     6,     7,     7,     7,
       5,     5,     4,     4,     1,     1,     2,     2,     2,     2,
       2,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     4,     4,     4,     3,     3,     3,     2,     2,     2,
       3,     5,     5,     4,     3,     3,     3,     3,     3,     0,
       3,     0,     3,     0,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       2,     2,     2,     1,     2,     2,     4,     0,     3,     5,
       1,     4,     0,     3,     3,     3,     2,     3,     2,     1,
       2,     2,     2,     3,     3,     0,     1,     2,     3,     1,
       1,     2,     2,     3,     3,     2,     4,     3,     2,     3,
       1,     2,     4,     0,     3,     2,     1,     2,     3,     3,
       3,     3,     2,     3,     0,     5,     0,     5,     2,     2,
       1,     4,     1,     1,     0,     3,     2,     2,     2,     5,
       2,     0,     3,     0,     2,     2,     3,     2,     2,     3,
       2,     2,     2,     1,     3,     2,     2,     2,     2,     2,
       2,     3,     2,     2,     2,     2,     2,     2,     2,     2,
       3,     3,     3,     2,     3,     2,     3,     3,     4,     4,
       2,     2,     2,     3,     3,     3,     2,     3,     3,     3,
       4,     2,     1,     0,     2,     3,     1,     0,     1,     2,
       0,     2,     0,     1,     3,     0,     0,     2,     0,     3,
       0,     3,     0,     3,     3,     1,     1,     1,     1,     1,
       4,     1,     6,     1,     6,     1,     6,     1,     7,     1,
       6,     1,     7,     1,     5,     0,     2,     3,     2,     3,
       3,     2,     3,     2,     2,     2,     3,     3,     3,     1,
       3,     3,     2,     3,     3,     2,     2,     2,     2,     0,
       4,     2,     3,     3,     5,     1,     2,     1,     1,     2,
       2,     0,     3,     0,     3,     2,     3,     0,     3,     5,
       0,     4,     4,     3,     2,     3,     3,     3,     3,     4,
       4,     4,     3,     3,     4,     4,     2,     0,     3,     0,
       3,     3,     3,     1,     1,     1,     0,     0,     3,     0,
       3,     4,     1,     2,     2,     2,     4,     4,     0,     0,
       3,     0,     3,     3,     1,     0,     0,     2,     2,     0,
       0,     3,     1,     5,     1,     0,     0,     2,     2,     0,
       0,     3,     1,     5,     1,     2,     0,     2,     1,     1,
       1,     1,     2,     2,     1,     1,     2,     4,     2,     2,
       0,     3,     5,     0,     0,     2,     2,     2,     2,     2,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     3,     3,     4,     3,     2,     2,     1,
       1,     1,     1,     1,     0,     3,     0,     3,     4,     1,
       1,     1,     6,     1,     6,     2,     2,     3,     3,     3,
       5,     5,     4,     3,     2,     3,     3,     3,     3,     1,
       2,     2,     2,     3,     5,     1,     2,     2,     2,     2,
       2,     1,     0,     2,     0,     3,     1,     4,     3,     3,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     5,     2,     0,     0,     2,     2,     2,     1,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     3,     1,     3,     4,     3,     3,
       1,     4,     1,     5,     1,     3,     1,     3,     1,     4,
       1,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       3,     0,     2,     1,     1,     2,     3,     2,     3,     4,
       2,     2,     3,     3,     1,     2,     3,     0,     2,     0,
       3,     0,     3,     3,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      YY_LAC_DISCARD ("YYBACKUP");                              \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYSIZE_T *yycapacity, YYSIZE_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yytype_int16 **yybottom,
                      yytype_int16 *yybottom_no_free,
                      yytype_int16 **yytop, yytype_int16 *yytop_empty)
{
  YYSIZE_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYSIZE_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYSIZE_T yyalloc = 2 * yysize_new;
      yytype_int16 *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        (yytype_int16*) YYSTACK_ALLOC (yyalloc * sizeof *yybottom_new);
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yytype_int16 *yyesa, yytype_int16 **yyes,
        YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  yytype_int16 *yyes_prev = yyssp;
  yytype_int16 *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYSIZE_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYSIZE_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        int yystate;
        {
          int yylhs = yyr1[yyrule] - YYNTOKENS;
          yystate = yypgoto[yylhs] + *yyesp;
          if (yystate < 0 || YYLAST < yystate
              || yycheck[yystate] != *yyesp)
            yystate = yydefgoto[yylhs];
          else
            yystate = yytable[yystate];
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            *yyesp = yystate;
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            *++yyesp = yystate;
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyesa, yytype_int16 **yyes,
                YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

    yytype_int16 yyesa[20];
    yytype_int16 *yyes;
    YYSIZE_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = sizeof yyesa / sizeof *yyes;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
          case 2:
#line 108 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 5156 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 3:
#line 109 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 5162 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 8:
#line 125 "conf/confbase.Y" /* yacc.c:1646  */
    {
     struct f_val *val = cfg_alloc(sizeof(struct f_val));
     *val = f_eval((yyvsp[-1].x), cfg_mem);
     if (val->type == T_RETURN) cf_error("Runtime error");
     cf_define_symbol((yyvsp[-3].s), SYM_CONSTANT | val->type, val);
   }
#line 5173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 10:
#line 135 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = f_eval_int((yyvsp[-1].x)); }
#line 5179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 11:
#line 136 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 5187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 12:
#line 143 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) S_; }
#line 5193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 13:
#line 144 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 5199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 14:
#line 145 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) US_; }
#line 5205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 15:
#line 151 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = !!(yyvsp[0].i); }
#line 5211 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 16:
#line 152 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 5217 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 17:
#line 153 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 5223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 18:
#line 154 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 5229 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 19:
#line 155 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 5235 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 20:
#line 156 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 5241 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 21:
#line 163 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 5247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 22:
#line 164 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 5253 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 23:
#line 165 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 5262 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 24:
#line 172 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 5268 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 25:
#line 173 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 5274 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 26:
#line 180 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 5283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 27:
#line 187 "conf/confbase.Y" /* yacc.c:1646  */
    {
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 5296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 28:
#line 197 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 5312 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 29:
#line 210 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 5334 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 30:
#line 229 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 5343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 31:
#line 235 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 5352 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 32:
#line 241 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 5363 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 33:
#line 249 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 5374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 34:
#line 257 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 5383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 41:
#line 267 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 5389 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 48:
#line 280 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 5399 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 50:
#line 289 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 5409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 52:
#line 298 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 5419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 55:
#line 308 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 5425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 56:
#line 309 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 5431 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 57:
#line 310 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network expected");
   }
#line 5444 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 58:
#line 321 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 5454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 60:
#line 329 "conf/confbase.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 5465 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 61:
#line 338 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 5475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 63:
#line 347 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 5484 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 65:
#line 355 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 5490 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 66:
#line 37 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_TRUE; }
#line 5496 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 67:
#line 38 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_EQ;  }
#line 5502 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 68:
#line 39 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_NEQ; }
#line 5508 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 69:
#line 40 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LT;  }
#line 5514 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 70:
#line 41 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LEQ; }
#line 5520 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 71:
#line 42 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GT;  }
#line 5526 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 72:
#line 43 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GEQ; }
#line 5532 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 73:
#line 44 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_FALSE; }
#line 5538 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 74:
#line 48 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_OR; }
#line 5544 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 75:
#line 49 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_AND; }
#line 5550 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 76:
#line 53 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 5556 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 77:
#line 54 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 5562 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 78:
#line 55 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PORT; }
#line 5568 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 79:
#line 56 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 5574 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 80:
#line 57 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 5580 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 81:
#line 58 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 5586 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 82:
#line 59 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 5592 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 83:
#line 60 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 5598 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 84:
#line 61 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 5604 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 85:
#line 64 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 5610 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 86:
#line 65 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 5616 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 87:
#line 66 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 5622 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 88:
#line 67 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_LABEL); }
#line 5628 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 89:
#line 70 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 5634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 90:
#line 71 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 5640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 91:
#line 75 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 5649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 92:
#line 79 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 5658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 95:
#line 88 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 5667 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 96:
#line 92 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 5678 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 99:
#line 106 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 5687 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 100:
#line 110 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 5696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 101:
#line 114 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 5705 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 102:
#line 121 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x00; }
#line 5711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 103:
#line 122 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x02; }
#line 5717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 104:
#line 126 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 1; }
#line 5723 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 105:
#line 127 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 2; }
#line 5729 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 106:
#line 128 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 4; }
#line 5735 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 107:
#line 129 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 8; }
#line 5741 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 108:
#line 133 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 5749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 109:
#line 136 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 5757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 110:
#line 139 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 5765 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 111:
#line 145 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 5774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 115:
#line 155 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 5783 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 116:
#line 159 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 5794 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 125:
#line 182 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  if (this_flow == NULL)
    this_flow = flow_builder_init(&root_pool);
  else
    flow_builder_clear(this_flow);
}
#line 5805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 126:
#line 189 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 0; }
#line 5811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 127:
#line 190 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 1; }
#line 5817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 128:
#line 193 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 5826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 129:
#line 199 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 5835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 133:
#line 444 "filter/config.Y" /* yacc.c:1646  */
    { (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FILTER, NULL); cf_push_scope( (yyvsp[0].s) ); }
#line 5841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 134:
#line 445 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyvsp[-2].s)->def = (yyvsp[0].f);
     (yyvsp[0].f)->name = (yyvsp[-2].s)->name;
     DBG( "We have new filter defined (%s)\n", (yyvsp[-2].s)->name );
     cf_pop_scope();
   }
#line 5852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 136:
#line 455 "filter/config.Y" /* yacc.c:1646  */
    { f_eval_int((yyvsp[0].x)); }
#line 5858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 138:
#line 459 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_define_symbol((yyvsp[-1].s), SYM_ATTRIBUTE, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 5866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 140:
#line 465 "filter/config.Y" /* yacc.c:1646  */
    {
  if (!((yyvsp[-3].s)->class & SYM_FUNCTION))
    cf_error("Function expected");

  struct f_bt_test_suite *t = cfg_alloc(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->def;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 5882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 141:
#line 479 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_INT; }
#line 5888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 142:
#line 480 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BOOL; }
#line 5894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 143:
#line 481 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_IP; }
#line 5900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 144:
#line 482 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_RD; }
#line 5906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 145:
#line 483 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_NET; }
#line 5912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 146:
#line 484 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PAIR; }
#line 5918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 147:
#line 485 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_QUAD; }
#line 5924 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 148:
#line 486 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_EC; }
#line 5930 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 149:
#line 487 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LC; }
#line 5936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 150:
#line 488 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_STRING; }
#line 5942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 151:
#line 489 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH_MASK; }
#line 5948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 152:
#line 490 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH; }
#line 5954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 153:
#line 491 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_CLIST; }
#line 5960 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 154:
#line 492 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ECLIST; }
#line 5966 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 155:
#line 493 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LCLIST; }
#line 5972 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 156:
#line 494 "filter/config.Y" /* yacc.c:1646  */
    {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 5997 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 157:
#line 517 "filter/config.Y" /* yacc.c:1646  */
    {
     struct f_val * val = cfg_alloc(sizeof(struct f_val));
     val->type = T_VOID;
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), val);
     DBG( "New variable %s type %x\n", (yyvsp[0].s)->name, (yyvsp[-1].i) );
     (yyvsp[0].s)->aux2 = NULL;
     (yyval.s)=(yyvsp[0].s);
   }
#line 6010 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 158:
#line 528 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.s) = NULL; }
#line 6016 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 159:
#line 529 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.s) = (yyvsp[-2].s);
     (yyval.s)->aux2 = (yyvsp[0].s);
   }
#line 6025 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 160:
#line 536 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.s) = (yyvsp[0].s); }
#line 6031 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 161:
#line 537 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.s) = (yyvsp[-2].s);
     (yyval.s)->aux2 = (yyvsp[0].s);
   }
#line 6040 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 162:
#line 544 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     f->name = NULL;
     f->root = (yyvsp[0].x);
     (yyval.f) = f;
   }
#line 6051 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 163:
#line 553 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != SYM_FILTER) cf_error("No such filter.");
     (yyval.f) = (yyvsp[0].s)->def;
   }
#line 6060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 165:
#line 561 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Construct 'IF term THEN ACCEPT; REJECT;' */
     struct filter *f = cfg_alloc(sizeof(struct filter));
     struct f_inst *i, *acc, *rej;
     acc = f_new_inst(FI_PRINT_AND_DIE);	/* ACCEPT */
     acc->a1.p = NULL;
     acc->a2.i = F_ACCEPT;
     rej = f_new_inst(FI_PRINT_AND_DIE);	/* REJECT */
     rej->a1.p = NULL;
     rej->a2.i = F_REJECT;
     i = f_new_inst(FI_CONDITION);			/* IF */
     i->a1.p = (yyvsp[0].x);
     i->a2.p = acc;
     i->next = rej;
     f->name = NULL;
     f->root = i;
     (yyval.f) = f;
  }
#line 6083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 166:
#line 582 "filter/config.Y" /* yacc.c:1646  */
    { DBG( "Have function parameters\n" ); (yyval.s)=(yyvsp[-1].s); }
#line 6089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 167:
#line 583 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.s)=NULL; }
#line 6095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 168:
#line 587 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].s)) {
       /* Prepend instruction to clear local variables */
       (yyval.x) = f_new_inst(FI_CLEAR_LOCAL_VARS);
       (yyval.x)->a1.p = (yyvsp[-3].s);
       (yyval.x)->next = (yyvsp[-1].x);
     } else
       (yyval.x) = (yyvsp[-1].x);
   }
#line 6109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 170:
#line 600 "filter/config.Y" /* yacc.c:1646  */
    { DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FUNCTION, NULL);
     cf_push_scope((yyvsp[0].s));
   }
#line 6118 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 171:
#line 603 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyvsp[-3].s)->def = (yyvsp[0].x);
     (yyvsp[-3].s)->aux2 = (yyvsp[-1].s);
     DBG("Hmm, we've got one function here - %s\n", (yyvsp[-3].s)->name);
     cf_pop_scope();
   }
#line 6129 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 172:
#line 616 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 6135 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 173:
#line 617 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x)->next; (yyvsp[0].x)->next = NULL; }
#line 6141 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 174:
#line 620 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); (yyvsp[0].x)->next = (yyvsp[0].x); }
#line 6147 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 175:
#line 621 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); (yyvsp[0].x)->next = (yyvsp[-1].x)->next ; (yyvsp[-1].x)->next = (yyvsp[0].x); }
#line 6153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 176:
#line 625 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x)=(yyvsp[0].x);
   }
#line 6161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 177:
#line 628 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x)=(yyvsp[-1].x);
   }
#line 6169 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 178:
#line 637 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6175 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 179:
#line 638 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6181 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 180:
#line 651 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 181:
#line 652 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 6193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 182:
#line 653 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 6199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 183:
#line 654 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 6205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 184:
#line 655 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.v) = f_eval((yyvsp[-1].x), cfg_mem);
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 6214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 185:
#line 659 "filter/config.Y" /* yacc.c:1646  */
    {
     if (!cf_symbol_is_constant((yyvsp[0].s))) cf_error("%s: constant expected", (yyvsp[0].s)->name);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(struct f_val *)((yyvsp[0].s)->def);
   }
#line 6224 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 186:
#line 667 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 6230 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 187:
#line 668 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int((yyvsp[-1].x)); }
#line 6236 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 188:
#line 669 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 6242 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 189:
#line 670 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 6248 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 190:
#line 674 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = f_eval_int((yyvsp[0].x)); }
#line 6254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 191:
#line 677 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 192:
#line 678 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 193:
#line 679 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 6272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 194:
#line 680 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 195:
#line 681 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 196:
#line 682 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 6290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 197:
#line 683 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 198:
#line 684 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 199:
#line 685 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 6308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 200:
#line 687 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 6314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 201:
#line 691 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = EC_RT; }
#line 6320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 202:
#line 692 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = EC_RO; }
#line 6326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 203:
#line 693 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 6332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 204:
#line 694 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = EC_GENERIC; }
#line 6338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 205:
#line 698 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].i), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 206:
#line 699 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-7].i), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 207:
#line 700 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].i), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 6356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 208:
#line 704 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 6362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 209:
#line 705 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 6368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 210:
#line 706 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 6374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 211:
#line 707 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 6380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 212:
#line 708 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 6386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 213:
#line 709 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 6392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 214:
#line 710 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 6398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 215:
#line 712 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 6404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 219:
#line 719 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 6410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 220:
#line 720 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 6416 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 224:
#line 727 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 6422 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 225:
#line 728 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 6428 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 227:
#line 733 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 6434 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 229:
#line 738 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 6440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 230:
#line 742 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 6446 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 231:
#line 743 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 6452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 232:
#line 744 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 6458 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 233:
#line 745 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 6468 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 234:
#line 753 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = f_new_trie(cfg_mem, sizeof(struct f_trie_node)); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 6474 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 235:
#line 754 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = (yyvsp[-2].trie); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 6480 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 236:
#line 757 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = NULL; }
#line 6486 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 237:
#line 758 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 6498 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 238:
#line 765 "filter/config.Y" /* yacc.c:1646  */
    {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 6510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 239:
#line 777 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6516 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 240:
#line 778 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 6522 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 241:
#line 782 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.h) = (yyvsp[-1].h); }
#line 6528 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 242:
#line 786 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_ASN; (yyval.h)->val = (yyvsp[-1].i); }
#line 6534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 243:
#line 787 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_ASN_RANGE; (yyval.h)->val = (yyvsp[-3].i); (yyval.h)->val2 = (yyvsp[-1].i); }
#line 6540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 244:
#line 788 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_ASTERISK; }
#line 6546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 245:
#line 789 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_QUESTION; }
#line 6552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 246:
#line 790 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.h) = cfg_allocz(sizeof(struct f_path_mask)); (yyval.h)->next = (yyvsp[0].h); (yyval.h)->kind = PM_ASN_EXPR; (yyval.h)->val = (uintptr_t) (yyvsp[-1].x); }
#line 6558 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 247:
#line 791 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.h) = NULL; }
#line 6564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 248:
#line 795 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_INT;  (yyval.x)->a2.i = (yyvsp[0].i); }
#line 6570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 249:
#line 796 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_BOOL; (yyval.x)->a2.i = 1;  }
#line 6576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 250:
#line 797 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_BOOL; (yyval.x)->a2.i = 0;  }
#line 6582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 251:
#line 798 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_STRING; (yyval.x)->a2.p = (yyvsp[0].t); }
#line 6588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 252:
#line 799 "filter/config.Y" /* yacc.c:1646  */
    { NEW_F_VAL; (yyval.x) = f_new_inst(FI_CONSTANT_INDIRECT); (yyval.x)->a1.p = val; *val = (yyvsp[0].v); }
#line 6594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 253:
#line 800 "filter/config.Y" /* yacc.c:1646  */
    { NEW_F_VAL; (yyval.x) = f_new_inst(FI_CONSTANT_INDIRECT); val->type = T_RD; val->val.ec = (yyvsp[0].i64); (yyval.x)->a1.p = val; }
#line 6600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 254:
#line 801 "filter/config.Y" /* yacc.c:1646  */
    { NEW_F_VAL; (yyval.x) = f_new_inst(FI_CONSTANT_INDIRECT); val->type = T_NET; val->val.net = (yyvsp[0].net_ptr); (yyval.x)->a1.p = val; }
#line 6606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 255:
#line 802 "filter/config.Y" /* yacc.c:1646  */
    { DBG( "We've got a set here..." ); (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_SET; (yyval.x)->a2.p = build_tree((yyvsp[-1].e)); DBG( "ook\n" ); }
#line 6612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 256:
#line 803 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = T_PREFIX_SET;  (yyval.x)->a2.p = (yyvsp[-1].trie); }
#line 6618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 257:
#line 804 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT); (yyval.x)->aux = (yyvsp[0].i) >> 16; (yyval.x)->a2.i = (yyvsp[0].i) & 0xffff; }
#line 6624 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 258:
#line 808 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_dpair((yyvsp[-3].x), (yyvsp[-1].x)); }
#line 6630 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 259:
#line 809 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_ec((yyvsp[-5].i), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 6636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 260:
#line 810 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_lc((yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 6642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 261:
#line 811 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_path_mask((yyvsp[0].h)); }
#line 6648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 263:
#line 819 "filter/config.Y" /* yacc.c:1646  */
    {
     struct symbol *sym;
     struct f_inst *inst = (yyvsp[-1].x);
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");
     DBG("You are calling function %s\n", (yyvsp[-3].s)->name);
     (yyval.x) = f_new_inst(FI_CALL);
     (yyval.x)->a1.p = inst;
     (yyval.x)->a2.p = (yyvsp[-3].s)->def;
     sym = (yyvsp[-3].s)->aux2;
     while (sym || inst) {
       if (!sym || !inst)
	 cf_error("Wrong number of arguments for function %s.", (yyvsp[-3].s)->name);
       DBG( "You should pass parameter called %s\n", sym->name);
       inst->a1.p = sym;
       sym = sym->aux2;
       inst = inst->next;
     }
   }
#line 6672 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 264:
#line 841 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[0].s)->class & 0xffff) {
       case SYM_CONSTANT_RANGE:
         (yyval.x) = f_new_inst(FI_CONSTANT_INDIRECT);
	 goto cv_common;
       case SYM_VARIABLE_RANGE:
         (yyval.x) = f_new_inst(FI_VARIABLE);
       cv_common:
         (yyval.x)->a1.p = (yyvsp[0].s)->def;
         (yyval.x)->a2.p = (yyvsp[0].s)->name;
	 break;
       case SYM_ATTRIBUTE:
         (yyval.x) = f_new_inst_da(FI_EA_GET, *((struct f_dynamic_attr *) (yyvsp[0].s)->def));
	 break;
       default:
         cf_error("%s: variable expected.", (yyvsp[0].s)->name);
     }
   }
#line 6695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 265:
#line 861 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	1); }
#line 6701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 266:
#line 862 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	1); }
#line 6707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 267:
#line 863 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	0); }
#line 6713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 268:
#line 864 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	0); }
#line 6719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 269:
#line 865 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	0); }
#line 6725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 270:
#line 866 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	1); }
#line 6731 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 271:
#line 867 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	1); }
#line 6737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 272:
#line 868 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	1); }
#line 6743 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 273:
#line 869 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	0); }
#line 6749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 274:
#line 873 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 6755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 275:
#line 874 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ADD);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6761 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 276:
#line 875 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SUBTRACT);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6767 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 277:
#line 876 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MULTIPLY);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6773 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 278:
#line 877 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DIVIDE);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 279:
#line 878 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AND);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6785 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 280:
#line 879 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_OR);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 281:
#line 880 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EQ);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6797 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 282:
#line 881 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NEQ);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 283:
#line 882 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 284:
#line 883 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 285:
#line 884 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT);	(yyval.x)->a1.p = (yyvsp[0].x); (yyval.x)->a2.p = (yyvsp[-2].x); }
#line 6821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 286:
#line 885 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE);	(yyval.x)->a1.p = (yyvsp[0].x); (yyval.x)->a2.p = (yyvsp[-2].x); }
#line 6827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 287:
#line 886 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MATCH);	(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 288:
#line 887 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT_MATCH);(yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->a2.p = (yyvsp[0].x); }
#line 6839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 289:
#line 888 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT);	(yyval.x)->a1.p = (yyvsp[0].x); }
#line 6845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 290:
#line 889 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DEFINED);	(yyval.x)->a1.p = (yyvsp[-1].x); }
#line 6851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 291:
#line 891 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 292:
#line 892 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 293:
#line 893 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 6869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 294:
#line 895 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PREF_GET); }
#line 6875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 295:
#line 897 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst_sa(FI_RTA_GET, (yyvsp[0].fsa)); }
#line 6881 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 296:
#line 899 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst_da(FI_EA_GET, (yyvsp[0].fda)); }
#line 6887 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 297:
#line 901 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IS_V4); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6893 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 298:
#line 902 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_TYPE); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6899 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 299:
#line 903 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IP); (yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->aux = T_IP; }
#line 6905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 300:
#line 904 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROUTE_DISTINGUISHER); (yyval.x)->a1.p = (yyvsp[-2].x); (yyval.x)->aux = T_RD; }
#line 6911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 301:
#line 905 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LENGTH); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6917 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 302:
#line 906 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_MAXLEN); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6923 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 303:
#line 907 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_ASN); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6929 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 304:
#line 908 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SADR_SRC); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6935 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 305:
#line 909 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_IP_MASK); (yyval.x)->a1.p = (yyvsp[-5].x); (yyval.x)->a2.p = (yyvsp[-1].x); }
#line 6941 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 306:
#line 910 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_FIRST); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6947 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 307:
#line 911 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6953 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 308:
#line 912 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AS_PATH_LAST_NAG); (yyval.x)->a1.p = (yyvsp[-2].x); }
#line 6959 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 309:
#line 922 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EMPTY); (yyval.x)->aux = T_PATH; }
#line 6965 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 310:
#line 923 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EMPTY); (yyval.x)->aux = T_CLIST; }
#line 6971 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 311:
#line 924 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EMPTY); (yyval.x)->aux = T_ECLIST; }
#line 6977 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 312:
#line 925 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EMPTY); (yyval.x)->aux = T_LCLIST; }
#line 6983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 313:
#line 926 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATH_PREPEND); (yyval.x)->a1.p = (yyvsp[-3].x); (yyval.x)->a2.p = (yyvsp[-1].x); }
#line 6989 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 314:
#line 927 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD_DEL); (yyval.x)->a1.p = (yyvsp[-3].x); (yyval.x)->a2.p = (yyvsp[-1].x); (yyval.x)->aux = 'a'; }
#line 6995 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 315:
#line 928 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD_DEL); (yyval.x)->a1.p = (yyvsp[-3].x); (yyval.x)->a2.p = (yyvsp[-1].x); (yyval.x)->aux = 'd'; }
#line 7001 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 316:
#line 929 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CLIST_ADD_DEL); (yyval.x)->a1.p = (yyvsp[-3].x); (yyval.x)->a2.p = (yyvsp[-1].x); (yyval.x)->aux = 'f'; }
#line 7007 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 317:
#line 931 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_roa_check((yyvsp[-1].r), NULL, NULL); }
#line 7013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 318:
#line 932 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_roa_check((yyvsp[-5].r), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7019 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 319:
#line 934 "filter/config.Y" /* yacc.c:1646  */
    {  (yyval.x) = f_new_inst(FI_FORMAT); (yyval.x)->a1.p = (yyvsp[-1].x); }
#line 7025 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 320:
#line 939 "filter/config.Y" /* yacc.c:1646  */
    {
     struct symbol *sym;
     struct f_inst *inst = (yyvsp[-1].x);
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");
     DBG("You are calling function %s\n", (yyvsp[-3].s)->name);
     (yyval.x) = f_new_inst(FI_CALL);
     (yyval.x)->a1.p = inst;
     (yyval.x)->a2.p = (yyvsp[-3].s)->def;
     sym = (yyvsp[-3].s)->aux2;
     while (sym || inst) {
       if (!sym || !inst)
	 cf_error("Wrong number of arguments for function %s.", (yyvsp[-3].s)->name);
       DBG( "You should pass parameter called %s\n", sym->name);
       inst->a1.p = sym;
       sym = sym->aux2;
       inst = inst->next;
     }
   }
#line 7049 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 321:
#line 961 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = F_QUITBIRD; }
#line 7055 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 322:
#line 962 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = F_ACCEPT; }
#line 7061 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 323:
#line 963 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = F_REJECT; }
#line 7067 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 324:
#line 964 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = F_ERROR; }
#line 7073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 325:
#line 965 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = F_NOP; }
#line 7079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 326:
#line 966 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = F_NONL; }
#line 7085 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 327:
#line 970 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PRINT); (yyval.x)->a1.p = (yyvsp[0].x); (yyval.x)->a2.p = NULL; }
#line 7091 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 328:
#line 973 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 329:
#line 974 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 330:
#line 975 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-2].x)) {
       (yyvsp[-2].x)->next = (yyvsp[0].x);
       (yyval.x) = (yyvsp[-2].x);
     } else (yyval.x) = (yyvsp[0].x);
   }
#line 7114 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 331:
#line 983 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_SET);
     (yyval.x)->a1.p = NULL;
     (yyval.x)->a2.p = (yyvsp[0].x);
     (yyval.x)->next = NULL;
   }
#line 7125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 332:
#line 989 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_SET);
     (yyval.x)->a1.p = NULL;
     (yyval.x)->a2.p = (yyvsp[-2].x);
     (yyval.x)->next = (yyvsp[0].x);
   }
#line 7136 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 333:
#line 997 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 7142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 334:
#line 998 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 7148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 335:
#line 1002 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION);
     (yyval.x)->a1.p = (yyvsp[-2].x);
     (yyval.x)->a2.p = (yyvsp[0].x);
   }
#line 7158 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 336:
#line 1007 "filter/config.Y" /* yacc.c:1646  */
    {
     struct f_inst *i = f_new_inst(FI_CONDITION);
     i->a1.p = (yyvsp[-4].x);
     i->a2.p = (yyvsp[-2].x);
     (yyval.x) = f_new_inst(FI_CONDITION);
     (yyval.x)->a1.p = i;
     (yyval.x)->a2.p = (yyvsp[0].x);
   }
#line 7171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 337:
#line 1015 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Ook, we'll set value\n" );
     if ((yyvsp[-3].s)->class == SYM_ATTRIBUTE) {
       (yyval.x) = f_new_inst_da(FI_EA_SET, *((struct f_dynamic_attr *) (yyvsp[-3].s)->def));
       (yyval.x)->a1.p = (yyvsp[-1].x);
     } else if (((yyvsp[-3].s)->class & ~T_MASK) == SYM_VARIABLE) {
       (yyval.x) = f_new_inst(FI_SET);
       (yyval.x)->a1.p = (yyvsp[-3].s);
       (yyval.x)->a2.p = (yyvsp[-1].x);
     } else
       cf_error( "Symbol `%s' is read-only.", (yyvsp[-3].s)->name );
   }
#line 7188 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 338:
#line 1027 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Ook, we'll return the value\n" );
     (yyval.x) = f_new_inst(FI_RETURN);
     (yyval.x)->a1.p = (yyvsp[-1].x);
   }
#line 7198 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 339:
#line 1032 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst_da(FI_EA_SET, (yyvsp[-3].fda));
     (yyval.x)->a1.p = (yyvsp[-1].x);
   }
#line 7207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 340:
#line 1036 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst_sa(FI_RTA_SET, (yyvsp[-3].fsa));
     if (!(yyval.x)->a1.i)
       cf_error( "This static attribute is read-only.");
     (yyval.x)->a1.p = (yyvsp[-1].x);
   }
#line 7218 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 341:
#line 1042 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_PREF_SET);
     (yyval.x)->a1.p = (yyvsp[-1].x);
   }
#line 7227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 342:
#line 1046 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst_da(FI_EA_SET, (yyvsp[-2].fda));
     (yyval.x)->aux = EAF_TYPE_UNDEF | EAF_TEMP;
     (yyval.x)->a1.p = NULL;
   }
#line 7237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 343:
#line 1051 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PRINT_AND_DIE); (yyval.x)->a1.p = (yyvsp[-1].x); (yyval.x)->a2.i = (yyvsp[-2].i); }
#line 7243 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 344:
#line 1052 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 345:
#line 1053 "filter/config.Y" /* yacc.c:1646  */
    {
      (yyval.x) = f_new_inst(FI_SWITCH);
      (yyval.x)->a1.p = (yyvsp[-3].x);
      (yyval.x)->a2.p = build_tree( (yyvsp[-1].e) );
   }
#line 7259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 346:
#line 1059 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_empty((yyvsp[-3].fda)); }
#line 7265 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 347:
#line 1060 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_PATH_PREPEND, 'x', (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 348:
#line 1061 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD_DEL, 'a', (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 349:
#line 1062 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD_DEL, 'd', (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 350:
#line 1063 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_generate_complex( FI_CLIST_ADD_DEL, 'f', (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 7289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 351:
#line 1064 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 7295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 352:
#line 1068 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.t) = cf_text;
}
#line 7303 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 354:
#line 109 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id = (yyvsp[-1].i32); }
#line 7309 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 355:
#line 110 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id_from = this_ipatt; }
#line 7315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 356:
#line 114 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = (yyvsp[0].i); }
#line 7321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 357:
#line 115 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = f_eval_int((yyvsp[-1].x)); }
#line 7327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 358:
#line 116 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 7333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 359:
#line 117 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 7346 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 361:
#line 129 "nest/config.Y" /* yacc.c:1646  */
    { new_config->gr_wait = (yyvsp[-1].i); }
#line 7352 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 362:
#line 135 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP4; }
#line 7358 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 363:
#line 136 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6; }
#line 7364 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 364:
#line 137 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6_SADR; }
#line 7370 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 365:
#line 138 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN4; }
#line 7376 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 366:
#line 139 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN6; }
#line 7382 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 367:
#line 140 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA4; }
#line 7388 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 368:
#line 141 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA6; }
#line 7394 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 369:
#line 142 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW4; }
#line 7400 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 370:
#line 143 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW6; }
#line 7406 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 371:
#line 144 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_MPLS; }
#line 7412 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 373:
#line 155 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7418 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 374:
#line 156 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 375:
#line 159 "nest/config.Y" /* yacc.c:1646  */
    {
   struct rtable_config *cf;
   cf = rt_new_table((yyvsp[-1].s), (yyvsp[-3].i));
   cf->sorted = (yyvsp[0].i);
   }
#line 7434 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 376:
#line 169 "nest/config.Y" /* yacc.c:1646  */
    { proto_postconfig(); }
#line 7440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 377:
#line 172 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_PROTO; }
#line 7446 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 378:
#line 173 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_TEMPLATE; }
#line 7452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 379:
#line 177 "nest/config.Y" /* yacc.c:1646  */
    {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->def = this_proto;
     this_proto->name = s->name;
     }
#line 7463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 380:
#line 183 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[0].s), this_proto->class, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 7472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 381:
#line 187 "nest/config.Y" /* yacc.c:1646  */
    {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->def = this_proto;
     this_proto->name = s->name;

     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");
     proto_copy_config(this_proto, (yyvsp[0].s)->def);
   }
#line 7486 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 382:
#line 196 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol((yyvsp[-2].s), this_proto->class, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");
     proto_copy_config(this_proto, (yyvsp[0].s)->def);
   }
#line 7498 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 384:
#line 207 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->disabled = (yyvsp[0].i); }
#line 7504 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 385:
#line 208 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->debug = (yyvsp[0].i); }
#line 7510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 386:
#line 209 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->mrtdump = (yyvsp[0].i); }
#line 7516 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 387:
#line 210 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->router_id = (yyvsp[0].i32); }
#line 7522 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 388:
#line 211 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->dsc = (yyvsp[0].t); }
#line 7528 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 389:
#line 212 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = if_get_by_name((yyvsp[0].t)); }
#line 7534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 390:
#line 217 "nest/config.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 7542 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 391:
#line 222 "nest/config.Y" /* yacc.c:1646  */
    {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 7552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 392:
#line 227 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_filter = (yyvsp[0].f); }
#line 7558 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 393:
#line 228 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_filter = (yyvsp[0].f); }
#line 7564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 394:
#line 229 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rx_limit = (yyvsp[0].cl); }
#line 7570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 395:
#line 230 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_limit = (yyvsp[0].cl); }
#line 7576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 396:
#line 231 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_limit = (yyvsp[0].cl); }
#line 7582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 397:
#line 232 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 7588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 398:
#line 233 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 7594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 403:
#line 247 "nest/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 7605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 405:
#line 258 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != SYM_TABLE) cf_error("Table expected");
     (yyval.r) = (yyvsp[0].s)->def;
   }
#line 7614 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 406:
#line 265 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = (yyvsp[0].f); }
#line 7620 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 408:
#line 267 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_ACCEPT; }
#line 7626 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 409:
#line 268 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_REJECT; }
#line 7632 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 410:
#line 272 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 7638 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 411:
#line 273 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_WARN; }
#line 7644 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 412:
#line 274 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_BLOCK; }
#line 7650 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 413:
#line 275 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_RESTART; }
#line 7656 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 414:
#line 276 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 7662 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 415:
#line 280 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 7668 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 416:
#line 281 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){}; }
#line 7674 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 418:
#line 288 "nest/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_debug = (yyvsp[0].i); }
#line 7680 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 419:
#line 289 "nest/config.Y" /* yacc.c:1646  */
    { new_config->cli_debug = (yyvsp[0].i); }
#line 7686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 421:
#line 297 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_route; }
#line 7692 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 422:
#line 298 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_proto; }
#line 7698 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 423:
#line 299 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_base; }
#line 7704 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 424:
#line 300 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_log; }
#line 7710 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 425:
#line 304 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 7716 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 426:
#line 305 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 7722 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 427:
#line 306 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 7728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 428:
#line 307 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 7734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 429:
#line 308 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 7740 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 430:
#line 309 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 7746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 431:
#line 310 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 7752 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 432:
#line 311 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 7758 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 434:
#line 322 "nest/config.Y" /* yacc.c:1646  */
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 7768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 435:
#line 330 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 7774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 436:
#line 331 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 7780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 437:
#line 335 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 1; }
#line 7786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 438:
#line 336 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 0; }
#line 7792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 442:
#line 350 "nest/config.Y" /* yacc.c:1646  */
    { iface_patt_check(); }
#line 7798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 443:
#line 352 "nest/config.Y" /* yacc.c:1646  */
    {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 7808 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 445:
#line 364 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 7814 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 446:
#line 365 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 7820 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 448:
#line 372 "nest/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 7829 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 453:
#line 383 "nest/config.Y" /* yacc.c:1646  */
    { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 7835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 454:
#line 387 "nest/config.Y" /* yacc.c:1646  */
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 7845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 456:
#line 401 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 7851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 457:
#line 402 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 458:
#line 403 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 7863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 460:
#line 408 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 7869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 461:
#line 412 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_STATES; }
#line 7875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 462:
#line 413 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_ROUTES; }
#line 7881 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 463:
#line 414 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_FILTERS; }
#line 7887 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 464:
#line 415 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_IFACES; }
#line 7893 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 465:
#line 416 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_EVENTS; }
#line 7899 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 466:
#line 417 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_PACKETS; }
#line 7905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 467:
#line 423 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 7911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 468:
#line 424 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7917 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 469:
#line 425 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 7923 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 471:
#line 430 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 7929 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 472:
#line 434 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_STATES; }
#line 7935 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 473:
#line 435 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_MESSAGES; }
#line 7941 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 480:
#line 456 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!this_p_list) {
	this_p_list = cfg_alloc(sizeof(list));
	init_list(this_p_list);
	password_id = 1;
     }
     this_p_item = cfg_alloc(sizeof (struct password_item));
     this_p_item->password = (yyvsp[0].t);
     this_p_item->length = strlen((yyvsp[0].t));
     this_p_item->genfrom = 0;
     this_p_item->gento = TIME_INFINITY;
     this_p_item->accfrom = 0;
     this_p_item->accto = TIME_INFINITY;
     this_p_item->id = password_id++;
     this_p_item->alg = ALG_UNDEFINED;
     add_tail(this_p_list, &this_p_item->n);
   }
#line 7963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 481:
#line 476 "nest/config.Y" /* yacc.c:1646  */
    { }
#line 7969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 482:
#line 477 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = (yyvsp[-2].time); }
#line 7975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 483:
#line 478 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = (yyvsp[-2].time); }
#line 7981 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 484:
#line 479 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accfrom = (yyvsp[-2].time); }
#line 7987 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 485:
#line 480 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accto = (yyvsp[-2].time); }
#line 7993 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 486:
#line 481 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 7999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 487:
#line 482 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 8005 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 488:
#line 483 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) <= 0) cf_error("Password ID has to be greated than zero."); }
#line 8011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 489:
#line 484 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->alg = (yyvsp[-2].i); }
#line 8017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 490:
#line 488 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_MD5; }
#line 8023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 491:
#line 489 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA1; }
#line 8029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 492:
#line 490 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA256; }
#line 8035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 493:
#line 491 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA384; }
#line 8041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 494:
#line 492 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA512; }
#line 8047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 495:
#line 493 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_MD5; }
#line 8053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 496:
#line 494 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA1; }
#line 8059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 497:
#line 495 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA256; }
#line 8065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 498:
#line 496 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA384; }
#line 8071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 499:
#line 497 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA512; }
#line 8077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 501:
#line 504 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_status(); }
#line 8083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 503:
#line 507 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_memory(); }
#line 8089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 505:
#line 510 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 8095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 507:
#line 513 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 8101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 509:
#line 517 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.s) = NULL; }
#line 8107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 511:
#line 521 "nest/config.Y" /* yacc.c:1646  */
    { if_show(); }
#line 8113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 513:
#line 524 "nest/config.Y" /* yacc.c:1646  */
    { if_show_summary(); }
#line 8119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 515:
#line 528 "nest/config.Y" /* yacc.c:1646  */
    { rt_show((yyvsp[-1].ra)); }
#line 8125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 516:
#line 531 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = new_config->fallback;
   }
#line 8136 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 517:
#line 537 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 8146 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 518:
#line 542 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->show_for = 1;
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
   }
#line 8157 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 519:
#line 548 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyvsp[0].s)->class != SYM_TABLE) cf_error("%s is not a table", (yyvsp[0].s)->name);
     rt_show_add_table((yyval.ra), ((struct rtable_config *)(yyvsp[0].s)->def)->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8168 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 520:
#line 554 "nest/config.Y" /* yacc.c:1646  */
    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 8180 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 521:
#line 561 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-5].ra);
     struct proto_config *cf = (void *) (yyvsp[-2].s)->def;
     if ((yyvsp[-2].s)->class != SYM_PROTO || !cf->proto) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     struct channel *c = proto_find_channel_by_name(cf->proto, (yyvsp[0].t));
     if (!c) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
     if (!c->in_table) cf_error("No import table in channel %s.%s", (yyvsp[-2].s)->name, (yyvsp[0].t));
     rt_show_add_table((yyval.ra), c->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 8195 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 522:
#line 571 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 8205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 523:
#line 576 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 8215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 524:
#line 581 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 8224 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 525:
#line 585 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 8233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 526:
#line 589 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 8242 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 527:
#line 593 "nest/config.Y" /* yacc.c:1646  */
    {
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->def;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if ((yyvsp[0].s)->class != SYM_PROTO || !c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8256 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 528:
#line 602 "nest/config.Y" /* yacc.c:1646  */
    {
     struct proto_config *c = (struct proto_config *) (yyvsp[-2].s)->def;
     (yyval.ra) = (yyvsp[-4].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if ((yyvsp[-2].s)->class != SYM_PROTO || !c->proto) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-3].i);
     (yyval.ra)->export_channel = proto_find_channel_by_name(c->proto, (yyvsp[0].t));
     if (!(yyval.ra)->export_channel) cf_error("Export channel not found");
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 529:
#line 612 "nest/config.Y" /* yacc.c:1646  */
    {
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->def;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if ((yyvsp[0].s)->class != SYM_PROTO || !c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 8284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 530:
#line 620 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 8293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 531:
#line 624 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 8302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 532:
#line 631 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 8311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 536:
#line 638 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 8320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 537:
#line 642 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 8329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 538:
#line 646 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 8338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 539:
#line 650 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network expected");
   }
#line 8354 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 542:
#line 666 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 8360 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 543:
#line 667 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 8366 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 544:
#line 670 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_PREEXPORT; }
#line 8372 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 545:
#line 671 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORT; }
#line 8378 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 546:
#line 672 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_NOEXPORT; }
#line 8384 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 547:
#line 677 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4"; }
#line 8390 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 548:
#line 678 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mc"; }
#line 8396 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 549:
#line 679 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mpls"; }
#line 8402 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 550:
#line 680 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6"; }
#line 8408 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 551:
#line 681 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mc"; }
#line 8414 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 552:
#line 682 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mpls"; }
#line 8420 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 553:
#line 683 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-sadr"; }
#line 8426 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 554:
#line 684 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4"; }
#line 8432 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 555:
#line 685 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mc"; }
#line 8438 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 556:
#line 686 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mpls"; }
#line 8444 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 557:
#line 687 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6"; }
#line 8450 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 558:
#line 688 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mc"; }
#line 8456 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 559:
#line 689 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mpls"; }
#line 8462 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 560:
#line 690 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa4"; }
#line 8468 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 561:
#line 691 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa6"; }
#line 8474 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 562:
#line 692 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow4"; }
#line 8480 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 563:
#line 693 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow6"; }
#line 8486 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 564:
#line 694 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "mpls"; }
#line 8492 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 565:
#line 695 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "pri"; }
#line 8498 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 566:
#line 696 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "sec"; }
#line 8504 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 568:
#line 701 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_symbols((yyvsp[-1].sd)); }
#line 8510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 569:
#line 704 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 8518 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 570:
#line 707 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 8524 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 571:
#line 708 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 8530 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 572:
#line 709 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 8536 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 573:
#line 710 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 8542 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 574:
#line 711 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 8548 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 575:
#line 712 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 8554 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 577:
#line 718 "nest/config.Y" /* yacc.c:1646  */
    { rdump(&root_pool); cli_msg(0, ""); }
#line 8560 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 579:
#line 720 "nest/config.Y" /* yacc.c:1646  */
    { sk_dump_all(); cli_msg(0, ""); }
#line 8566 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 581:
#line 722 "nest/config.Y" /* yacc.c:1646  */
    { io_log_dump(); cli_msg(0, ""); }
#line 8572 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 583:
#line 724 "nest/config.Y" /* yacc.c:1646  */
    { if_dump_all(); cli_msg(0, ""); }
#line 8578 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 585:
#line 726 "nest/config.Y" /* yacc.c:1646  */
    { neigh_dump_all(); cli_msg(0, ""); }
#line 8584 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 587:
#line 728 "nest/config.Y" /* yacc.c:1646  */
    { rta_dump_all(); cli_msg(0, ""); }
#line 8590 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 589:
#line 730 "nest/config.Y" /* yacc.c:1646  */
    { rt_dump_all(); cli_msg(0, ""); }
#line 8596 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 591:
#line 732 "nest/config.Y" /* yacc.c:1646  */
    { protos_dump_all(); cli_msg(0, ""); }
#line 8602 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 593:
#line 735 "nest/config.Y" /* yacc.c:1646  */
    { cmd_eval((yyvsp[-1].x)); }
#line 8608 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 595:
#line 738 "nest/config.Y" /* yacc.c:1646  */
    {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 8617 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 596:
#line 744 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 8623 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 597:
#line 745 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8629 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 598:
#line 746 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 8635 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 599:
#line 750 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 4096; }
#line 8641 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 600:
#line 751 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 8650 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 602:
#line 758 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 8656 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 604:
#line 760 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 8662 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 606:
#line 762 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 8668 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 608:
#line 764 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 8674 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 610:
#line 766 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 8680 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 612:
#line 768 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 8686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 614:
#line 772 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_debug, 1, (yyvsp[-1].i)); }
#line 8692 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 616:
#line 776 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 8698 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 618:
#line 779 "nest/config.Y" /* yacc.c:1646  */
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 8704 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 619:
#line 782 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 8710 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 620:
#line 783 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 8716 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 621:
#line 784 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 8722 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 622:
#line 788 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 8728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 623:
#line 789 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 8734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 624:
#line 790 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 8740 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 625:
#line 793 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 8746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 627:
#line 37 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);

  if (bfd_cf)
    cf_error("Only one BFD instance allowed");
  bfd_cf = BFD_CFG;
}
#line 8760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 635:
#line 64 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 8777 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 636:
#line 78 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 8800 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 637:
#line 98 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 8806 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 638:
#line 99 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 8812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 639:
#line 100 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 8818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 640:
#line 101 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 8824 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 641:
#line 102 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 8830 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 642:
#line 103 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->passive = (yyvsp[0].i); }
#line 8836 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 643:
#line 104 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 8842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 644:
#line 105 "proto/bfd/config.Y" /* yacc.c:1646  */
    {}
#line 8848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 645:
#line 109 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_NONE; }
#line 8854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 646:
#line 110 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 8860 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 647:
#line 111 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 8866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 648:
#line 112 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 8872 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 649:
#line 113 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 8878 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 650:
#line 114 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 8884 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 656:
#line 132 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->multihop = BFD_IFACE; }
#line 8890 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 657:
#line 136 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 8896 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 658:
#line 137 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 8902 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 659:
#line 138 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 8908 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 660:
#line 142 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = IPA_NONE; }
#line 8914 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 661:
#line 143 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = (yyvsp[0].a); }
#line 8920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 662:
#line 147 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8926 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 663:
#line 148 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 8932 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 664:
#line 152 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 8952 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 666:
#line 171 "proto/bfd/config.Y" /* yacc.c:1646  */
    { bfd_show_sessions(proto_get_named((yyvsp[-1].s), &proto_bfd)); }
#line 8958 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 668:
#line 35 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 8968 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 672:
#line 45 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 8974 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 676:
#line 58 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->check_link = 1;
}
#line 8990 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 677:
#line 72 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
  }

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);
}
#line 9018 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 679:
#line 98 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9024 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 680:
#line 99 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 9030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 681:
#line 100 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 9036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 682:
#line 101 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 9042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 683:
#line 102 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 9048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 684:
#line 103 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 9054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 685:
#line 104 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 9060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 686:
#line 105 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 9066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 687:
#line 106 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 9072 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 688:
#line 107 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 9078 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 689:
#line 108 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 9084 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 690:
#line 109 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 9090 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 691:
#line 110 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 9096 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 692:
#line 111 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 9102 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 698:
#line 128 "proto/babel/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 9108 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 700:
#line 133 "proto/babel/config.Y" /* yacc.c:1646  */
    { babel_show_interfaces(proto_get_named((yyvsp[-2].s), &proto_babel), (yyvsp[-1].t)); }
#line 9114 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 702:
#line 136 "proto/babel/config.Y" /* yacc.c:1646  */
    { babel_show_neighbors(proto_get_named((yyvsp[-2].s), &proto_babel), (yyvsp[-1].t)); }
#line 9120 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 704:
#line 139 "proto/babel/config.Y" /* yacc.c:1646  */
    { babel_show_entries(proto_get_named((yyvsp[-2].s), &proto_babel)); }
#line 9126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 706:
#line 142 "proto/babel/config.Y" /* yacc.c:1646  */
    { babel_show_routes(proto_get_named((yyvsp[-2].s), &proto_babel)); }
#line 9132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 708:
#line 47 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->check_link = -1;
   }
#line 9163 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 710:
#line 77 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9169 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 711:
#line 78 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_as = (yyvsp[0].i); }
#line 9175 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 713:
#line 83 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 9181 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 714:
#line 84 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 9187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 715:
#line 89 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 9193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 716:
#line 90 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 9199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 718:
#line 95 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 719:
#line 99 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 0; }
#line 9211 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 720:
#line 100 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 1; }
#line 9217 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 721:
#line 101 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 2; }
#line 9223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 722:
#line 102 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 3; }
#line 9229 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 723:
#line 103 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 4; }
#line 9235 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 724:
#line 104 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 5; }
#line 9241 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 725:
#line 105 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 6; }
#line 9247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 726:
#line 106 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 7; }
#line 9253 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 727:
#line 107 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 8; }
#line 9259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 732:
#line 115 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 9268 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 734:
#line 120 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip))
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 9279 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 735:
#line 126 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 9285 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 736:
#line 127 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 9291 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 737:
#line 128 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 9297 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 738:
#line 129 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 9303 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 739:
#line 130 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 9309 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 740:
#line 131 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 9315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 741:
#line 132 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->hold_time = (yyvsp[-1].i); }
#line 9321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 742:
#line 133 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 9327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 743:
#line 134 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 0; }
#line 9333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 744:
#line 135 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 64; }
#line 9339 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 745:
#line 136 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 9345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 746:
#line 137 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 9351 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 747:
#line 138 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 9357 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 748:
#line 139 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 9363 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 749:
#line 140 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 9369 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 750:
#line 141 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 9375 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 751:
#line 142 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 9381 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 752:
#line 143 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 9387 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 753:
#line 144 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 9393 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 754:
#line 145 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 9399 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 755:
#line 146 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); log(L_WARN "%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 9405 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 756:
#line 147 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 9411 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 757:
#line 148 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 9417 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 758:
#line 149 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->keepalive_time = (yyvsp[-1].i); }
#line 9423 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 759:
#line 150 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 9429 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 760:
#line 151 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 9435 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 761:
#line 152 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 9441 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 762:
#line 153 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 9447 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 763:
#line 154 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 9453 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 764:
#line 155 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 9459 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 765:
#line 156 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 9465 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 766:
#line 157 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 9471 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 767:
#line 158 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->password = (yyvsp[-1].t); }
#line 9477 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 768:
#line 159 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 9483 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 769:
#line 160 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->passive = (yyvsp[-1].i); }
#line 9489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 770:
#line 161 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 9495 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 771:
#line 162 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = -1; }
#line 9501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 772:
#line 163 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 9507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 773:
#line 164 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 9513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 774:
#line 165 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 9519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 775:
#line 166 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 9525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 776:
#line 167 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 9531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 777:
#line 168 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 9537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 778:
#line 169 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 9543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 779:
#line 170 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 9549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 780:
#line 171 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 9555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 781:
#line 172 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 9561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 782:
#line 173 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->bfd = (yyvsp[-1].i); cf_check_bfd((yyvsp[-1].i)); }
#line 9567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 783:
#line 174 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->bfd = BGP_BFD_GRACEFUL; cf_check_bfd(1); }
#line 9573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 784:
#line 178 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4; }
#line 9579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 785:
#line 179 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6; }
#line 9585 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 786:
#line 180 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 9591 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 787:
#line 181 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 9597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 788:
#line 182 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 9603 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 789:
#line 183 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 9609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 790:
#line 184 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 9615 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 791:
#line 185 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 9621 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 792:
#line 186 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 9627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 793:
#line 187 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 9633 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 794:
#line 188 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW4; }
#line 9639 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 795:
#line 189 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW6; }
#line 9645 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 796:
#line 193 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
  }
}
#line 9672 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 797:
#line 217 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 9678 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 798:
#line 218 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_IBGP; }
#line 9684 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 799:
#line 219 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_EBGP; }
#line 9690 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 801:
#line 223 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 9696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 802:
#line 224 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 9702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 803:
#line 225 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 9708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 804:
#line 226 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->missing_lladdr = MLL_SELF; }
#line 9714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 805:
#line 227 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->missing_lladdr = MLL_DROP; }
#line 9720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 806:
#line 228 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->missing_lladdr = MLL_IGNORE; }
#line 9726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 807:
#line 229 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_DIRECT; }
#line 9732 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 808:
#line 230 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 9738 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 809:
#line 231 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->secondary = (yyvsp[0].i); }
#line 9744 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 810:
#line 232 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gr_able = (yyvsp[0].i); }
#line 9750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 811:
#line 233 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 9756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 812:
#line 234 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 9762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 813:
#line 235 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 9768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 814:
#line 236 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 9774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 815:
#line 237 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 9780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 816:
#line 238 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 9786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 817:
#line 239 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->import_table = (yyvsp[0].i); }
#line 9792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 818:
#line 240 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 9808 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 823:
#line 264 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 9819 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 825:
#line 275 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 9825 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 826:
#line 277 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 9831 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 827:
#line 279 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 9837 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 828:
#line 281 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 9843 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 829:
#line 283 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 9849 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 830:
#line 285 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 9855 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 831:
#line 287 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 9861 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 832:
#line 289 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 9867 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 833:
#line 291 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 9873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 834:
#line 293 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 9879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 835:
#line 295 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 9885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 836:
#line 297 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 9891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 838:
#line 29 "proto/mrt/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 9899 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 840:
#line 35 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 9905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 841:
#line 36 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 9911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 842:
#line 37 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 9917 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 843:
#line 38 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 9923 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 844:
#line 39 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filename = (yyvsp[0].t); }
#line 9929 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 845:
#line 40 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->period = (yyvsp[0].i); }
#line 9935 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 846:
#line 41 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 9941 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 849:
#line 50 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_check_config(this_proto); }
#line 9947 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 851:
#line 54 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_dump_cmd((yyvsp[-1].md)); }
#line 9953 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 852:
#line 57 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 9959 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 853:
#line 58 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 9965 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 854:
#line 59 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 9971 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 855:
#line 60 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 9977 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 856:
#line 61 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 9983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 857:
#line 62 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 9989 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 858:
#line 210 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_proto_finish(); }
#line 9995 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 859:
#line 213 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 10001 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 860:
#line 214 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 10007 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 861:
#line 215 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 862:
#line 219 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
}
#line 10029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 865:
#line 237 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 866:
#line 238 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 10041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 867:
#line 243 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  if (this_channel == proto_cf_main_channel(this_proto))
    OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 10054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 870:
#line 256 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 10060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 871:
#line 257 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 10066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 872:
#line 258 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 10072 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 873:
#line 259 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 10078 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 874:
#line 260 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 10084 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 875:
#line 261 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 10090 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 876:
#line 262 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 10096 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 877:
#line 263 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 10102 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 878:
#line 264 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 10108 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 879:
#line 265 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 10114 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 881:
#line 269 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 10132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 882:
#line 284 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_area_finish(); }
#line 10138 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 885:
#line 293 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 10144 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 886:
#line 294 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = OPT_N; }
#line 10150 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 887:
#line 295 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->summary = (yyvsp[0].i); }
#line 10156 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 888:
#line 296 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_nssa = (yyvsp[0].i); }
#line 10162 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 889:
#line 297 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 10168 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 890:
#line 298 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 10174 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 891:
#line 299 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 10180 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 892:
#line 300 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->translator = (yyvsp[0].i); }
#line 10186 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 893:
#line 301 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->transint = (yyvsp[0].i); }
#line 10192 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 894:
#line 302 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->net_list; }
#line 10198 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 896:
#line 303 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->enet_list; }
#line 10204 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 903:
#line 315 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 10215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 906:
#line 329 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->hidden = (yyvsp[0].i); }
#line 10221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 907:
#line 330 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->summary = (yyvsp[0].i); }
#line 10227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 908:
#line 331 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->cost = (yyvsp[0].i); }
#line 10233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 909:
#line 335 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 10239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 910:
#line 336 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 10245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 914:
#line 345 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 10251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 915:
#line 346 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 10257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 916:
#line 347 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 10263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 917:
#line 348 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 10269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 918:
#line 349 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 10275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 919:
#line 350 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 10281 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 920:
#line 351 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 10287 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 921:
#line 352 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 10293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 922:
#line 353 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 10299 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 924:
#line 358 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 10319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 925:
#line 376 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 10325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 926:
#line 377 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 10331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 927:
#line 378 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 10337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 928:
#line 379 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 10343 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 929:
#line 380 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 10349 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 930:
#line 381 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 10355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 931:
#line 382 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 10361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 932:
#line 383 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 10367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 933:
#line 384 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 10373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 934:
#line 385 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 10379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 935:
#line 386 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 10385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 936:
#line 387 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 10391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 937:
#line 388 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 10397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 938:
#line 389 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 10403 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 939:
#line 390 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 10409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 940:
#line 391 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 10415 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 941:
#line 392 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 10421 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 942:
#line 393 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 10427 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 943:
#line 394 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 10433 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 944:
#line 395 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 10439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 945:
#line 396 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 10445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 946:
#line 397 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 10451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 947:
#line 398 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 10457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 948:
#line 399 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 10463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 950:
#line 401 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 10469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 951:
#line 402 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 10475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 952:
#line 403 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 10481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 953:
#line 404 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = 0; }
#line 10487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 954:
#line 405 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 10493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 955:
#line 406 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 10499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 956:
#line 407 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 10505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 957:
#line 408 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 10511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 958:
#line 409 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 10517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 959:
#line 410 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 10523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 960:
#line 411 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = 2; }
#line 10529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 961:
#line 412 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 10535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 966:
#line 424 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 10545 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 968:
#line 433 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->hidden = 1; }
#line 10551 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 969:
#line 434 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->tag = (yyvsp[0].i); }
#line 10557 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 972:
#line 443 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 973:
#line 444 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 10569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 974:
#line 448 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 10580 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 975:
#line 457 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 10604 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 977:
#line 480 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 10610 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 978:
#line 484 "proto/ospf/config.Y" /* yacc.c:1646  */
    { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 10616 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 984:
#line 498 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 10622 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 985:
#line 501 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 10628 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 986:
#line 502 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 10634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 987:
#line 503 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 10640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 988:
#line 504 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 10646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 990:
#line 508 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh(proto_get_named((yyvsp[-1].s), &proto_ospf)); }
#line 10652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 992:
#line 511 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_neigh(proto_get_named((yyvsp[-2].s), &proto_ospf), (yyvsp[-1].t)); }
#line 10658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 994:
#line 514 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_iface(proto_get_named((yyvsp[-2].s), &proto_ospf), (yyvsp[-1].t)); }
#line 10664 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 996:
#line 519 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 10670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 998:
#line 522 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 10676 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 527 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 10682 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 530 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 10688 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 534 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_lsadb((yyvsp[-1].ld)); }
#line 10694 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 537 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 10702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 540 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 10708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 541 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 10714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 542 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 10720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 543 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 10726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 544 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 10732 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 545 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 10738 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 546 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 10744 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 547 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->name = (yyvsp[0].s); }
#line 10750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 27 "proto/perf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 10765 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 45 "proto/perf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 10771 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 46 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->from = (yyvsp[0].i); }
#line 10777 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 47 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->to = (yyvsp[0].i); }
#line 10783 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 48 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->repeat = (yyvsp[0].i); }
#line 10789 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 49 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 10795 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 50 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 10801 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 51 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->keep = (yyvsp[0].i); }
#line 10807 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 52 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 10813 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 53 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 10819 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 23 "proto/pipe/config.Y" /* yacc.c:1646  */
    { this_channel = NULL; }
#line 10825 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 26 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 10833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 30 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 10846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 43 "proto/pipe/config.Y" /* yacc.c:1646  */
    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 10852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 45 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
}
#line 10865 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 58 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 10871 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 59 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 10877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 59 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 10883 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 60 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 10889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 60 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 10895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 61 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->trigger = (yyvsp[0].net); }
#line 10901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 62 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 10907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 75 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 10933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 98 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 10939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 99 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 10945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 100 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 10951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 101 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->managed = (yyvsp[0].i); }
#line 10957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 102 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 10963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 103 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 10969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 104 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 10975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 105 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 10981 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 106 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 10987 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 107 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 10997 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 112 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 116 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 11012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 117 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 11018 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 118 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 11024 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 119 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 11030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 120 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 11036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 121 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 11042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 121 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 11048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 122 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 11054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 122 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 11060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 123 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 11066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 124 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 11072 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 128 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_LOW; }
#line 11078 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 129 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_MEDIUM; }
#line 11084 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 130 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_HIGH; }
#line 11090 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 133 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 11131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 186 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 11145 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 197 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 11151 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 198 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 11157 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 199 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 11163 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 200 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 204 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 11181 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 211 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 11193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 235 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 244 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 251 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 11220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 255 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 11236 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 279 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 11251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 291 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 11260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 298 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 11266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 302 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 11282 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 326 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 11288 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 327 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 11294 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 331 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (uint) -1; }
#line 11300 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 332 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 11306 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 335 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 11312 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 336 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 11318 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 48 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 11324 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 49 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11330 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 53 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 11346 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 68 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 11352 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 69 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 11358 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 70 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->infinity = (yyvsp[0].i); }
#line 11364 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 84 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
}
#line 11391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 108 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 11424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 138 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 11430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 139 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 11436 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 140 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 11442 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 141 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->passive = (yyvsp[0].i); }
#line 11448 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 142 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 11454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 143 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 11460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 144 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 11469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 148 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 11475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 149 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 11481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 150 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 11487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 151 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 11493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 152 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 11499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 153 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 11505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 154 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 11511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 155 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 11517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 156 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 11523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 157 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 11529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 158 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 11535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 159 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 11541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 160 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 11547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 161 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = 2; }
#line 11553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 162 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 11559 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 163 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 11565 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 164 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 11571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 165 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_check_auth(); }
#line 11577 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 169 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_NONE; }
#line 11583 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 170 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_PLAIN; }
#line 11589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 171 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 11595 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 172 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 11601 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 189 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 11607 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 190 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 11613 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 195 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_show_interfaces(proto_get_named((yyvsp[-2].s), &proto_rip), (yyvsp[-1].t)); }
#line 11619 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 198 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_show_neighbors(proto_get_named((yyvsp[-2].s), &proto_rip), (yyvsp[-1].t)); }
#line 11625 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 55 "proto/static/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 11634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 63 "proto/static/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 11640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 64 "proto/static/config.Y" /* yacc.c:1646  */
    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 11646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 65 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 11659 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 73 "proto/static/config.Y" /* yacc.c:1646  */
    { static_route_finish(); }
#line 11665 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 77 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 11675 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 82 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 11685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 87 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 11693 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 90 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 11701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 93 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 11710 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 97 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 11718 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 107 "proto/static/config.Y" /* yacc.c:1646  */
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt_last_cmd = &(this_srt->cmds);
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 11731 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 119 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 11740 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 123 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 11750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 128 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_NONE; }
#line 11756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 129 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 11762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 130 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 11768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 131 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 11774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 132 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 11780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 133 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_PROHIBIT; }
#line 11786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 137 "proto/static/config.Y" /* yacc.c:1646  */
    { *this_srt_last_cmd = (yyvsp[0].x); this_srt_last_cmd = &((yyvsp[0].x)->next); }
#line 11792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 152 "proto/static/config.Y" /* yacc.c:1646  */
    { static_show(proto_get_named((yyvsp[-1].s), &proto_static)); }
#line 11798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 25 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 11804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 26 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 11810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 29 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 11816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 30 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 11822 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 31 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 11828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 33 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 11834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 34 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 11840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 35 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 11846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 36 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 11852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 37 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 11858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 38 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 11864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 39 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 11870 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 40 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 11876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 41 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 11882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 42 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 11888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 43 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 11894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 44 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 11900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 45 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 11906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 47 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_MTU); }
#line 11912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 48 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_WINDOW); }
#line 11918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 49 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_RTT); }
#line 11924 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 50 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_RTTVAR); }
#line 11930 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 51 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_SSTHRESH); }
#line 11936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 52 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_CWND); }
#line 11942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 53 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_ADVMSS); }
#line 11948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 54 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_REORDERING); }
#line 11954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 55 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_HOPLIMIT); }
#line 11960 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 56 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_LOCK_RTO_MIN); }
#line 11966 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 58 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_FEATURE_ECN); }
#line 11972 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 59 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_BITFIELD, T_BOOL, EA_KRT_FEATURE_ALLFRAG); }
#line 11978 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 32 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 11984 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 34 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 11993 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 41 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = (yyvsp[0].t); }
#line 11999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 42 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = bird_name; }
#line 12005 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 47 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 12011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 51 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
     if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
     this_log->fh = rf_file(this_log->rf);
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 12023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 58 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 12029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 59 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = stderr; }
#line 12035 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 63 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 12041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 64 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 12047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 68 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << (yyvsp[0].i); }
#line 12053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 69 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 12059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 73 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_DEBUG[0]; }
#line 12065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 74 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_TRACE[0]; }
#line 12071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 75 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_INFO[0]; }
#line 12077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 76 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_REMOTE[0]; }
#line 12083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 77 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_WARN[0]; }
#line 12089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 78 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_ERR[0]; }
#line 12095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 79 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_AUTH[0]; }
#line 12101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 80 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_FATAL[0]; }
#line 12107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 81 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_BUG[0]; }
#line 12113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 88 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 12119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 89 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
     if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
     new_config->mrtdump_file = rf_fileno(f);
   }
#line 12129 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 100 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_debug = (yyvsp[0].i); }
#line 12135 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 101 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_limit = (yyvsp[0].time); }
#line 12141 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 102 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_warning = (yyvsp[0].time); }
#line 12147 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 103 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 12153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 112 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 12159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 115 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 12165 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 122 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_confirm(); }
#line 12171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 125 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_undo(); }
#line 12177 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 128 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_check_config((yyvsp[-1].t)); }
#line 12183 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 131 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_shutdown(); }
#line 12189 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 134 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 12195 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 139 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12201 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 140 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 12207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 141 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 12213 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 43 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 12221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 52 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 12227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 53 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 12233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 58 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 12239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 59 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->persist = (yyvsp[0].i); }
#line 12245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 60 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 12254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 64 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 12266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 71 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 12272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 72 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 12284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 85 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 12290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 94 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 12299 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 101 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 12309 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 108 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { kif_set_preferred((yyvsp[0].a)); }
#line 12315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 125 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 12321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 126 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 12327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;


#line 12331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 49 "conf/gen_parser.m4" /* yacc.c:1906  */

#line 359 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 207 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 796 "nest/config.Y"
/* C Code from nest/config.Y */

#line 173 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 144 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 303 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 550 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 57 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 338 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 201 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 154 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 62 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 144 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 128 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

